import { css as ue, createStitches as Il, createTheme as Tl } from "@stitches/core";
import { generateClassNames as ve, VIEWS as B, template as Pl, merge as Nt, en as Fl } from "pasubot-auth-ui-shared";
import * as l from "react";
import t, { useState as C, useRef as Dl, useEffect as H, createContext as Al, useContext as Ll, forwardRef as kl } from "react";
import { z as x } from "zod";
import * as Ha from "@radix-ui/react-checkbox";
import { Check as Vr, ChevronRight as ql, Circle as Ml, X as Ss, Loader2 as Ol, ChevronDown as Rs, ChevronUp as zl, Search as jl } from "lucide-react";
import { clsx as Wl } from "clsx";
import { twMerge as Hl } from "tailwind-merge";
import { CircleIcon as we, ArrowDownIcon as xe, ArrowUpIcon as _e, CaretSortIcon as Xr, DotsHorizontalIcon as Jr, DoubleArrowLeftIcon as Qr, ChevronLeftIcon as ea, ChevronRightIcon as ta, DoubleArrowRightIcon as ra, MixerHorizontalIcon as aa, PlusCircledIcon as na, CheckIcon as sa, Cross2Icon as la, PlusIcon as oa } from "@radix-ui/react-icons";
import { Slot as Is } from "@radix-ui/react-slot";
import { cva as Qe } from "class-variance-authority";
import * as j from "@radix-ui/react-dropdown-menu";
import { DropdownMenuTrigger as ia } from "@radix-ui/react-dropdown-menu";
import * as ee from "@radix-ui/react-dialog";
import { appendErrors as $l, FormProvider as Bl, Controller as Gl, useFormContext as ca, useForm as ma } from "react-hook-form";
import { validateFieldsNatively as Ul, toNestErrors as Yl } from "@hookform/resolvers";
import * as Ts from "@radix-ui/react-label";
import * as Le from "@radix-ui/react-tooltip";
import Zl from "prop-types";
import { FontAwesomeIcon as $a } from "@fortawesome/react-fontawesome";
import { faEye as Kl, faEyeSlash as Vl } from "@fortawesome/free-solid-svg-icons";
import Ps from "react-select";
import Xl from "react-phone-input-2";
import { useReactTable as da, getCoreRowModel as ua, getFilteredRowModel as fa, getPaginationRowModel as ga, getSortedRowModel as pa, getFacetedRowModel as ha, getFacetedUniqueValues as va, flexRender as be } from "@tanstack/react-table";
import * as z from "@radix-ui/react-select";
import { Command as K } from "cmdk";
import * as Ae from "@radix-ui/react-popover";
import * as Fs from "@radix-ui/react-separator";
import * as Y from "@radix-ui/react-alert-dialog";
import * as X from "@radix-ui/react-toast";
const Jl = ue({
  fontFamily: "$bodyFontFamily",
  fontSize: "$baseBodySize",
  marginBottom: "$anchorBottomMargin",
  color: "$anchorTextColor",
  display: "block",
  textAlign: "center",
  textDecoration: "underline",
  "&:hover": {
    color: "$anchorTextHoverColor"
  }
}), fe = ({ children: e, appearance: r, ...a }) => {
  var n;
  const s = ve(
    "anchor",
    Jl(),
    r
  );
  return /* @__PURE__ */ t.createElement(
    "a",
    {
      ...a,
      style: (n = r == null ? void 0 : r.style) == null ? void 0 : n.anchor,
      className: s.join(" ")
    },
    e
  );
}, Ql = ue({
  fontFamily: "$buttonFontFamily",
  display: "flex",
  alignItems: "center",
  justifyContent: "center",
  gap: "8px",
  borderRadius: "$borderRadiusButton",
  fontSize: "$baseButtonSize",
  padding: "$buttonPadding",
  cursor: "pointer",
  borderWidth: "$buttonBorderWidth",
  borderStyle: "solid",
  width: "100%",
  transitionProperty: "background-color",
  transitionTimingFunction: "cubic-bezier(0.4, 0, 0.2, 1)",
  transitionDuration: "100ms",
  "&:disabled": {
    opacity: 0.7,
    cursor: "unset"
  },
  variants: {
    color: {
      default: {
        backgroundColor: "$defaultButtonBackground",
        color: "$defaultButtonText",
        borderColor: "$defaultButtonBorder",
        "&:hover:not(:disabled)": {
          backgroundColor: "$defaultButtonBackgroundHover"
        }
      },
      primary: {
        backgroundColor: "$brand",
        color: "$brandButtonText",
        borderColor: "$brandAccent",
        "&:hover:not(:disabled)": {
          backgroundColor: "$brandAccent"
        }
      }
    }
  }
}), Ce = ({
  children: e,
  color: r = "default",
  appearance: a,
  icon: s,
  loading: n = !1,
  ...o
}) => {
  var m;
  const i = ve(
    "button",
    Ql({ color: r }),
    a
  );
  return /* @__PURE__ */ t.createElement(
    "button",
    {
      ...o,
      style: (m = a == null ? void 0 : a.style) == null ? void 0 : m.button,
      className: i.join(" "),
      disabled: n
    },
    s,
    e
  );
}, eo = ue({
  display: "flex",
  gap: "4px",
  variants: {
    direction: {
      horizontal: {
        display: "grid",
        gridTemplateColumns: "repeat(auto-fit, minmax(48px, 1fr))"
      },
      vertical: {
        flexDirection: "column",
        margin: "8px 0"
      }
    },
    gap: {
      small: {
        gap: "4px"
      },
      medium: {
        gap: "8px"
      },
      large: {
        gap: "16px"
      }
    }
  }
}), te = ({
  children: e,
  appearance: r,
  ...a
}) => {
  var n;
  const s = ve(
    "container",
    eo({
      direction: a.direction,
      gap: a.gap
    }),
    r
  );
  return /* @__PURE__ */ t.createElement(
    "div",
    {
      ...a,
      style: (n = r == null ? void 0 : r.style) == null ? void 0 : n.container,
      className: s.join(" ")
    },
    e
  );
}, to = ue({
  background: "$dividerBackground",
  display: "block",
  margin: "16px 0",
  height: "1px",
  width: "100%"
}), ro = ({
  children: e,
  appearance: r,
  ...a
}) => {
  var n;
  const s = ve(
    "divider",
    to(),
    r
  );
  return /* @__PURE__ */ t.createElement(
    "div",
    {
      ...a,
      style: (n = r == null ? void 0 : r.style) == null ? void 0 : n.divider,
      className: s.join(" ")
    }
  );
}, ao = ue({
  fontFamily: "$inputFontFamily",
  background: "$inputBackground",
  borderRadius: "$inputBorderRadius",
  padding: "$inputPadding",
  cursor: "text",
  borderWidth: "$inputBorderWidth",
  borderColor: "$inputBorder",
  borderStyle: "solid",
  fontSize: "$baseInputSize",
  width: "100%",
  color: "$inputText",
  boxSizing: "border-box",
  "&:hover": {
    borderColor: "$inputBorderHover",
    outline: "none"
  },
  "&:focus": {
    borderColor: "$inputBorderFocus",
    outline: "none"
  },
  "&::placeholder": {
    color: "$inputPlaceholder",
    letterSpacing: "initial"
  },
  transitionProperty: "background-color, border",
  transitionTimingFunction: "cubic-bezier(0.4, 0, 0.2, 1)",
  transitionDuration: "100ms",
  variants: {
    type: {
      default: {
        letterSpacing: "0px"
      },
      password: {
        letterSpacing: "0px"
      }
    }
  }
}), ce = ({ children: e, appearance: r, ...a }) => {
  var n;
  const s = ve(
    "input",
    ao({
      type: a.type === "password" ? "password" : "default"
    }),
    r
  );
  return /* @__PURE__ */ t.createElement(
    "input",
    {
      ...a,
      style: (n = r == null ? void 0 : r.style) == null ? void 0 : n.input,
      className: s.join(" ")
    },
    e
  );
}, no = ue({
  fontFamily: "$labelFontFamily",
  fontSize: "$baseLabelSize",
  marginBottom: "$labelBottomMargin",
  color: "$inputLabelText",
  display: "block"
}), me = ({ children: e, appearance: r, ...a }) => {
  var n;
  const s = ve(
    "label",
    no(),
    r
  );
  return /* @__PURE__ */ t.createElement(
    "label",
    {
      ...a,
      style: (n = r == null ? void 0 : r.style) == null ? void 0 : n.label,
      className: s.join(" ")
    },
    e
  );
}, so = ue({
  fontFamily: "$bodyFontFamily",
  fontSize: "$baseInputSize",
  marginBottom: "$labelBottomMargin",
  display: "block",
  textAlign: "center",
  borderRadius: "0.375rem",
  padding: "1.5rem 1rem",
  lineHeight: "1rem",
  color: "$messageText",
  backgroundColor: "$messageBackground",
  border: "1px solid $messageBorder",
  variants: {
    color: {
      danger: {
        color: "$messageTextDanger",
        backgroundColor: "$messageBackgroundDanger",
        border: "1px solid $messageBorderDanger"
      }
    }
  }
}), re = ({
  children: e,
  appearance: r,
  ...a
}) => {
  var n;
  const s = ve(
    "message",
    so({ color: a.color }),
    r
  );
  return /* @__PURE__ */ t.createElement(
    "span",
    {
      ...a,
      style: (n = r == null ? void 0 : r.style) == null ? void 0 : n.message,
      className: s.join(" ")
    },
    e
  );
};
function Ds({
  setAuthView: e = () => {
  },
  supabaseClient: r,
  redirectTo: a,
  i18n: s,
  appearance: n,
  showLinks: o = !1
}) {
  var _;
  const [i, m] = C(""), [u, c] = C(""), [f, p] = C(""), [g, d] = C(!1), y = async (w) => {
    var v, h;
    if (w.preventDefault(), c(""), p(""), d(!0), i.length === 0) {
      c((v = s == null ? void 0 : s.magic_link) == null ? void 0 : v.empty_email_address), d(!1);
      return;
    }
    const { error: S } = await r.auth.signInWithOtp({
      email: i,
      options: { emailRedirectTo: a }
    });
    S ? c(S.message) : p((h = s == null ? void 0 : s.magic_link) == null ? void 0 : h.confirmation_text), d(!1);
  }, E = s == null ? void 0 : s.magic_link;
  return /* @__PURE__ */ t.createElement("form", { id: "auth-magic-link", onSubmit: y }, /* @__PURE__ */ t.createElement(te, { gap: "large", direction: "vertical", appearance: n }, /* @__PURE__ */ t.createElement("div", null, /* @__PURE__ */ t.createElement(me, { htmlFor: "email", appearance: n }, E == null ? void 0 : E.email_input_label), /* @__PURE__ */ t.createElement(
    ce,
    {
      id: "email",
      name: "email",
      type: "email",
      autoFocus: !0,
      placeholder: E == null ? void 0 : E.email_input_placeholder,
      onChange: (w) => {
        c && c(""), m(w.target.value);
      },
      appearance: n
    }
  )), /* @__PURE__ */ t.createElement(
    Ce,
    {
      color: "primary",
      type: "submit",
      loading: g,
      appearance: n
    },
    g ? E == null ? void 0 : E.loading_button_label : E == null ? void 0 : E.button_label
  ), o && /* @__PURE__ */ t.createElement(
    fe,
    {
      href: "#auth-sign-in",
      onClick: (w) => {
        w.preventDefault(), e(B.SIGN_IN);
      },
      appearance: n
    },
    (_ = s == null ? void 0 : s.sign_in) == null ? void 0 : _.link_text
  ), f && /* @__PURE__ */ t.createElement(re, { appearance: n }, f), u && /* @__PURE__ */ t.createElement(re, { color: "danger", appearance: n }, u)));
}
const $ = ue({
  width: "21px",
  height: "21px"
}), lo = ({ provider: e }) => e == "google" ? oo() : e == "facebook" ? io() : e == "twitter" ? co() : e == "apple" ? mo() : e == "github" ? uo() : e == "gitlab" ? fo() : e == "bitbucket" ? go() : e == "discord" ? po() : e == "azure" ? ho() : e == "keycloak" ? vo() : e == "linkedin" || e == "linkedin_oidc" ? Ba() : e == "notion" ? Eo() : e == "slack" ? yo() : e == "spotify" ? wo() : e == "twitch" ? xo() : e == "workos" ? _o() : e == "kakao" ? bo() : null, oo = () => /* @__PURE__ */ t.createElement(
  "svg",
  {
    className: $(),
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 48 48",
    width: "21px",
    height: "21px"
  },
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "#FFC107",
      d: "M43.611,20.083H42V20H24v8h11.303c-1.649,4.657-6.08,8-11.303,8c-6.627,0-12-5.373-12-12c0-6.627,5.373-12,12-12c3.059,0,5.842,1.154,7.961,3.039l5.657-5.657C34.046,6.053,29.268,4,24,4C12.955,4,4,12.955,4,24c0,11.045,8.955,20,20,20c11.045,0,20-8.955,20-20C44,22.659,43.862,21.35,43.611,20.083z"
    }
  ),
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "#FF3D00",
      d: "M6.306,14.691l6.571,4.819C14.655,15.108,18.961,12,24,12c3.059,0,5.842,1.154,7.961,3.039l5.657-5.657C34.046,6.053,29.268,4,24,4C16.318,4,9.656,8.337,6.306,14.691z"
    }
  ),
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "#4CAF50",
      d: "M24,44c5.166,0,9.86-1.977,13.409-5.192l-6.19-5.238C29.211,35.091,26.715,36,24,36c-5.202,0-9.619-3.317-11.283-7.946l-6.522,5.025C9.505,39.556,16.227,44,24,44z"
    }
  ),
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "#1976D2",
      d: "M43.611,20.083H42V20H24v8h11.303c-0.792,2.237-2.231,4.166-4.087,5.571c0.001-0.001,0.002-0.001,0.003-0.002l6.19,5.238C36.971,39.205,44,34,44,24C44,22.659,43.862,21.35,43.611,20.083z"
    }
  )
), io = () => /* @__PURE__ */ t.createElement(
  "svg",
  {
    className: $(),
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 48 48",
    width: "21px",
    height: "21px"
  },
  /* @__PURE__ */ t.createElement("path", { fill: "#039be5", d: "M24 5A19 19 0 1 0 24 43A19 19 0 1 0 24 5Z" }),
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "#fff",
      d: "M26.572,29.036h4.917l0.772-4.995h-5.69v-2.73c0-2.075,0.678-3.915,2.619-3.915h3.119v-4.359c-0.548-0.074-1.707-0.236-3.897-0.236c-4.573,0-7.254,2.415-7.254,7.917v3.323h-4.701v4.995h4.701v13.729C22.089,42.905,23.032,43,24,43c0.875,0,1.729-0.08,2.572-0.194V29.036z"
    }
  )
), co = () => /* @__PURE__ */ t.createElement(
  "svg",
  {
    className: $(),
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 48 48",
    width: "21px",
    height: "21px"
  },
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "black",
      d: "M28.4714 20.3247L45.9682 0H41.822L26.6295 17.6477L14.4953 0H0.5L18.8493 26.6864L0.5 48H4.64642L20.6901 29.3635L33.5047 48H47.5L28.4704 20.3247H28.4714ZM22.7923 26.9215L20.9331 24.2642L6.14043 3.11923H12.5091L24.447 20.1839L26.3061 22.8412L41.824 45.0226H35.4553L22.7923 26.9225V26.9215Z"
    }
  )
), mo = () => /* @__PURE__ */ t.createElement(
  "svg",
  {
    className: $(),
    fill: "gray",
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    width: "21px",
    height: "21px"
  },
  " ",
  /* @__PURE__ */ t.createElement("path", { d: "M 15.904297 1.078125 C 15.843359 1.06875 15.774219 1.0746094 15.699219 1.0996094 C 14.699219 1.2996094 13.600391 1.8996094 12.900391 2.5996094 C 12.300391 3.1996094 11.800781 4.1996094 11.800781 5.0996094 C 11.800781 5.2996094 11.999219 5.5 12.199219 5.5 C 13.299219 5.4 14.399609 4.7996094 15.099609 4.0996094 C 15.699609 3.2996094 16.199219 2.4 16.199219 1.5 C 16.199219 1.275 16.087109 1.10625 15.904297 1.078125 z M 16.199219 5.4003906 C 14.399219 5.4003906 13.600391 6.5 12.400391 6.5 C 11.100391 6.5 9.9003906 5.5 8.4003906 5.5 C 6.3003906 5.5 3.0996094 7.4996094 3.0996094 12.099609 C 2.9996094 16.299609 6.8 21 9 21 C 10.3 21 10.600391 20.199219 12.400391 20.199219 C 14.200391 20.199219 14.600391 21 15.900391 21 C 17.400391 21 18.500391 19.399609 19.400391 18.099609 C 19.800391 17.399609 20.100391 17.000391 20.400391 16.400391 C 20.600391 16.000391 20.4 15.600391 20 15.400391 C 17.4 14.100391 16.900781 9.9003906 19.800781 8.4003906 C 20.300781 8.1003906 20.4 7.4992188 20 7.1992188 C 18.9 6.1992187 17.299219 5.4003906 16.199219 5.4003906 z" })
), uo = () => /* @__PURE__ */ t.createElement(
  "svg",
  {
    className: $(),
    fill: "gray",
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 30 30",
    width: "21px",
    height: "21px"
  },
  " ",
  /* @__PURE__ */ t.createElement("path", { d: "M15,3C8.373,3,3,8.373,3,15c0,5.623,3.872,10.328,9.092,11.63C12.036,26.468,12,26.28,12,26.047v-2.051 c-0.487,0-1.303,0-1.508,0c-0.821,0-1.551-0.353-1.905-1.009c-0.393-0.729-0.461-1.844-1.435-2.526 c-0.289-0.227-0.069-0.486,0.264-0.451c0.615,0.174,1.125,0.596,1.605,1.222c0.478,0.627,0.703,0.769,1.596,0.769 c0.433,0,1.081-0.025,1.691-0.121c0.328-0.833,0.895-1.6,1.588-1.962c-3.996-0.411-5.903-2.399-5.903-5.098 c0-1.162,0.495-2.286,1.336-3.233C9.053,10.647,8.706,8.73,9.435,8c1.798,0,2.885,1.166,3.146,1.481C13.477,9.174,14.461,9,15.495,9 c1.036,0,2.024,0.174,2.922,0.483C18.675,9.17,19.763,8,21.565,8c0.732,0.731,0.381,2.656,0.102,3.594 c0.836,0.945,1.328,2.066,1.328,3.226c0,2.697-1.904,4.684-5.894,5.097C18.199,20.49,19,22.1,19,23.313v2.734 c0,0.104-0.023,0.179-0.035,0.268C23.641,24.676,27,20.236,27,15C27,8.373,21.627,3,15,3z" })
), fo = () => /* @__PURE__ */ t.createElement(
  "svg",
  {
    className: $(),
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 48 48",
    width: "21px",
    height: "21px"
  },
  /* @__PURE__ */ t.createElement("path", { fill: "#e53935", d: "M24 43L16 20 32 20z" }),
  /* @__PURE__ */ t.createElement("path", { fill: "#ff7043", d: "M24 43L42 20 32 20z" }),
  /* @__PURE__ */ t.createElement("path", { fill: "#e53935", d: "M37 5L42 20 32 20z" }),
  /* @__PURE__ */ t.createElement("path", { fill: "#ffa726", d: "M24 43L42 20 45 28z" }),
  /* @__PURE__ */ t.createElement("path", { fill: "#ff7043", d: "M24 43L6 20 16 20z" }),
  /* @__PURE__ */ t.createElement("path", { fill: "#e53935", d: "M11 5L6 20 16 20z" }),
  /* @__PURE__ */ t.createElement("path", { fill: "#ffa726", d: "M24 43L6 20 3 28z" })
), go = () => /* @__PURE__ */ t.createElement(
  "svg",
  {
    className: $(),
    xmlns: "http://www.w3.org/2000/svg",
    width: "512",
    height: "512",
    viewBox: "0 0 62.42 62.42"
  },
  /* @__PURE__ */ t.createElement("defs", null, /* @__PURE__ */ t.createElement(
    "linearGradient",
    {
      id: "New_Gradient_Swatch_1",
      x1: "64.01",
      y1: "30.27",
      x2: "32.99",
      y2: "54.48",
      gradientUnits: "userSpaceOnUse"
    },
    /* @__PURE__ */ t.createElement("stop", { offset: "0.18", stopColor: "#0052cc" }),
    /* @__PURE__ */ t.createElement("stop", { offset: "1", stopColor: "#2684ff" })
  )),
  /* @__PURE__ */ t.createElement("title", null, "Bitbucket-blue"),
  /* @__PURE__ */ t.createElement("g", { id: "Layer_2", "data-name": "Layer 2" }, /* @__PURE__ */ t.createElement("g", { id: "Blue", transform: "translate(0 -3.13)" }, /* @__PURE__ */ t.createElement(
    "path",
    {
      d: "M2,6.26A2,2,0,0,0,0,8.58L8.49,60.12a2.72,2.72,0,0,0,2.66,2.27H51.88a2,2,0,0,0,2-1.68L62.37,8.59a2,2,0,0,0-2-2.32ZM37.75,43.51h-13L21.23,25.12H40.9Z",
      fill: "#2684ff"
    }
  ), /* @__PURE__ */ t.createElement(
    "path",
    {
      d: "M59.67,25.12H40.9L37.75,43.51h-13L9.4,61.73a2.71,2.71,0,0,0,1.75.66H51.89a2,2,0,0,0,2-1.68Z",
      fill: "url(#New_Gradient_Swatch_1)"
    }
  )))
), po = () => /* @__PURE__ */ t.createElement(
  "svg",
  {
    className: $(),
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 48 48",
    width: "21px",
    height: "21px"
  },
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "#536dfe",
      d: "M39.248,10.177c-2.804-1.287-5.812-2.235-8.956-2.778c-0.057-0.01-0.114,0.016-0.144,0.068	c-0.387,0.688-0.815,1.585-1.115,2.291c-3.382-0.506-6.747-0.506-10.059,0c-0.3-0.721-0.744-1.603-1.133-2.291	c-0.03-0.051-0.087-0.077-0.144-0.068c-3.143,0.541-6.15,1.489-8.956,2.778c-0.024,0.01-0.045,0.028-0.059,0.051	c-5.704,8.522-7.267,16.835-6.5,25.044c0.003,0.04,0.026,0.079,0.057,0.103c3.763,2.764,7.409,4.442,10.987,5.554	c0.057,0.017,0.118-0.003,0.154-0.051c0.846-1.156,1.601-2.374,2.248-3.656c0.038-0.075,0.002-0.164-0.076-0.194	c-1.197-0.454-2.336-1.007-3.432-1.636c-0.087-0.051-0.094-0.175-0.014-0.234c0.231-0.173,0.461-0.353,0.682-0.534	c0.04-0.033,0.095-0.04,0.142-0.019c7.201,3.288,14.997,3.288,22.113,0c0.047-0.023,0.102-0.016,0.144,0.017	c0.22,0.182,0.451,0.363,0.683,0.536c0.08,0.059,0.075,0.183-0.012,0.234c-1.096,0.641-2.236,1.182-3.434,1.634	c-0.078,0.03-0.113,0.12-0.075,0.196c0.661,1.28,1.415,2.498,2.246,3.654c0.035,0.049,0.097,0.07,0.154,0.052	c3.595-1.112,7.241-2.79,11.004-5.554c0.033-0.024,0.054-0.061,0.057-0.101c0.917-9.491-1.537-17.735-6.505-25.044	C39.293,10.205,39.272,10.187,39.248,10.177z M16.703,30.273c-2.168,0-3.954-1.99-3.954-4.435s1.752-4.435,3.954-4.435	c2.22,0,3.989,2.008,3.954,4.435C20.658,28.282,18.906,30.273,16.703,30.273z M31.324,30.273c-2.168,0-3.954-1.99-3.954-4.435	s1.752-4.435,3.954-4.435c2.22,0,3.989,2.008,3.954,4.435C35.278,28.282,33.544,30.273,31.324,30.273z"
    }
  )
), ho = () => /* @__PURE__ */ t.createElement(
  "svg",
  {
    className: $(),
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 48 48",
    width: "21px",
    height: "21px"
  },
  /* @__PURE__ */ t.createElement(
    "linearGradient",
    {
      id: "k8yl7~hDat~FaoWq8WjN6a",
      x1: "-1254.397",
      x2: "-1261.911",
      y1: "877.268",
      y2: "899.466",
      gradientTransform: "translate(1981.75 -1362.063) scale(1.5625)",
      gradientUnits: "userSpaceOnUse"
    },
    /* @__PURE__ */ t.createElement("stop", { offset: "0", stopColor: "#114a8b" }),
    /* @__PURE__ */ t.createElement("stop", { offset: "1", stopColor: "#0669bc" })
  ),
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "url(#k8yl7~hDat~FaoWq8WjN6a)",
      d: "M17.634,6h11.305L17.203,40.773c-0.247,0.733-0.934,1.226-1.708,1.226H6.697 c-0.994,0-1.8-0.806-1.8-1.8c0-0.196,0.032-0.39,0.094-0.576L15.926,7.227C16.173,6.494,16.86,6,17.634,6L17.634,6z"
    }
  ),
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "#0078d4",
      d: "M34.062,29.324H16.135c-0.458-0.001-0.83,0.371-0.831,0.829c0,0.231,0.095,0.451,0.264,0.608 l11.52,10.752C27.423,41.826,27.865,42,28.324,42h10.151L34.062,29.324z"
    }
  ),
  /* @__PURE__ */ t.createElement(
    "linearGradient",
    {
      id: "k8yl7~hDat~FaoWq8WjN6b",
      x1: "-1252.05",
      x2: "-1253.788",
      y1: "887.612",
      y2: "888.2",
      gradientTransform: "translate(1981.75 -1362.063) scale(1.5625)",
      gradientUnits: "userSpaceOnUse"
    },
    /* @__PURE__ */ t.createElement("stop", { offset: "0", stopOpacity: ".3" }),
    /* @__PURE__ */ t.createElement("stop", { offset: ".071", stopOpacity: ".2" }),
    /* @__PURE__ */ t.createElement("stop", { offset: ".321", stopOpacity: ".1" }),
    /* @__PURE__ */ t.createElement("stop", { offset: ".623", stopOpacity: ".05" }),
    /* @__PURE__ */ t.createElement("stop", { offset: "1", stopOpacity: "0" })
  ),
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "url(#k8yl7~hDat~FaoWq8WjN6b)",
      d: "M17.634,6c-0.783-0.003-1.476,0.504-1.712,1.25L5.005,39.595 c-0.335,0.934,0.151,1.964,1.085,2.299C6.286,41.964,6.493,42,6.702,42h9.026c0.684-0.122,1.25-0.603,1.481-1.259l2.177-6.416 l7.776,7.253c0.326,0.27,0.735,0.419,1.158,0.422h10.114l-4.436-12.676l-12.931,0.003L28.98,6H17.634z"
    }
  ),
  /* @__PURE__ */ t.createElement(
    "linearGradient",
    {
      id: "k8yl7~hDat~FaoWq8WjN6c",
      x1: "-1252.952",
      x2: "-1244.704",
      y1: "876.6",
      y2: "898.575",
      gradientTransform: "translate(1981.75 -1362.063) scale(1.5625)",
      gradientUnits: "userSpaceOnUse"
    },
    /* @__PURE__ */ t.createElement("stop", { offset: "0", stopColor: "#3ccbf4" }),
    /* @__PURE__ */ t.createElement("stop", { offset: "1", stopColor: "#2892df" })
  ),
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "url(#k8yl7~hDat~FaoWq8WjN6c)",
      d: "M32.074,7.225C31.827,6.493,31.141,6,30.368,6h-12.6c0.772,0,1.459,0.493,1.705,1.224 l10.935,32.399c0.318,0.942-0.188,1.963-1.13,2.281C29.093,41.968,28.899,42,28.703,42h12.6c0.994,0,1.8-0.806,1.8-1.801 c0-0.196-0.032-0.39-0.095-0.575L32.074,7.225z"
    }
  )
), vo = () => /* @__PURE__ */ t.createElement(
  "svg",
  {
    className: $(),
    width: "512",
    height: "512",
    viewBox: "0 0 512 512",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  },
  /* @__PURE__ */ t.createElement(
    "path",
    {
      d: "M472.136 163.959H408.584C407.401 163.959 406.218 163.327 405.666 162.3L354.651 73.6591C354.02 72.632 352.916 72 351.654 72H143.492C142.309 72 141.126 72.632 140.574 73.6591L87.5084 165.618L36.414 254.259C35.862 255.286 35.862 256.55 36.414 257.656L87.5084 346.297L140.495 438.335C141.047 439.362 142.23 440.073 143.413 439.994H351.654C352.837 439.994 354.02 439.362 354.651 438.335L405.745 349.694C406.297 348.667 407.48 347.956 408.663 348.035H472.215C474.344 348.035 476 346.297 476 344.243V167.83C475.921 165.697 474.186 163.959 472.136 163.959ZM228.728 349.694L212.721 377.345C212.485 377.74 212.091 378.135 211.696 378.372C211.223 378.609 210.75 378.767 210.198 378.767H178.422C177.318 378.767 176.293 378.214 175.82 377.187L128.431 294.787L123.779 286.65L106.748 257.498C106.511 257.103 106.353 256.629 106.432 256.076C106.432 255.602 106.59 255.049 106.827 254.654L123.937 224.949L175.899 134.886C176.451 133.938 177.476 133.306 178.501 133.306H210.198C210.75 133.306 211.302 133.464 211.854 133.701C212.248 133.938 212.643 134.254 212.879 134.728L228.886 162.537C229.359 163.485 229.28 164.67 228.728 165.539L177.397 254.654C177.16 255.049 177.081 255.523 177.081 255.918C177.081 256.392 177.239 256.787 177.397 257.182L228.728 346.218C229.438 347.403 229.359 348.667 228.728 349.694V349.694ZM388.083 257.498L371.051 286.65L366.399 294.787L319.011 377.187C318.459 378.135 317.512 378.767 316.409 378.767H284.632C284.08 378.767 283.607 378.609 283.134 378.372C282.74 378.135 282.346 377.819 282.109 377.345L266.103 349.694C265.393 348.667 265.393 347.403 266.024 346.376L317.355 257.34C317.591 256.945 317.67 256.471 317.67 256.076C317.67 255.602 317.513 255.207 317.355 254.812L266.024 165.697C265.472 164.749 265.393 163.643 265.866 162.695L281.873 134.886C282.109 134.491 282.503 134.096 282.898 133.859C283.371 133.543 283.923 133.464 284.553 133.464H316.409C317.512 133.464 318.538 134.017 319.011 135.044L370.972 225.107L388.083 254.812C388.319 255.286 388.477 255.76 388.477 256.234C388.477 256.55 388.319 257.024 388.083 257.498V257.498Z",
      fill: "#008AAA"
    }
  )
), Ba = () => /* @__PURE__ */ t.createElement(
  "svg",
  {
    className: $(),
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 48 48",
    width: "21px",
    height: "21px"
  },
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "#0288D1",
      d: "M42,37c0,2.762-2.238,5-5,5H11c-2.761,0-5-2.238-5-5V11c0-2.762,2.239-5,5-5h26c2.762,0,5,2.238,5,5V37z"
    }
  ),
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "#FFF",
      d: "M12 19H17V36H12zM14.485 17h-.028C12.965 17 12 15.888 12 14.499 12 13.08 12.995 12 14.514 12c1.521 0 2.458 1.08 2.486 2.499C17 15.887 16.035 17 14.485 17zM36 36h-5v-9.099c0-2.198-1.225-3.698-3.192-3.698-1.501 0-2.313 1.012-2.707 1.99C24.957 25.543 25 26.511 25 27v9h-5V19h5v2.616C25.721 20.5 26.85 19 29.738 19c3.578 0 6.261 2.25 6.261 7.274L36 36 36 36z"
    }
  )
), Eo = () => /* @__PURE__ */ t.createElement(
  "svg",
  {
    className: $(),
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 48 48",
    width: "21px",
    height: "21px",
    fillRule: "evenodd",
    clipRule: "evenodd"
  },
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "#fff",
      fillRule: "evenodd",
      d: "M11.553,11.099c1.232,1.001,1.694,0.925,4.008,0.77 l21.812-1.31c0.463,0,0.078-0.461-0.076-0.538l-3.622-2.619c-0.694-0.539-1.619-1.156-3.391-1.002l-21.12,1.54 c-0.77,0.076-0.924,0.461-0.617,0.77L11.553,11.099z",
      clipRule: "evenodd"
    }
  ),
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "#fff",
      fillRule: "evenodd",
      d: "M12.862,16.182v22.95c0,1.233,0.616,1.695,2.004,1.619 l23.971-1.387c1.388-0.076,1.543-0.925,1.543-1.927V14.641c0-1-0.385-1.54-1.234-1.463l-25.05,1.463 C13.171,14.718,12.862,15.181,12.862,16.182L12.862,16.182z",
      clipRule: "evenodd"
    }
  ),
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "#424242",
      fillRule: "evenodd",
      d: "M11.553,11.099c1.232,1.001,1.694,0.925,4.008,0.77 l21.812-1.31c0.463,0,0.078-0.461-0.076-0.538l-3.622-2.619c-0.694-0.539-1.619-1.156-3.391-1.002l-21.12,1.54 c-0.77,0.076-0.924,0.461-0.617,0.77L11.553,11.099z M12.862,16.182v22.95c0,1.233,0.616,1.695,2.004,1.619l23.971-1.387 c1.388-0.076,1.543-0.925,1.543-1.927V14.641c0-1-0.385-1.54-1.234-1.463l-25.05,1.463C13.171,14.718,12.862,15.181,12.862,16.182 L12.862,16.182z M36.526,17.413c0.154,0.694,0,1.387-0.695,1.465l-1.155,0.23v16.943c-1.003,0.539-1.928,0.847-2.698,0.847 c-1.234,0-1.543-0.385-2.467-1.54l-7.555-11.86v11.475l2.391,0.539c0,0,0,1.386-1.929,1.386l-5.317,0.308 c-0.154-0.308,0-1.078,0.539-1.232l1.388-0.385V20.418l-1.927-0.154c-0.155-0.694,0.23-1.694,1.31-1.772l5.704-0.385l7.862,12.015 V19.493l-2.005-0.23c-0.154-0.848,0.462-1.464,1.233-1.54L36.526,17.413z M7.389,5.862l21.968-1.618 c2.698-0.231,3.392-0.076,5.087,1.155l7.013,4.929C42.614,11.176,43,11.407,43,12.33v27.032c0,1.694-0.617,2.696-2.775,2.849 l-25.512,1.541c-1.62,0.077-2.391-0.154-3.239-1.232l-5.164-6.7C5.385,34.587,5,33.664,5,32.585V8.556 C5,7.171,5.617,6.015,7.389,5.862z",
      clipRule: "evenodd"
    }
  )
), yo = () => /* @__PURE__ */ t.createElement(
  "svg",
  {
    className: $(),
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 48 48",
    width: "21px",
    height: "21px"
  },
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "#33d375",
      d: "M33,8c0-2.209-1.791-4-4-4s-4,1.791-4,4c0,1.254,0,9.741,0,11c0,2.209,1.791,4,4,4s4-1.791,4-4	C33,17.741,33,9.254,33,8z"
    }
  ),
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "#33d375",
      d: "M43,19c0,2.209-1.791,4-4,4c-1.195,0-4,0-4,0s0-2.986,0-4c0-2.209,1.791-4,4-4S43,16.791,43,19z"
    }
  ),
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "#40c4ff",
      d: "M8,14c-2.209,0-4,1.791-4,4s1.791,4,4,4c1.254,0,9.741,0,11,0c2.209,0,4-1.791,4-4s-1.791-4-4-4	C17.741,14,9.254,14,8,14z"
    }
  ),
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "#40c4ff",
      d: "M19,4c2.209,0,4,1.791,4,4c0,1.195,0,4,0,4s-2.986,0-4,0c-2.209,0-4-1.791-4-4S16.791,4,19,4z"
    }
  ),
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "#e91e63",
      d: "M14,39.006C14,41.212,15.791,43,18,43s4-1.788,4-3.994c0-1.252,0-9.727,0-10.984	c0-2.206-1.791-3.994-4-3.994s-4,1.788-4,3.994C14,29.279,14,37.754,14,39.006z"
    }
  ),
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "#e91e63",
      d: "M4,28.022c0-2.206,1.791-3.994,4-3.994c1.195,0,4,0,4,0s0,2.981,0,3.994c0,2.206-1.791,3.994-4,3.994	S4,30.228,4,28.022z"
    }
  ),
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "#ffc107",
      d: "M39,33c2.209,0,4-1.791,4-4s-1.791-4-4-4c-1.254,0-9.741,0-11,0c-2.209,0-4,1.791-4,4s1.791,4,4,4	C29.258,33,37.746,33,39,33z"
    }
  ),
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "#ffc107",
      d: "M28,43c-2.209,0-4-1.791-4-4c0-1.195,0-4,0-4s2.986,0,4,0c2.209,0,4,1.791,4,4S30.209,43,28,43z"
    }
  )
), wo = () => /* @__PURE__ */ t.createElement(
  "svg",
  {
    className: $(),
    width: "512",
    height: "512",
    viewBox: "0 0 512 512",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  },
  /* @__PURE__ */ t.createElement(
    "path",
    {
      d: "M255.498 31.0034C131.513 31.0034 31 131.515 31 255.502C31 379.492 131.513 480 255.498 480C379.497 480 480 379.495 480 255.502C480 131.522 379.497 31.0135 255.495 31.0135L255.498 31V31.0034ZM358.453 354.798C354.432 361.391 345.801 363.486 339.204 359.435C286.496 327.237 220.139 319.947 141.993 337.801C134.463 339.516 126.957 334.798 125.24 327.264C123.516 319.731 128.217 312.225 135.767 310.511C221.284 290.972 294.639 299.384 353.816 335.549C360.413 339.596 362.504 348.2 358.453 354.798ZM385.932 293.67C380.864 301.903 370.088 304.503 361.858 299.438C301.512 262.345 209.528 251.602 138.151 273.272C128.893 276.067 119.118 270.851 116.309 261.61C113.521 252.353 118.74 242.597 127.981 239.782C209.512 215.044 310.87 227.026 380.17 269.612C388.4 274.68 391 285.456 385.935 293.676V293.673L385.932 293.67ZM388.293 230.016C315.935 187.039 196.56 183.089 127.479 204.055C116.387 207.42 104.654 201.159 101.293 190.063C97.9326 178.964 104.189 167.241 115.289 163.87C194.59 139.796 326.418 144.446 409.723 193.902C419.722 199.826 422.995 212.71 417.068 222.675C411.168 232.653 398.247 235.943 388.303 230.016H388.293V230.016Z",
      fill: "#1ED760"
    }
  )
), xo = () => /* @__PURE__ */ t.createElement(
  "svg",
  {
    className: $(),
    width: "512",
    height: "512",
    viewBox: "0 0 512 512",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  },
  /* @__PURE__ */ t.createElement("path", { d: "M416 240L352 304H288L232 360V304H160V64H416V240Z", fill: "white" }),
  /* @__PURE__ */ t.createElement(
    "path",
    {
      d: "M144 32L64 112V400H160V480L240 400H304L448 256V32H144ZM416 240L352 304H288L232 360V304H160V64H416V240Z",
      fill: "#9146FF"
    }
  ),
  /* @__PURE__ */ t.createElement("path", { d: "M368 120H336V216H368V120Z", fill: "#9146FF" }),
  /* @__PURE__ */ t.createElement("path", { d: "M280 120H248V216H280V120Z", fill: "#9146FF" })
), _o = () => /* @__PURE__ */ t.createElement(
  "svg",
  {
    className: $(),
    width: "512",
    height: "512",
    viewBox: "0 0 512 512",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  },
  /* @__PURE__ */ t.createElement(
    "path",
    {
      d: "M33 256.043C33 264.556 35.3159 273.069 39.4845 280.202L117.993 415.493C126.098 429.298 138.373 440.572 153.657 445.634C183.764 455.528 214.797 442.873 229.618 417.333L248.609 384.661L173.806 256.043L252.777 119.831L271.768 87.1591C277.557 77.2654 284.968 69.4424 294 63H285.894H172.185C150.878 63 131.193 74.2742 120.54 92.6812L39.7161 231.884C35.3159 239.016 33 247.53 33 256.043Z",
      fill: "#6363F1"
    }
  ),
  /* @__PURE__ */ t.createElement(
    "path",
    {
      d: "M480 256.058C480 247.539 477.684 239.021 473.516 231.883L393.849 94.6596C379.028 69.3331 347.995 56.4396 317.888 66.34C302.603 71.4053 290.329 82.6871 282.224 96.5015L264.391 127.354L339.194 256.058L260.223 392.131L241.232 424.825C235.443 434.495 228.032 442.553 219 449H227.106H340.815C362.122 449 381.807 437.718 392.46 419.299L473.284 280.003C477.684 272.866 480 264.577 480 256.058Z",
      fill: "#6363F1"
    }
  )
), bo = () => /* @__PURE__ */ t.createElement(
  "svg",
  {
    className: $(),
    xmlns: "http://www.w3.org/2000/svg",
    width: "2500",
    height: "2500",
    viewBox: "0 0 256 256"
  },
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "#FFE812",
      d: "M256 236c0 11.046-8.954 20-20 20H20c-11.046 0-20-8.954-20-20V20C0 8.954 8.954 0 20 0h216c11.046 0 20 8.954 20 20v216z"
    }
  ),
  /* @__PURE__ */ t.createElement("path", { d: "M128 36C70.562 36 24 72.713 24 118c0 29.279 19.466 54.97 48.748 69.477-1.593 5.494-10.237 35.344-10.581 37.689 0 0-.207 1.762.934 2.434s2.483.15 2.483.15c3.272-.457 37.943-24.811 43.944-29.04 5.995.849 12.168 1.29 18.472 1.29 57.438 0 104-36.712 104-82 0-45.287-46.562-82-104-82z" }),
  /* @__PURE__ */ t.createElement(
    "path",
    {
      fill: "#FFE812",
      d: "M70.5 146.625c-3.309 0-6-2.57-6-5.73V105.25h-9.362c-3.247 0-5.888-2.636-5.888-5.875s2.642-5.875 5.888-5.875h30.724c3.247 0 5.888 2.636 5.888 5.875s-2.642 5.875-5.888 5.875H76.5v35.645c0 3.16-2.691 5.73-6 5.73zM123.112 146.547c-2.502 0-4.416-1.016-4.993-2.65l-2.971-7.778-18.296-.001-2.973 7.783c-.575 1.631-2.488 2.646-4.99 2.646a9.155 9.155 0 0 1-3.814-.828c-1.654-.763-3.244-2.861-1.422-8.52l14.352-37.776c1.011-2.873 4.082-5.833 7.99-5.922 3.919.088 6.99 3.049 8.003 5.928l14.346 37.759c1.826 5.672.236 7.771-1.418 8.532a9.176 9.176 0 0 1-3.814.827c-.001 0 0 0 0 0zm-11.119-21.056L106 108.466l-5.993 17.025h11.986zM138 145.75c-3.171 0-5.75-2.468-5.75-5.5V99.5c0-3.309 2.748-6 6.125-6s6.125 2.691 6.125 6v35.25h12.75c3.171 0 5.75 2.468 5.75 5.5s-2.579 5.5-5.75 5.5H138zM171.334 146.547c-3.309 0-6-2.691-6-6V99.5c0-3.309 2.691-6 6-6s6 2.691 6 6v12.896l16.74-16.74c.861-.861 2.044-1.335 3.328-1.335 1.498 0 3.002.646 4.129 1.772 1.051 1.05 1.678 2.401 1.764 3.804.087 1.415-.384 2.712-1.324 3.653l-13.673 13.671 14.769 19.566a5.951 5.951 0 0 1 1.152 4.445 5.956 5.956 0 0 1-2.328 3.957 5.94 5.94 0 0 1-3.609 1.211 5.953 5.953 0 0 1-4.793-2.385l-14.071-18.644-2.082 2.082v13.091a6.01 6.01 0 0 1-6.002 6.003z"
    }
  )
);
function No({
  supabaseClient: e,
  socialLayout: r = "vertical",
  providers: a = ["github", "google", "azure"],
  providerScopes: s,
  queryParams: n,
  redirectTo: o,
  onlyThirdPartyProviders: i = !0,
  view: m = "sign_in",
  i18n: u,
  appearance: c
}) {
  const [f, p] = C(!1), [g, d] = C(""), y = r === "vertical", E = m === "magic_link" ? "sign_in" : m, _ = async (v) => {
    p(!0);
    const { error: h } = await e.auth.signInWithOAuth({
      provider: v,
      options: {
        redirectTo: o,
        scopes: s == null ? void 0 : s[v],
        queryParams: n
      }
    });
    h && d(h.message), p(!1);
  };
  function w(v) {
    return v === "linkedin_oidc" ? "LinkedIn" : v;
  }
  function S(v) {
    const h = v.toLowerCase();
    return v.charAt(0).toUpperCase() + h.slice(1);
  }
  return /* @__PURE__ */ t.createElement(t.Fragment, null, a && a.length > 0 && /* @__PURE__ */ t.createElement(t.Fragment, null, /* @__PURE__ */ t.createElement(te, { gap: "large", direction: "vertical", appearance: c }, /* @__PURE__ */ t.createElement(
    te,
    {
      direction: y ? "vertical" : "horizontal",
      gap: y ? "small" : "medium",
      appearance: c
    },
    a.map((v) => {
      var h;
      return /* @__PURE__ */ t.createElement(
        Ce,
        {
          key: v,
          color: "default",
          loading: f,
          onClick: () => _(v),
          appearance: c
        },
        /* @__PURE__ */ t.createElement(lo, { provider: v }),
        y && Pl(
          (h = u == null ? void 0 : u[E]) == null ? void 0 : h.social_provider_text,
          {
            provider: S(
              w(v)
            )
          }
        )
      );
    })
  )), !i && /* @__PURE__ */ t.createElement(ro, { appearance: c })));
}
function Ga({
  authView: e = "sign_in",
  defaultEmail: r = "",
  defaultPassword: a = "",
  setAuthView: s = () => {
  },
  setDefaultEmail: n = (E) => {
  },
  setDefaultPassword: o = (E) => {
  },
  supabaseClient: i,
  showLinks: m = !1,
  redirectTo: u,
  additionalData: c,
  magicLink: f,
  i18n: p,
  appearance: g,
  passwordLimit: d = !1,
  children: y
}) {
  var M, J, Z, q;
  const E = Dl(!0), [_, w] = C(r), [S, v] = C(a), [h, N] = C(""), [R, F] = C(!1), [W, I] = C("");
  H(() => (E.current = !0, w(r), v(a), () => {
    E.current = !1;
  }), [e]);
  const T = async (A) => {
    var O;
    switch (A.preventDefault(), N(""), F(!0), e) {
      case "sign_in":
        const { error: ye } = await i.auth.signInWithPassword({
          email: _,
          password: S
        });
        ye && N(ye.message);
        break;
      case "sign_up":
        if (d && S.length > 72) {
          N("Password exceeds maxmium length of 72 characters");
          return;
        }
        let Ie = {
          emailRedirectTo: u
        };
        c && (Ie.data = c);
        const {
          data: { user: xt, session: _t },
          error: Te
        } = await i.auth.signUp({
          email: _,
          password: S,
          options: Ie
        });
        Te ? N(Te.message) : xt && !_t && I((O = p == null ? void 0 : p.sign_up) == null ? void 0 : O.confirmation_text);
        break;
    }
    E.current && F(!1);
  }, D = (A) => {
    n(_), o(S), s(A);
  }, P = p == null ? void 0 : p[e];
  return /* @__PURE__ */ t.createElement(
    "form",
    {
      id: e === "sign_in" ? "auth-sign-in" : "auth-sign-up",
      onSubmit: T,
      autoComplete: "on",
      style: { width: "100%" }
    },
    /* @__PURE__ */ t.createElement(te, { direction: "vertical", gap: "large", appearance: g }, /* @__PURE__ */ t.createElement(te, { direction: "vertical", gap: "large", appearance: g }, /* @__PURE__ */ t.createElement("div", null, /* @__PURE__ */ t.createElement(me, { htmlFor: "email", appearance: g }, P == null ? void 0 : P.email_label), /* @__PURE__ */ t.createElement(
      ce,
      {
        id: "email",
        type: "email",
        name: "email",
        placeholder: P == null ? void 0 : P.email_input_placeholder,
        defaultValue: _,
        onChange: (A) => w(A.target.value),
        autoComplete: "email",
        appearance: g
      }
    )), /* @__PURE__ */ t.createElement("div", null, /* @__PURE__ */ t.createElement(me, { htmlFor: "password", appearance: g }, P == null ? void 0 : P.password_label), /* @__PURE__ */ t.createElement(
      ce,
      {
        id: "password",
        type: "password",
        name: "password",
        placeholder: P == null ? void 0 : P.password_input_placeholder,
        defaultValue: S,
        onChange: (A) => v(A.target.value),
        autoComplete: e === "sign_in" ? "current-password" : "new-password",
        appearance: g
      }
    )), y), /* @__PURE__ */ t.createElement(
      Ce,
      {
        type: "submit",
        color: "primary",
        loading: R,
        appearance: g
      },
      R ? P == null ? void 0 : P.loading_button_label : P == null ? void 0 : P.button_label
    ), m && /* @__PURE__ */ t.createElement(te, { direction: "vertical", gap: "small", appearance: g }, e === B.SIGN_IN && f && /* @__PURE__ */ t.createElement(
      fe,
      {
        href: "#auth-magic-link",
        onClick: (A) => {
          A.preventDefault(), s(B.MAGIC_LINK);
        },
        appearance: g
      },
      (M = p == null ? void 0 : p.magic_link) == null ? void 0 : M.link_text
    ), e === B.SIGN_IN && /* @__PURE__ */ t.createElement(
      fe,
      {
        href: "#auth-forgot-password",
        onClick: (A) => {
          A.preventDefault(), s(B.FORGOTTEN_PASSWORD);
        },
        appearance: g
      },
      (J = p == null ? void 0 : p.forgotten_password) == null ? void 0 : J.link_text
    ), e === B.SIGN_IN ? /* @__PURE__ */ t.createElement(
      fe,
      {
        href: "#auth-sign-up",
        onClick: (A) => {
          A.preventDefault(), D(B.SIGN_UP);
        },
        appearance: g
      },
      (Z = p == null ? void 0 : p.sign_up) == null ? void 0 : Z.link_text
    ) : /* @__PURE__ */ t.createElement(
      fe,
      {
        href: "#auth-sign-in",
        onClick: (A) => {
          A.preventDefault(), D(B.SIGN_IN);
        },
        appearance: g
      },
      (q = p == null ? void 0 : p.sign_in) == null ? void 0 : q.link_text
    ))),
    W && /* @__PURE__ */ t.createElement(re, { appearance: g }, W),
    h && /* @__PURE__ */ t.createElement(re, { color: "danger", appearance: g }, h)
  );
}
function As({
  setAuthView: e = () => {
  },
  supabaseClient: r,
  redirectTo: a,
  i18n: s,
  appearance: n,
  showLinks: o = !1
}) {
  var _;
  const [i, m] = C(""), [u, c] = C(""), [f, p] = C(""), [g, d] = C(!1), y = async (w) => {
    var v;
    w.preventDefault(), c(""), p(""), d(!0);
    const { error: S } = await r.auth.resetPasswordForEmail(i, {
      redirectTo: a
    });
    S ? c(S.message) : p((v = s == null ? void 0 : s.forgotten_password) == null ? void 0 : v.confirmation_text), d(!1);
  }, E = s == null ? void 0 : s.forgotten_password;
  return /* @__PURE__ */ t.createElement("form", { id: "auth-forgot-password", onSubmit: y }, /* @__PURE__ */ t.createElement(te, { direction: "vertical", gap: "large", appearance: n }, /* @__PURE__ */ t.createElement(te, { gap: "large", direction: "vertical", appearance: n }, /* @__PURE__ */ t.createElement("div", null, /* @__PURE__ */ t.createElement(me, { htmlFor: "email", appearance: n }, E == null ? void 0 : E.email_label), /* @__PURE__ */ t.createElement(
    ce,
    {
      id: "email",
      name: "email",
      type: "email",
      autoFocus: !0,
      placeholder: E == null ? void 0 : E.email_input_placeholder,
      onChange: (w) => m(w.target.value),
      appearance: n
    }
  )), /* @__PURE__ */ t.createElement(
    Ce,
    {
      type: "submit",
      color: "primary",
      loading: g,
      appearance: n
    },
    g ? E == null ? void 0 : E.loading_button_label : E == null ? void 0 : E.button_label
  ), o && /* @__PURE__ */ t.createElement(
    fe,
    {
      href: "#auth-sign-in",
      onClick: (w) => {
        w.preventDefault(), e(B.SIGN_IN);
      },
      appearance: n
    },
    (_ = s == null ? void 0 : s.sign_in) == null ? void 0 : _.link_text
  ), f && /* @__PURE__ */ t.createElement(re, { appearance: n }, f), u && /* @__PURE__ */ t.createElement(re, { color: "danger", appearance: n }, u))));
}
function Ls({
  supabaseClient: e,
  i18n: r,
  appearance: a,
  passwordLimit: s = !1
}) {
  const [n, o] = C(""), [i, m] = C(""), [u, c] = C(""), [f, p] = C(!1), g = async (y) => {
    var _;
    if (y.preventDefault(), m(""), c(""), p(!0), s && n.length > 72) {
      m("Password exceeds maxmium length of 72 characters"), p(!1);
      return;
    }
    const { error: E } = await e.auth.updateUser({ password: n });
    E ? m(E.message) : c((_ = r == null ? void 0 : r.update_password) == null ? void 0 : _.confirmation_text), p(!1);
  }, d = r == null ? void 0 : r.update_password;
  return /* @__PURE__ */ t.createElement("form", { id: "auth-update-password", onSubmit: g }, /* @__PURE__ */ t.createElement(te, { gap: "large", direction: "vertical", appearance: a }, /* @__PURE__ */ t.createElement("div", null, /* @__PURE__ */ t.createElement(me, { htmlFor: "password", appearance: a }, d == null ? void 0 : d.password_label), /* @__PURE__ */ t.createElement(
    ce,
    {
      id: "password",
      name: "password",
      placeholder: d == null ? void 0 : d.password_input_placeholder,
      type: "password",
      autoFocus: !0,
      onChange: (y) => o(y.target.value),
      appearance: a
    }
  )), /* @__PURE__ */ t.createElement(
    Ce,
    {
      type: "submit",
      color: "primary",
      loading: f,
      appearance: a
    },
    f ? d == null ? void 0 : d.loading_button_label : d == null ? void 0 : d.button_label
  ), u && /* @__PURE__ */ t.createElement(re, { appearance: a }, u), i && /* @__PURE__ */ t.createElement(re, { color: "danger", appearance: a }, i)));
}
function Co({
  setAuthView: e = () => {
  },
  supabaseClient: r,
  otpType: a = "email",
  i18n: s,
  appearance: n,
  showLinks: o = !1
}) {
  var h;
  const [i, m] = C(""), [u, c] = C(""), [f, p] = C(""), [g, d] = C(""), [y, E] = C(""), [_, w] = C(!1), S = async (N) => {
    N.preventDefault(), d(""), E(""), w(!0);
    let R = {
      email: i,
      token: f,
      type: a
    };
    ["sms", "phone_change"].includes(a) && (R = {
      phone: u,
      token: f,
      type: a
    });
    const { error: F } = await r.auth.verifyOtp(R);
    F && d(F.message), w(!1);
  }, v = s == null ? void 0 : s.verify_otp;
  return /* @__PURE__ */ t.createElement("form", { id: "auth-magic-link", onSubmit: S }, /* @__PURE__ */ t.createElement(te, { gap: "large", direction: "vertical", appearance: n }, ["sms", "phone_change"].includes(a) ? /* @__PURE__ */ t.createElement("div", null, /* @__PURE__ */ t.createElement(me, { htmlFor: "phone", appearance: n }, v == null ? void 0 : v.phone_input_label), /* @__PURE__ */ t.createElement(
    ce,
    {
      id: "phone",
      name: "phone",
      type: "text",
      autoFocus: !0,
      placeholder: v == null ? void 0 : v.phone_input_placeholder,
      onChange: (N) => c(N.target.value),
      appearance: n
    }
  )) : /* @__PURE__ */ t.createElement("div", null, /* @__PURE__ */ t.createElement(me, { htmlFor: "email", appearance: n }, v == null ? void 0 : v.email_input_label), /* @__PURE__ */ t.createElement(
    ce,
    {
      id: "email",
      name: "email",
      type: "email",
      autoFocus: !0,
      placeholder: v == null ? void 0 : v.email_input_placeholder,
      onChange: (N) => m(N.target.value),
      appearance: n
    }
  )), /* @__PURE__ */ t.createElement("div", null, /* @__PURE__ */ t.createElement(me, { htmlFor: "token", appearance: n }, v == null ? void 0 : v.token_input_label), /* @__PURE__ */ t.createElement(
    ce,
    {
      id: "token",
      name: "token",
      type: "text",
      placeholder: v == null ? void 0 : v.token_input_placeholder,
      onChange: (N) => p(N.target.value),
      appearance: n
    }
  )), /* @__PURE__ */ t.createElement(
    Ce,
    {
      color: "primary",
      type: "submit",
      loading: _,
      appearance: n
    },
    _ ? v == null ? void 0 : v.loading_button_label : v == null ? void 0 : v.button_label
  ), o && /* @__PURE__ */ t.createElement(
    fe,
    {
      href: "#auth-sign-in",
      onClick: (N) => {
        N.preventDefault(), e(B.SIGN_IN);
      },
      appearance: n
    },
    (h = s == null ? void 0 : s.sign_in) == null ? void 0 : h.link_text
  ), y && /* @__PURE__ */ t.createElement(re, { appearance: n }, y), g && /* @__PURE__ */ t.createElement(re, { color: "danger", appearance: n }, g)));
}
const ks = Al({ user: null, session: null }), So = (e) => {
  const { supabaseClient: r } = e, [a, s] = C(null), [n, o] = C((a == null ? void 0 : a.user) ?? null);
  H(() => {
    (async () => {
      var c;
      const { data: u } = await r.auth.getSession();
      s(u.session), o(((c = u.session) == null ? void 0 : c.user) ?? null);
    })();
    const { data: m } = r.auth.onAuthStateChange(
      async (u, c) => {
        s(c), o((c == null ? void 0 : c.user) ?? null);
      }
    );
    return () => {
      m == null || m.subscription.unsubscribe();
    };
  }, []);
  const i = {
    session: a,
    user: n
  };
  return /* @__PURE__ */ t.createElement(ks.Provider, { value: i, ...e });
}, Ro = () => {
  const e = Ll(ks);
  if (e === void 0)
    throw new Error("useUser must be used within a UserContextProvider.");
  return e;
};
function ke({
  supabaseClient: e,
  socialLayout: r = "vertical",
  providers: a,
  providerScopes: s,
  queryParams: n,
  view: o = "sign_in",
  redirectTo: i,
  onlyThirdPartyProviders: m = !1,
  magicLink: u = !1,
  showLinks: c = !0,
  appearance: f,
  theme: p = "default",
  localization: g = { variables: {} },
  otpType: d = "email",
  additionalData: y,
  passwordLimit: E,
  children: _
}) {
  const w = Nt(Fl, g.variables ?? {}), [S, v] = C(o), [h, N] = C(""), [R, F] = C(""), W = S === "sign_in" || S === "sign_up" || S === "magic_link";
  H(() => {
    var D, P;
    Il({
      theme: Nt(
        ((D = f == null ? void 0 : f.theme) == null ? void 0 : D.default) ?? {},
        ((P = f == null ? void 0 : f.variables) == null ? void 0 : P.default) ?? {}
      )
    });
  }, [f]);
  const I = ({ children: D }) => {
    var P;
    return (
      // @ts-ignore
      /* @__PURE__ */ t.createElement(
        "div",
        {
          className: p !== "default" ? Tl(
            Nt(
              // @ts-ignore
              f == null ? void 0 : f.theme[p],
              ((P = f == null ? void 0 : f.variables) == null ? void 0 : P[p]) ?? {}
            )
          ) : ""
        },
        W && /* @__PURE__ */ t.createElement(
          No,
          {
            appearance: f,
            supabaseClient: e,
            providers: a,
            providerScopes: s,
            queryParams: n,
            socialLayout: r,
            redirectTo: i,
            onlyThirdPartyProviders: m,
            i18n: w,
            view: S
          }
        ),
        !m && D
      )
    );
  };
  H(() => {
    const { data: D } = e.auth.onAuthStateChange(
      (P) => {
        P === "PASSWORD_RECOVERY" ? v("update_password") : P === "USER_UPDATED" && v("sign_in");
      }
    );
    return v(o), () => D.subscription.unsubscribe();
  }, [o]);
  const T = {
    supabaseClient: e,
    setAuthView: v,
    defaultEmail: h,
    defaultPassword: R,
    setDefaultEmail: N,
    setDefaultPassword: F,
    redirectTo: i,
    magicLink: u,
    showLinks: c,
    i18n: w,
    appearance: f,
    passwordLimit: E
  };
  switch (S) {
    case B.SIGN_IN:
      return /* @__PURE__ */ t.createElement(I, null, /* @__PURE__ */ t.createElement(Ga, { ...T, authView: "sign_in" }));
    case B.SIGN_UP:
      return /* @__PURE__ */ t.createElement(I, null, /* @__PURE__ */ t.createElement(
        Ga,
        {
          appearance: f,
          supabaseClient: e,
          authView: "sign_up",
          setAuthView: v,
          defaultEmail: h,
          defaultPassword: R,
          setDefaultEmail: N,
          setDefaultPassword: F,
          redirectTo: i,
          magicLink: u,
          showLinks: c,
          i18n: w,
          additionalData: y,
          passwordLimit: E,
          children: _
        }
      ));
    case B.FORGOTTEN_PASSWORD:
      return /* @__PURE__ */ t.createElement(I, null, /* @__PURE__ */ t.createElement(
        As,
        {
          appearance: f,
          supabaseClient: e,
          setAuthView: v,
          redirectTo: i,
          showLinks: c,
          i18n: w
        }
      ));
    case B.MAGIC_LINK:
      return /* @__PURE__ */ t.createElement(I, null, /* @__PURE__ */ t.createElement(
        Ds,
        {
          appearance: f,
          supabaseClient: e,
          setAuthView: v,
          redirectTo: i,
          showLinks: c,
          i18n: w
        }
      ));
    case B.UPDATE_PASSWORD:
      return /* @__PURE__ */ t.createElement(
        Ls,
        {
          appearance: f,
          supabaseClient: e,
          i18n: w,
          passwordLimit: E
        }
      );
    case B.VERIFY_OTP:
      return /* @__PURE__ */ t.createElement(
        Co,
        {
          appearance: f,
          supabaseClient: e,
          otpType: d,
          i18n: w
        }
      );
    default:
      return null;
  }
}
ke.ForgottenPassword = As;
ke.UpdatePassword = Ls;
ke.MagicLink = Ds;
ke.UserContextProvider = So;
ke.useUser = Ro;
function b(...e) {
  return Hl(Wl(e));
}
const de = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  Ha.Root,
  {
    ref: a,
    className: b(
      "peer h-4 w-4 shrink-0 rounded-sm border border-primary ring-offset-background focus-visible:outline-none focus-visible:ring-2 focus-visible:ring-ring focus-visible:ring-offset-2 disabled:cursor-not-allowed disabled:opacity-50 data-[state=checked]:bg-primary data-[state=checked]:text-primary-foreground",
      e
    ),
    ...r
  },
  /* @__PURE__ */ l.createElement(
    Ha.Indicator,
    {
      className: b("flex items-center justify-center text-current")
    },
    /* @__PURE__ */ l.createElement(Vr, { className: "h-4 w-4" })
  )
));
de.displayName = "Checkbox";
const Io = [
  {
    value: "Active",
    label: "Active",
    icon: () => /* @__PURE__ */ t.createElement(we, { style: {
      color: "green",
      backgroundColor: "green",
      marginRight: "3px",
      width: "6px",
      // Adjust size as needed
      height: "6px",
      // Adjust size as needed
      borderRadius: "50%"
      // Makes the icon circular
    } })
    // Apply the red color
  },
  {
    value: "Inactive",
    label: "Inactive",
    icon: () => /* @__PURE__ */ t.createElement(we, { style: {
      color: "red",
      backgroundColor: "red",
      marginRight: "3px",
      width: "6px",
      // Adjust size as needed
      height: "6px",
      // Adjust size as needed
      borderRadius: "50%"
      // Makes the icon circular
    } })
    // Apply the blue color
  }
], Ea = Qe(
  "inline-flex items-center justify-center whitespace-nowrap rounded-md text-sm font-medium ring-offset-background transition-colors focus-visible:outline-none focus-visible:ring-2 focus-visible:ring-ring focus-visible:ring-offset-2 disabled:pointer-events-none disabled:opacity-50",
  {
    variants: {
      variant: {
        default: "bg-primary text-primary-foreground hover:bg-primary/90",
        destructive: "bg-destructive text-destructive-foreground hover:bg-destructive/90",
        outline: "border border-input bg-background hover:bg-accent hover:text-accent-foreground",
        secondary: "bg-secondary text-secondary-foreground hover:bg-secondary/80",
        ghost: "hover:bg-accent hover:text-accent-foreground",
        link: "text-primary underline-offset-4 hover:underline"
      },
      size: {
        default: "h-10 px-4 py-2",
        sm: "h-9 rounded-md px-3",
        lg: "h-11 rounded-md px-8",
        icon: "h-10 w-10"
      }
    },
    defaultVariants: {
      variant: "default",
      size: "default"
    }
  }
), L = l.forwardRef(
  ({ className: e, variant: r, size: a, asChild: s = !1, ...n }, o) => {
    const i = s ? Is : "button";
    return /* @__PURE__ */ l.createElement(
      i,
      {
        className: b(Ea({ variant: r, size: a }), e),
        ref: o,
        ...n
      }
    );
  }
);
L.displayName = "Button";
const oe = j.Root, Se = j.Trigger, To = l.forwardRef(({ className: e, inset: r, children: a, ...s }, n) => /* @__PURE__ */ l.createElement(
  j.SubTrigger,
  {
    ref: n,
    className: b(
      "flex cursor-default select-none items-center rounded-sm px-2 py-1.5 text-sm outline-none focus:bg-accent data-[state=open]:bg-accent",
      r && "pl-8",
      e
    ),
    ...s
  },
  a,
  /* @__PURE__ */ l.createElement(ql, { className: "ml-auto h-4 w-4" })
));
To.displayName = j.SubTrigger.displayName;
const Po = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  j.SubContent,
  {
    ref: a,
    className: b(
      "z-50 min-w-[8rem] overflow-hidden rounded-md border bg-popover p-1 text-popover-foreground shadow-lg data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0 data-[state=closed]:zoom-out-95 data-[state=open]:zoom-in-95 data-[side=bottom]:slide-in-from-top-2 data-[side=left]:slide-in-from-right-2 data-[side=right]:slide-in-from-left-2 data-[side=top]:slide-in-from-bottom-2",
      e
    ),
    ...r
  }
));
Po.displayName = j.SubContent.displayName;
const ne = l.forwardRef(({ className: e, sideOffset: r = 4, ...a }, s) => /* @__PURE__ */ l.createElement(j.Portal, null, /* @__PURE__ */ l.createElement(
  j.Content,
  {
    ref: s,
    sideOffset: r,
    className: b(
      "z-50 min-w-[8rem] overflow-hidden rounded-md border bg-popover p-1 text-popover-foreground shadow-md data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0 data-[state=closed]:zoom-out-95 data-[state=open]:zoom-in-95 data-[side=bottom]:slide-in-from-top-2 data-[side=left]:slide-in-from-right-2 data-[side=right]:slide-in-from-left-2 data-[side=top]:slide-in-from-bottom-2",
      e
    ),
    ...a
  }
)));
ne.displayName = j.Content.displayName;
const U = l.forwardRef(({ className: e, inset: r, ...a }, s) => /* @__PURE__ */ l.createElement(
  j.Item,
  {
    ref: s,
    className: b(
      "relative flex cursor-default select-none items-center rounded-sm px-2 py-1.5 text-sm outline-none transition-colors focus:bg-accent focus:text-accent-foreground data-[disabled]:pointer-events-none data-[disabled]:opacity-50",
      r && "pl-8",
      e
    ),
    ...a
  }
));
U.displayName = j.Item.displayName;
const et = l.forwardRef(({ className: e, children: r, checked: a, ...s }, n) => /* @__PURE__ */ l.createElement(
  j.CheckboxItem,
  {
    ref: n,
    className: b(
      "relative flex cursor-default select-none items-center rounded-sm py-1.5 pl-8 pr-2 text-sm outline-none transition-colors focus:bg-accent focus:text-accent-foreground data-[disabled]:pointer-events-none data-[disabled]:opacity-50",
      e
    ),
    checked: a,
    ...s
  },
  /* @__PURE__ */ l.createElement("span", { className: "absolute left-2 flex h-3.5 w-3.5 items-center justify-center" }, /* @__PURE__ */ l.createElement(j.ItemIndicator, null, /* @__PURE__ */ l.createElement(Vr, { className: "h-4 w-4" }))),
  r
));
et.displayName = j.CheckboxItem.displayName;
const Fo = l.forwardRef(({ className: e, children: r, ...a }, s) => /* @__PURE__ */ l.createElement(
  j.RadioItem,
  {
    ref: s,
    className: b(
      "relative flex cursor-default select-none items-center rounded-sm py-1.5 pl-8 pr-2 text-sm outline-none transition-colors focus:bg-accent focus:text-accent-foreground data-[disabled]:pointer-events-none data-[disabled]:opacity-50",
      e
    ),
    ...a
  },
  /* @__PURE__ */ l.createElement("span", { className: "absolute left-2 flex h-3.5 w-3.5 items-center justify-center" }, /* @__PURE__ */ l.createElement(j.ItemIndicator, null, /* @__PURE__ */ l.createElement(Ml, { className: "h-2 w-2 fill-current" }))),
  r
));
Fo.displayName = j.RadioItem.displayName;
const tt = l.forwardRef(({ className: e, inset: r, ...a }, s) => /* @__PURE__ */ l.createElement(
  j.Label,
  {
    ref: s,
    className: b(
      "px-2 py-1.5 text-sm font-semibold",
      r && "pl-8",
      e
    ),
    ...a
  }
));
tt.displayName = j.Label.displayName;
const ae = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  j.Separator,
  {
    ref: a,
    className: b("-mx-1 my-1 h-px bg-muted", e),
    ...r
  }
));
ae.displayName = j.Separator.displayName;
function Pe({
  column: e,
  title: r,
  className: a
}) {
  return e.getCanSort() ? /* @__PURE__ */ t.createElement("div", { className: b("flex items-center space-x-2", a) }, /* @__PURE__ */ t.createElement(oe, null, /* @__PURE__ */ t.createElement(Se, { asChild: !0 }, /* @__PURE__ */ t.createElement(
    L,
    {
      variant: "ghost",
      size: "sm",
      className: "-ml-3 h-8 data-[state=open]:bg-accent"
    },
    /* @__PURE__ */ t.createElement("span", null, r),
    e.getIsSorted() === "desc" ? /* @__PURE__ */ t.createElement(xe, { className: "ml-2 h-4 w-4" }) : e.getIsSorted() === "asc" ? /* @__PURE__ */ t.createElement(_e, { className: "ml-2 h-4 w-4" }) : /* @__PURE__ */ t.createElement(Xr, { className: "ml-2 h-4 w-4" })
  )), /* @__PURE__ */ t.createElement(ne, { align: "start" }, /* @__PURE__ */ t.createElement(U, { onClick: () => e.toggleSorting(!1) }, /* @__PURE__ */ t.createElement(_e, { className: "mr-2 h-3.5 w-3.5 text-muted-foreground/70" }), "Asc"), /* @__PURE__ */ t.createElement(U, { onClick: () => e.toggleSorting(!0) }, /* @__PURE__ */ t.createElement(xe, { className: "mr-2 h-3.5 w-3.5 text-muted-foreground/70" }), "Desc")))) : /* @__PURE__ */ t.createElement("div", { className: b(a) }, r);
}
function Do({
  row: e,
  onEdit: r,
  onStatus: a
}) {
  return /* @__PURE__ */ t.createElement(oe, null, /* @__PURE__ */ t.createElement(Se, { asChild: !0 }, /* @__PURE__ */ t.createElement(
    L,
    {
      variant: "ghost",
      className: "flex h-8 w-8 p-0 data-[state=open]:bg-muted"
    },
    /* @__PURE__ */ t.createElement(Jr, { className: "h-4 w-4" }),
    /* @__PURE__ */ t.createElement("span", { className: "sr-only" }, "Open menu")
  )), /* @__PURE__ */ t.createElement(ne, { align: "end", className: "w-[160px]" }, /* @__PURE__ */ t.createElement(U, { onClick: () => r(e.original) }, "Edit"), /* @__PURE__ */ t.createElement(ae, null), /* @__PURE__ */ t.createElement(ae, null), /* @__PURE__ */ t.createElement(U, { onClick: () => a(e.original) }, e.original.status === "Active" ? "Inactive" : "Active")));
}
const ya = ee.Root, Ao = ee.Portal, qs = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  ee.Overlay,
  {
    ref: a,
    className: b(
      "fixed inset-0 z-50 bg-white/80 data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0",
      e
    ),
    ...r
  }
));
qs.displayName = ee.Overlay.displayName;
const Lo = {
  top: "inset-x-0 top-0 border-b data-[state=closed]:slide-out-to-top data-[state=open]:slide-in-from-top",
  bottom: "inset-x-0 bottom-0 border-t data-[state=closed]:slide-out-to-bottom data-[state=open]:slide-in-from-bottom",
  left: "inset-y-0 left-0 h-full w-3/4 border-r data-[state=closed]:slide-out-to-left data-[state=open]:slide-in-from-left sm:max-w-sm",
  right: "inset-y-0 right-0 h-full w-3/4 border-l data-[state=closed]:slide-out-to-right data-[state=open]:slide-in-from-right sm:max-w-sm"
}, rt = l.forwardRef(({ side: e = "right", className: r, children: a, ...s }, n) => /* @__PURE__ */ l.createElement(Ao, null, /* @__PURE__ */ l.createElement(qs, null), /* @__PURE__ */ l.createElement(
  ee.Content,
  {
    ref: n,
    className: b(
      "fixed z-50 gap-4 bg-background p-6 shadow-lg transition ease-in-out data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:duration-300 data-[state=open]:duration-500",
      Lo[e],
      r
    ),
    ...s
  },
  a,
  /* @__PURE__ */ l.createElement(ee.Close, { className: "absolute right-4 top-4 rounded-sm opacity-70 ring-offset-background transition-opacity hover:opacity-100 focus:outline-none focus:ring-2 focus:ring-ring focus:ring-offset-2 disabled:pointer-events-none data-[state=open]:bg-secondary" }, /* @__PURE__ */ l.createElement(Ss, { className: "h-4 w-4" }), /* @__PURE__ */ l.createElement("span", { className: "sr-only" }, "Close"))
)));
rt.displayName = ee.Content.displayName;
const at = ({
  className: e,
  ...r
}) => /* @__PURE__ */ l.createElement("div", { className: b("flex flex-col space-y-2 text-center sm:text-left", e), ...r });
at.displayName = "SheetHeader";
const nt = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(ee.Title, { ref: a, className: b("text-lg font-semibold text-foreground", e), ...r }));
nt.displayName = ee.Title.displayName;
const st = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(ee.Description, { ref: a, className: b("text-sm text-muted-foreground", e), ...r }));
st.displayName = ee.Description.displayName;
const ko = x.object({
  plan_id: x.string().optional(),
  plan_name: x.string().optional(),
  plan_validity: x.string().optional()
}), Ms = x.object({
  id: x.string().optional(),
  name: x.string().optional(),
  default_user_name: x.string().optional(),
  created_at: x.string().optional(),
  updated_at: x.string().optional(),
  created_by: x.string().optional(),
  modified_by: x.string().optional(),
  default_user_id: x.string().optional(),
  email: x.string().optional(),
  phone: x.string().optional(),
  status: x.string().optional(),
  country_code: x.string().optional(),
  subscription_details: ko.optional()
});
var qo = function(e, r) {
  for (var a = {}; e.length; ) {
    var s = e[0], n = s.code, o = s.message, i = s.path.join(".");
    if (!a[i])
      if ("unionErrors" in s) {
        var m = s.unionErrors[0].errors[0];
        a[i] = { message: m.message, type: m.code };
      } else
        a[i] = { message: o, type: n };
    if ("unionErrors" in s && s.unionErrors.forEach(function(f) {
      return f.errors.forEach(function(p) {
        return e.push(p);
      });
    }), r) {
      var u = a[i].types, c = u && u[s.code];
      a[i] = $l(i, r, a, n, c ? [].concat(c, s.message) : s.message);
    }
    e.shift();
  }
  return a;
}, Xe = function(e, r, a) {
  return a === void 0 && (a = {}), function(s, n, o) {
    try {
      return Promise.resolve(function(i, m) {
        try {
          var u = Promise.resolve(e[a.mode === "sync" ? "parse" : "parseAsync"](s, r)).then(function(c) {
            return o.shouldUseNativeValidation && Ul({}, o), { errors: {}, values: a.raw ? s : c };
          });
        } catch (c) {
          return m(c);
        }
        return u && u.then ? u.then(void 0, m) : u;
      }(0, function(i) {
        if (function(m) {
          return m.errors != null;
        }(i))
          return { values: {}, errors: Yl(qo(i.errors, !o.shouldUseNativeValidation && o.criteriaMode === "all"), o) };
        throw i;
      }));
    } catch (i) {
      return Promise.reject(i);
    }
  };
};
const Mo = Qe(
  "text-sm font-medium leading-none peer-disabled:cursor-not-allowed peer-disabled:opacity-70"
), Os = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  Ts.Root,
  {
    ref: a,
    className: b(Mo(), e),
    ...r
  }
));
Os.displayName = Ts.Root.displayName;
const Oo = Le.Provider, zo = Le.Root, jo = Le.Trigger, zs = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  Le.Content,
  {
    ref: a,
    side: "bottom",
    className: b(
      "z-50 overflow-hidden rounded-md border bg-popover px-3 py-1.5 text-sm text-popover-foreground shadow-md animate-in fade-in-0 zoom-in-95 data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=closed]:zoom-out-95 data-[side=bottom]:slide-in-from-top-2 data-[side=left]:slide-in-from-right-2 data-[side=right]:slide-in-from-left-2 data-[side=top]:slide-in-from-bottom-2",
      e
    ),
    ...r
  }
));
zs.displayName = Le.Content.displayName;
var We = typeof globalThis < "u" ? globalThis : typeof window < "u" ? window : typeof global < "u" ? global : typeof self < "u" ? self : {};
function Wo(e) {
  return e && e.__esModule && Object.prototype.hasOwnProperty.call(e, "default") ? e.default : e;
}
var js = {}, Kr = { exports: {} }, Ws = { exports: {} };
(function(e) {
  function r(a) {
    return a && a.__esModule ? a : {
      default: a
    };
  }
  e.exports = r, e.exports.__esModule = !0, e.exports.default = e.exports;
})(Ws);
var Re = Ws.exports, He = { exports: {} }, Ct = { exports: {} }, Ua;
function Hs() {
  return Ua || (Ua = 1, function(e) {
    function r() {
      return e.exports = r = Object.assign ? Object.assign.bind() : function(a) {
        for (var s = 1; s < arguments.length; s++) {
          var n = arguments[s];
          for (var o in n)
            Object.prototype.hasOwnProperty.call(n, o) && (a[o] = n[o]);
        }
        return a;
      }, e.exports.__esModule = !0, e.exports.default = e.exports, r.apply(this, arguments);
    }
    e.exports = r, e.exports.__esModule = !0, e.exports.default = e.exports;
  }(Ct)), Ct.exports;
}
var $e = { exports: {} }, St = { exports: {} }, Ya;
function Ho() {
  return Ya || (Ya = 1, function(e) {
    function r(a, s) {
      if (a == null)
        return {};
      var n = {};
      for (var o in a)
        if (Object.prototype.hasOwnProperty.call(a, o)) {
          if (s.indexOf(o) >= 0)
            continue;
          n[o] = a[o];
        }
      return n;
    }
    e.exports = r, e.exports.__esModule = !0, e.exports.default = e.exports;
  }(St)), St.exports;
}
var Rt = { exports: {} };
/*!
	Copyright (c) 2018 Jed Watson.
	Licensed under the MIT License (MIT), see
	http://jedwatson.github.io/classnames
*/
var Za;
function wa() {
  return Za || (Za = 1, function(e) {
    (function() {
      var r = {}.hasOwnProperty;
      function a() {
        for (var o = "", i = 0; i < arguments.length; i++) {
          var m = arguments[i];
          m && (o = n(o, s(m)));
        }
        return o;
      }
      function s(o) {
        if (typeof o == "string" || typeof o == "number")
          return o;
        if (typeof o != "object")
          return "";
        if (Array.isArray(o))
          return a.apply(null, o);
        if (o.toString !== Object.prototype.toString && !o.toString.toString().includes("[native code]"))
          return o.toString();
        var i = "";
        for (var m in o)
          r.call(o, m) && o[m] && (i = n(i, m));
        return i;
      }
      function n(o, i) {
        return i ? o ? o + " " + i : o + i : o;
      }
      e.exports ? (a.default = a, e.exports = a) : window.classNames = a;
    })();
  }(Rt)), Rt.exports;
}
var It = {}, Q = {}, Tt, Ka;
function $s() {
  if (Ka)
    return Tt;
  Ka = 1;
  function e(r) {
    return r;
  }
  return Tt = e, Tt;
}
var Pt, Va;
function $o() {
  if (Va)
    return Pt;
  Va = 1;
  var e = typeof We == "object" && We && We.Object === Object && We;
  return Pt = e, Pt;
}
var Ft, Xa;
function Ee() {
  if (Xa)
    return Ft;
  Xa = 1;
  var e = $o(), r = typeof self == "object" && self && self.Object === Object && self, a = e || r || Function("return this")();
  return Ft = a, Ft;
}
var Dt, Ja;
function Bs() {
  if (Ja)
    return Dt;
  Ja = 1;
  var e = Ee(), r = e.Symbol;
  return Dt = r, Dt;
}
var At, Qa;
function Bo() {
  if (Qa)
    return At;
  Qa = 1;
  var e = Bs(), r = Object.prototype, a = r.hasOwnProperty, s = r.toString, n = e ? e.toStringTag : void 0;
  function o(i) {
    var m = a.call(i, n), u = i[n];
    try {
      i[n] = void 0;
      var c = !0;
    } catch {
    }
    var f = s.call(i);
    return c && (m ? i[n] = u : delete i[n]), f;
  }
  return At = o, At;
}
var Lt, en;
function Go() {
  if (en)
    return Lt;
  en = 1;
  var e = Object.prototype, r = e.toString;
  function a(s) {
    return r.call(s);
  }
  return Lt = a, Lt;
}
var kt, tn;
function Gs() {
  if (tn)
    return kt;
  tn = 1;
  var e = Bs(), r = Bo(), a = Go(), s = "[object Null]", n = "[object Undefined]", o = e ? e.toStringTag : void 0;
  function i(m) {
    return m == null ? m === void 0 ? n : s : o && o in Object(m) ? r(m) : a(m);
  }
  return kt = i, kt;
}
var qt, rn;
function qe() {
  if (rn)
    return qt;
  rn = 1;
  function e(r) {
    var a = typeof r;
    return r != null && (a == "object" || a == "function");
  }
  return qt = e, qt;
}
var Mt, an;
function Uo() {
  if (an)
    return Mt;
  an = 1;
  var e = Gs(), r = qe(), a = "[object AsyncFunction]", s = "[object Function]", n = "[object GeneratorFunction]", o = "[object Proxy]";
  function i(m) {
    if (!r(m))
      return !1;
    var u = e(m);
    return u == s || u == n || u == a || u == o;
  }
  return Mt = i, Mt;
}
var Ot, nn;
function Yo() {
  if (nn)
    return Ot;
  nn = 1;
  var e = Ee(), r = e["__core-js_shared__"];
  return Ot = r, Ot;
}
var zt, sn;
function Zo() {
  if (sn)
    return zt;
  sn = 1;
  var e = Yo(), r = function() {
    var s = /[^.]+$/.exec(e && e.keys && e.keys.IE_PROTO || "");
    return s ? "Symbol(src)_1." + s : "";
  }();
  function a(s) {
    return !!r && r in s;
  }
  return zt = a, zt;
}
var jt, ln;
function Ko() {
  if (ln)
    return jt;
  ln = 1;
  var e = Function.prototype, r = e.toString;
  function a(s) {
    if (s != null) {
      try {
        return r.call(s);
      } catch {
      }
      try {
        return s + "";
      } catch {
      }
    }
    return "";
  }
  return jt = a, jt;
}
var Wt, on;
function Vo() {
  if (on)
    return Wt;
  on = 1;
  var e = Uo(), r = Zo(), a = qe(), s = Ko(), n = /[\\^$.*+?()[\]{}|]/g, o = /^\[object .+?Constructor\]$/, i = Function.prototype, m = Object.prototype, u = i.toString, c = m.hasOwnProperty, f = RegExp(
    "^" + u.call(c).replace(n, "\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, "$1.*?") + "$"
  );
  function p(g) {
    if (!a(g) || r(g))
      return !1;
    var d = e(g) ? f : o;
    return d.test(s(g));
  }
  return Wt = p, Wt;
}
var Ht, cn;
function Xo() {
  if (cn)
    return Ht;
  cn = 1;
  function e(r, a) {
    return r == null ? void 0 : r[a];
  }
  return Ht = e, Ht;
}
var $t, mn;
function Us() {
  if (mn)
    return $t;
  mn = 1;
  var e = Vo(), r = Xo();
  function a(s, n) {
    var o = r(s, n);
    return e(o) ? o : void 0;
  }
  return $t = a, $t;
}
var Bt, dn;
function Jo() {
  if (dn)
    return Bt;
  dn = 1;
  var e = Us(), r = Ee(), a = e(r, "WeakMap");
  return Bt = a, Bt;
}
var Gt, un;
function Ys() {
  if (un)
    return Gt;
  un = 1;
  var e = Jo(), r = e && new e();
  return Gt = r, Gt;
}
var Ut, fn;
function Zs() {
  if (fn)
    return Ut;
  fn = 1;
  var e = $s(), r = Ys(), a = r ? function(s, n) {
    return r.set(s, n), s;
  } : e;
  return Ut = a, Ut;
}
var Yt, gn;
function xa() {
  if (gn)
    return Yt;
  gn = 1;
  var e = qe(), r = Object.create, a = function() {
    function s() {
    }
    return function(n) {
      if (!e(n))
        return {};
      if (r)
        return r(n);
      s.prototype = n;
      var o = new s();
      return s.prototype = void 0, o;
    };
  }();
  return Yt = a, Yt;
}
var Zt, pn;
function lt() {
  if (pn)
    return Zt;
  pn = 1;
  var e = xa(), r = qe();
  function a(s) {
    return function() {
      var n = arguments;
      switch (n.length) {
        case 0:
          return new s();
        case 1:
          return new s(n[0]);
        case 2:
          return new s(n[0], n[1]);
        case 3:
          return new s(n[0], n[1], n[2]);
        case 4:
          return new s(n[0], n[1], n[2], n[3]);
        case 5:
          return new s(n[0], n[1], n[2], n[3], n[4]);
        case 6:
          return new s(n[0], n[1], n[2], n[3], n[4], n[5]);
        case 7:
          return new s(n[0], n[1], n[2], n[3], n[4], n[5], n[6]);
      }
      var o = e(s.prototype), i = s.apply(o, n);
      return r(i) ? i : o;
    };
  }
  return Zt = a, Zt;
}
var Kt, hn;
function Qo() {
  if (hn)
    return Kt;
  hn = 1;
  var e = lt(), r = Ee(), a = 1;
  function s(n, o, i) {
    var m = o & a, u = e(n);
    function c() {
      var f = this && this !== r && this instanceof c ? u : n;
      return f.apply(m ? i : this, arguments);
    }
    return c;
  }
  return Kt = s, Kt;
}
var Vt, vn;
function Ks() {
  if (vn)
    return Vt;
  vn = 1;
  function e(r, a, s) {
    switch (s.length) {
      case 0:
        return r.call(a);
      case 1:
        return r.call(a, s[0]);
      case 2:
        return r.call(a, s[0], s[1]);
      case 3:
        return r.call(a, s[0], s[1], s[2]);
    }
    return r.apply(a, s);
  }
  return Vt = e, Vt;
}
var Xt, En;
function Vs() {
  if (En)
    return Xt;
  En = 1;
  var e = Math.max;
  function r(a, s, n, o) {
    for (var i = -1, m = a.length, u = n.length, c = -1, f = s.length, p = e(m - u, 0), g = Array(f + p), d = !o; ++c < f; )
      g[c] = s[c];
    for (; ++i < u; )
      (d || i < m) && (g[n[i]] = a[i]);
    for (; p--; )
      g[c++] = a[i++];
    return g;
  }
  return Xt = r, Xt;
}
var Jt, yn;
function Xs() {
  if (yn)
    return Jt;
  yn = 1;
  var e = Math.max;
  function r(a, s, n, o) {
    for (var i = -1, m = a.length, u = -1, c = n.length, f = -1, p = s.length, g = e(m - c, 0), d = Array(g + p), y = !o; ++i < g; )
      d[i] = a[i];
    for (var E = i; ++f < p; )
      d[E + f] = s[f];
    for (; ++u < c; )
      (y || i < m) && (d[E + n[u]] = a[i++]);
    return d;
  }
  return Jt = r, Jt;
}
var Qt, wn;
function ei() {
  if (wn)
    return Qt;
  wn = 1;
  function e(r, a) {
    for (var s = r.length, n = 0; s--; )
      r[s] === a && ++n;
    return n;
  }
  return Qt = e, Qt;
}
var er, xn;
function _a() {
  if (xn)
    return er;
  xn = 1;
  function e() {
  }
  return er = e, er;
}
var tr, _n;
function ba() {
  if (_n)
    return tr;
  _n = 1;
  var e = xa(), r = _a(), a = 4294967295;
  function s(n) {
    this.__wrapped__ = n, this.__actions__ = [], this.__dir__ = 1, this.__filtered__ = !1, this.__iteratees__ = [], this.__takeCount__ = a, this.__views__ = [];
  }
  return s.prototype = e(r.prototype), s.prototype.constructor = s, tr = s, tr;
}
var rr, bn;
function ti() {
  if (bn)
    return rr;
  bn = 1;
  function e() {
  }
  return rr = e, rr;
}
var ar, Nn;
function Js() {
  if (Nn)
    return ar;
  Nn = 1;
  var e = Ys(), r = ti(), a = e ? function(s) {
    return e.get(s);
  } : r;
  return ar = a, ar;
}
var nr, Cn;
function ri() {
  if (Cn)
    return nr;
  Cn = 1;
  var e = {};
  return nr = e, nr;
}
var sr, Sn;
function ai() {
  if (Sn)
    return sr;
  Sn = 1;
  var e = ri(), r = Object.prototype, a = r.hasOwnProperty;
  function s(n) {
    for (var o = n.name + "", i = e[o], m = a.call(e, o) ? i.length : 0; m--; ) {
      var u = i[m], c = u.func;
      if (c == null || c == n)
        return u.name;
    }
    return o;
  }
  return sr = s, sr;
}
var lr, Rn;
function Qs() {
  if (Rn)
    return lr;
  Rn = 1;
  var e = xa(), r = _a();
  function a(s, n) {
    this.__wrapped__ = s, this.__actions__ = [], this.__chain__ = !!n, this.__index__ = 0, this.__values__ = void 0;
  }
  return a.prototype = e(r.prototype), a.prototype.constructor = a, lr = a, lr;
}
var or, In;
function ni() {
  if (In)
    return or;
  In = 1;
  var e = Array.isArray;
  return or = e, or;
}
var ir, Tn;
function el() {
  if (Tn)
    return ir;
  Tn = 1;
  function e(r) {
    return r != null && typeof r == "object";
  }
  return ir = e, ir;
}
var cr, Pn;
function tl() {
  if (Pn)
    return cr;
  Pn = 1;
  function e(r, a) {
    var s = -1, n = r.length;
    for (a || (a = Array(n)); ++s < n; )
      a[s] = r[s];
    return a;
  }
  return cr = e, cr;
}
var mr, Fn;
function si() {
  if (Fn)
    return mr;
  Fn = 1;
  var e = ba(), r = Qs(), a = tl();
  function s(n) {
    if (n instanceof e)
      return n.clone();
    var o = new r(n.__wrapped__, n.__chain__);
    return o.__actions__ = a(n.__actions__), o.__index__ = n.__index__, o.__values__ = n.__values__, o;
  }
  return mr = s, mr;
}
var dr, Dn;
function li() {
  if (Dn)
    return dr;
  Dn = 1;
  var e = ba(), r = Qs(), a = _a(), s = ni(), n = el(), o = si(), i = Object.prototype, m = i.hasOwnProperty;
  function u(c) {
    if (n(c) && !s(c) && !(c instanceof e)) {
      if (c instanceof r)
        return c;
      if (m.call(c, "__wrapped__"))
        return o(c);
    }
    return new r(c);
  }
  return u.prototype = a.prototype, u.prototype.constructor = u, dr = u, dr;
}
var ur, An;
function oi() {
  if (An)
    return ur;
  An = 1;
  var e = ba(), r = Js(), a = ai(), s = li();
  function n(o) {
    var i = a(o), m = s[i];
    if (typeof m != "function" || !(i in e.prototype))
      return !1;
    if (o === m)
      return !0;
    var u = r(m);
    return !!u && o === u[0];
  }
  return ur = n, ur;
}
var fr, Ln;
function rl() {
  if (Ln)
    return fr;
  Ln = 1;
  var e = 800, r = 16, a = Date.now;
  function s(n) {
    var o = 0, i = 0;
    return function() {
      var m = a(), u = r - (m - i);
      if (i = m, u > 0) {
        if (++o >= e)
          return arguments[0];
      } else
        o = 0;
      return n.apply(void 0, arguments);
    };
  }
  return fr = s, fr;
}
var gr, kn;
function al() {
  if (kn)
    return gr;
  kn = 1;
  var e = Zs(), r = rl(), a = r(e);
  return gr = a, gr;
}
var pr, qn;
function ii() {
  if (qn)
    return pr;
  qn = 1;
  var e = /\{\n\/\* \[wrapped with (.+)\] \*/, r = /,? & /;
  function a(s) {
    var n = s.match(e);
    return n ? n[1].split(r) : [];
  }
  return pr = a, pr;
}
var hr, Mn;
function ci() {
  if (Mn)
    return hr;
  Mn = 1;
  var e = /\{(?:\n\/\* \[wrapped with .+\] \*\/)?\n?/;
  function r(a, s) {
    var n = s.length;
    if (!n)
      return a;
    var o = n - 1;
    return s[o] = (n > 1 ? "& " : "") + s[o], s = s.join(n > 2 ? ", " : " "), a.replace(e, `{
/* [wrapped with ` + s + `] */
`);
  }
  return hr = r, hr;
}
var vr, On;
function mi() {
  if (On)
    return vr;
  On = 1;
  function e(r) {
    return function() {
      return r;
    };
  }
  return vr = e, vr;
}
var Er, zn;
function di() {
  if (zn)
    return Er;
  zn = 1;
  var e = Us(), r = function() {
    try {
      var a = e(Object, "defineProperty");
      return a({}, "", {}), a;
    } catch {
    }
  }();
  return Er = r, Er;
}
var yr, jn;
function ui() {
  if (jn)
    return yr;
  jn = 1;
  var e = mi(), r = di(), a = $s(), s = r ? function(n, o) {
    return r(n, "toString", {
      configurable: !0,
      enumerable: !1,
      value: e(o),
      writable: !0
    });
  } : a;
  return yr = s, yr;
}
var wr, Wn;
function fi() {
  if (Wn)
    return wr;
  Wn = 1;
  var e = ui(), r = rl(), a = r(e);
  return wr = a, wr;
}
var xr, Hn;
function gi() {
  if (Hn)
    return xr;
  Hn = 1;
  function e(r, a) {
    for (var s = -1, n = r == null ? 0 : r.length; ++s < n && a(r[s], s, r) !== !1; )
      ;
    return r;
  }
  return xr = e, xr;
}
var _r, $n;
function pi() {
  if ($n)
    return _r;
  $n = 1;
  function e(r, a, s, n) {
    for (var o = r.length, i = s + (n ? 1 : -1); n ? i-- : ++i < o; )
      if (a(r[i], i, r))
        return i;
    return -1;
  }
  return _r = e, _r;
}
var br, Bn;
function hi() {
  if (Bn)
    return br;
  Bn = 1;
  function e(r) {
    return r !== r;
  }
  return br = e, br;
}
var Nr, Gn;
function vi() {
  if (Gn)
    return Nr;
  Gn = 1;
  function e(r, a, s) {
    for (var n = s - 1, o = r.length; ++n < o; )
      if (r[n] === a)
        return n;
    return -1;
  }
  return Nr = e, Nr;
}
var Cr, Un;
function Ei() {
  if (Un)
    return Cr;
  Un = 1;
  var e = pi(), r = hi(), a = vi();
  function s(n, o, i) {
    return o === o ? a(n, o, i) : e(n, r, i);
  }
  return Cr = s, Cr;
}
var Sr, Yn;
function yi() {
  if (Yn)
    return Sr;
  Yn = 1;
  var e = Ei();
  function r(a, s) {
    var n = a == null ? 0 : a.length;
    return !!n && e(a, s, 0) > -1;
  }
  return Sr = r, Sr;
}
var Rr, Zn;
function wi() {
  if (Zn)
    return Rr;
  Zn = 1;
  var e = gi(), r = yi(), a = 1, s = 2, n = 8, o = 16, i = 32, m = 64, u = 128, c = 256, f = 512, p = [
    ["ary", u],
    ["bind", a],
    ["bindKey", s],
    ["curry", n],
    ["curryRight", o],
    ["flip", f],
    ["partial", i],
    ["partialRight", m],
    ["rearg", c]
  ];
  function g(d, y) {
    return e(p, function(E) {
      var _ = "_." + E[0];
      y & E[1] && !r(d, _) && d.push(_);
    }), d.sort();
  }
  return Rr = g, Rr;
}
var Ir, Kn;
function nl() {
  if (Kn)
    return Ir;
  Kn = 1;
  var e = ii(), r = ci(), a = fi(), s = wi();
  function n(o, i, m) {
    var u = i + "";
    return a(o, r(u, s(e(u), m)));
  }
  return Ir = n, Ir;
}
var Tr, Vn;
function sl() {
  if (Vn)
    return Tr;
  Vn = 1;
  var e = oi(), r = al(), a = nl(), s = 1, n = 2, o = 4, i = 8, m = 32, u = 64;
  function c(f, p, g, d, y, E, _, w, S, v) {
    var h = p & i, N = h ? _ : void 0, R = h ? void 0 : _, F = h ? E : void 0, W = h ? void 0 : E;
    p |= h ? m : u, p &= ~(h ? u : m), p & o || (p &= ~(s | n));
    var I = [
      f,
      p,
      y,
      F,
      N,
      W,
      R,
      w,
      S,
      v
    ], T = g.apply(void 0, I);
    return e(f) && r(T, I), T.placeholder = d, a(T, f, p);
  }
  return Tr = c, Tr;
}
var Pr, Xn;
function ll() {
  if (Xn)
    return Pr;
  Xn = 1;
  function e(r) {
    var a = r;
    return a.placeholder;
  }
  return Pr = e, Pr;
}
var Fr, Jn;
function xi() {
  if (Jn)
    return Fr;
  Jn = 1;
  var e = 9007199254740991, r = /^(?:0|[1-9]\d*)$/;
  function a(s, n) {
    var o = typeof s;
    return n = n ?? e, !!n && (o == "number" || o != "symbol" && r.test(s)) && s > -1 && s % 1 == 0 && s < n;
  }
  return Fr = a, Fr;
}
var Dr, Qn;
function _i() {
  if (Qn)
    return Dr;
  Qn = 1;
  var e = tl(), r = xi(), a = Math.min;
  function s(n, o) {
    for (var i = n.length, m = a(o.length, i), u = e(n); m--; ) {
      var c = o[m];
      n[m] = r(c, i) ? u[c] : void 0;
    }
    return n;
  }
  return Dr = s, Dr;
}
var Ar, es;
function Na() {
  if (es)
    return Ar;
  es = 1;
  var e = "__lodash_placeholder__";
  function r(a, s) {
    for (var n = -1, o = a.length, i = 0, m = []; ++n < o; ) {
      var u = a[n];
      (u === s || u === e) && (a[n] = e, m[i++] = n);
    }
    return m;
  }
  return Ar = r, Ar;
}
var Lr, ts;
function ol() {
  if (ts)
    return Lr;
  ts = 1;
  var e = Vs(), r = Xs(), a = ei(), s = lt(), n = sl(), o = ll(), i = _i(), m = Na(), u = Ee(), c = 1, f = 2, p = 8, g = 16, d = 128, y = 512;
  function E(_, w, S, v, h, N, R, F, W, I) {
    var T = w & d, D = w & c, P = w & f, M = w & (p | g), J = w & y, Z = P ? void 0 : s(_);
    function q() {
      for (var A = arguments.length, O = Array(A), ye = A; ye--; )
        O[ye] = arguments[ye];
      if (M)
        var Ie = o(q), xt = a(O, Ie);
      if (v && (O = e(O, v, h, M)), N && (O = r(O, N, R, M)), A -= xt, M && A < I) {
        var _t = m(O, Ie);
        return n(
          _,
          w,
          E,
          q.placeholder,
          S,
          O,
          _t,
          F,
          W,
          I - A
        );
      }
      var Te = D ? S : this, bt = P ? Te[_] : _;
      return A = O.length, F ? O = i(O, F) : J && A > 1 && O.reverse(), T && W < A && (O.length = W), this && this !== u && this instanceof q && (bt = Z || s(bt)), bt.apply(Te, O);
    }
    return q;
  }
  return Lr = E, Lr;
}
var kr, rs;
function bi() {
  if (rs)
    return kr;
  rs = 1;
  var e = Ks(), r = lt(), a = ol(), s = sl(), n = ll(), o = Na(), i = Ee();
  function m(u, c, f) {
    var p = r(u);
    function g() {
      for (var d = arguments.length, y = Array(d), E = d, _ = n(g); E--; )
        y[E] = arguments[E];
      var w = d < 3 && y[0] !== _ && y[d - 1] !== _ ? [] : o(y, _);
      if (d -= w.length, d < f)
        return s(
          u,
          c,
          a,
          g.placeholder,
          void 0,
          y,
          w,
          void 0,
          void 0,
          f - d
        );
      var S = this && this !== i && this instanceof g ? p : u;
      return e(S, this, y);
    }
    return g;
  }
  return kr = m, kr;
}
var qr, as;
function Ni() {
  if (as)
    return qr;
  as = 1;
  var e = Ks(), r = lt(), a = Ee(), s = 1;
  function n(o, i, m, u) {
    var c = i & s, f = r(o);
    function p() {
      for (var g = -1, d = arguments.length, y = -1, E = u.length, _ = Array(E + d), w = this && this !== a && this instanceof p ? f : o; ++y < E; )
        _[y] = u[y];
      for (; d--; )
        _[y++] = arguments[++g];
      return e(w, c ? m : this, _);
    }
    return p;
  }
  return qr = n, qr;
}
var Mr, ns;
function Ci() {
  if (ns)
    return Mr;
  ns = 1;
  var e = Vs(), r = Xs(), a = Na(), s = "__lodash_placeholder__", n = 1, o = 2, i = 4, m = 8, u = 128, c = 256, f = Math.min;
  function p(g, d) {
    var y = g[1], E = d[1], _ = y | E, w = _ < (n | o | u), S = E == u && y == m || E == u && y == c && g[7].length <= d[8] || E == (u | c) && d[7].length <= d[8] && y == m;
    if (!(w || S))
      return g;
    E & n && (g[2] = d[2], _ |= y & n ? 0 : i);
    var v = d[3];
    if (v) {
      var h = g[3];
      g[3] = h ? e(h, v, d[4]) : v, g[4] = h ? a(g[3], s) : d[4];
    }
    return v = d[5], v && (h = g[5], g[5] = h ? r(h, v, d[6]) : v, g[6] = h ? a(g[5], s) : d[6]), v = d[7], v && (g[7] = v), E & u && (g[8] = g[8] == null ? d[8] : f(g[8], d[8])), g[9] == null && (g[9] = d[9]), g[0] = d[0], g[1] = _, g;
  }
  return Mr = p, Mr;
}
var Or, ss;
function Si() {
  if (ss)
    return Or;
  ss = 1;
  var e = /\s/;
  function r(a) {
    for (var s = a.length; s-- && e.test(a.charAt(s)); )
      ;
    return s;
  }
  return Or = r, Or;
}
var zr, ls;
function Ri() {
  if (ls)
    return zr;
  ls = 1;
  var e = Si(), r = /^\s+/;
  function a(s) {
    return s && s.slice(0, e(s) + 1).replace(r, "");
  }
  return zr = a, zr;
}
var jr, os;
function Ii() {
  if (os)
    return jr;
  os = 1;
  var e = Gs(), r = el(), a = "[object Symbol]";
  function s(n) {
    return typeof n == "symbol" || r(n) && e(n) == a;
  }
  return jr = s, jr;
}
var Wr, is;
function Ti() {
  if (is)
    return Wr;
  is = 1;
  var e = Ri(), r = qe(), a = Ii(), s = 0 / 0, n = /^[-+]0x[0-9a-f]+$/i, o = /^0b[01]+$/i, i = /^0o[0-7]+$/i, m = parseInt;
  function u(c) {
    if (typeof c == "number")
      return c;
    if (a(c))
      return s;
    if (r(c)) {
      var f = typeof c.valueOf == "function" ? c.valueOf() : c;
      c = r(f) ? f + "" : f;
    }
    if (typeof c != "string")
      return c === 0 ? c : +c;
    c = e(c);
    var p = o.test(c);
    return p || i.test(c) ? m(c.slice(2), p ? 2 : 8) : n.test(c) ? s : +c;
  }
  return Wr = u, Wr;
}
var Hr, cs;
function Pi() {
  if (cs)
    return Hr;
  cs = 1;
  var e = Ti(), r = 1 / 0, a = 17976931348623157e292;
  function s(n) {
    if (!n)
      return n === 0 ? n : 0;
    if (n = e(n), n === r || n === -r) {
      var o = n < 0 ? -1 : 1;
      return o * a;
    }
    return n === n ? n : 0;
  }
  return Hr = s, Hr;
}
var $r, ms;
function Fi() {
  if (ms)
    return $r;
  ms = 1;
  var e = Pi();
  function r(a) {
    var s = e(a), n = s % 1;
    return s === s ? n ? s - n : s : 0;
  }
  return $r = r, $r;
}
var Br, ds;
function Di() {
  if (ds)
    return Br;
  ds = 1;
  var e = Zs(), r = Qo(), a = bi(), s = ol(), n = Ni(), o = Js(), i = Ci(), m = al(), u = nl(), c = Fi(), f = "Expected a function", p = 1, g = 2, d = 8, y = 16, E = 32, _ = 64, w = Math.max;
  function S(v, h, N, R, F, W, I, T) {
    var D = h & g;
    if (!D && typeof v != "function")
      throw new TypeError(f);
    var P = R ? R.length : 0;
    if (P || (h &= ~(E | _), R = F = void 0), I = I === void 0 ? I : w(c(I), 0), T = T === void 0 ? T : c(T), P -= F ? F.length : 0, h & _) {
      var M = R, J = F;
      R = F = void 0;
    }
    var Z = D ? void 0 : o(v), q = [
      v,
      h,
      N,
      R,
      F,
      M,
      J,
      W,
      I,
      T
    ];
    if (Z && i(q, Z), v = q[0], h = q[1], N = q[2], R = q[3], F = q[4], T = q[9] = q[9] === void 0 ? D ? 0 : v.length : w(q[9] - P, 0), !T && h & (d | y) && (h &= ~(d | y)), !h || h == p)
      var A = r(v, h, N);
    else
      h == d || h == y ? A = a(v, h, T) : (h == E || h == (p | E)) && !F.length ? A = n(v, h, N, R) : A = s.apply(void 0, q);
    var O = Z ? e : m;
    return u(O(A, q), v, h);
  }
  return Br = S, Br;
}
var Gr, us;
function Ai() {
  if (us)
    return Gr;
  us = 1;
  var e = Di(), r = 8;
  function a(s, n, o) {
    n = o ? void 0 : n;
    var i = e(s, r, void 0, void 0, void 0, void 0, void 0, n);
    return i.placeholder = a.placeholder, i;
  }
  return a.placeholder = {}, Gr = a, Gr;
}
var fs;
function Ca() {
  if (fs)
    return Q;
  fs = 1;
  var e = Re;
  Q.__esModule = !0, Q.prefix = Q.defaultClassPrefix = Q.getClassNamePrefix = Q.globalKey = void 0;
  var r = e(Ai()), a = e(wa()), s = "rs-";
  Q.globalKey = s;
  var n = function() {
    return s;
  };
  Q.getClassNamePrefix = n;
  var o = function(u) {
    return u ? "" + n() + u : void 0;
  };
  Q.defaultClassPrefix = o;
  var i = (0, r.default)(function(m, u) {
    return !m || !u ? "" : Array.isArray(u) ? (0, a.default)(u.filter(function(c) {
      return !!c;
    }).map(function(c) {
      return m + "-" + c;
    })) : m + "-" + u;
  });
  return Q.prefix = i, Q;
}
var Be = { exports: {} }, gs;
function Li() {
  return gs || (gs = 1, function(e, r) {
    var a = Re;
    r.__esModule = !0, r.default = i;
    var s = Ca(), n = a(wa()), o = t;
    function i(m) {
      var u = (0, s.defaultClassPrefix)("icon"), c = (0, o.useCallback)(function(f) {
        return (0, s.prefix)(u, f);
      }, []);
      return [(0, n.default)(u, (0, s.defaultClassPrefix)(m)), c];
    }
    e.exports = r.default;
  }(Be, Be.exports)), Be.exports;
}
var Ge = { exports: {} }, ps;
function ki() {
  return ps || (ps = 1, function(e, r) {
    r.__esModule = !0, r.default = a;
    function a() {
      return typeof document < "u" && typeof window < "u" && typeof document.createElement == "function";
    }
    e.exports = r.default;
  }(Ge, Ge.exports)), Ge.exports;
}
var Ue = { exports: {} }, Ye = { exports: {} }, hs;
function qi() {
  if (hs)
    return Ye.exports;
  hs = 1;
  var e = [], r = [], a = "insert-css: You need to provide a CSS string. Usage: insertCss(cssString[, options]).";
  function s(o, i) {
    if (i = i || {}, o === void 0)
      throw new Error(a);
    var m = i.prepend === !0 ? "prepend" : "append", u = i.container !== void 0 ? i.container : document.querySelector("head"), c = e.indexOf(u);
    c === -1 && (c = e.push(u) - 1, r[c] = {});
    var f;
    return r[c] !== void 0 && r[c][m] !== void 0 ? f = r[c][m] : (f = r[c][m] = n(), m === "prepend" ? u.insertBefore(f, u.childNodes[0]) : u.appendChild(f)), o.charCodeAt(0) === 65279 && (o = o.substr(1, o.length)), f.styleSheet ? f.styleSheet.cssText += o : f.textContent += o, f;
  }
  function n() {
    var o = document.createElement("style");
    return o.setAttribute("type", "text/css"), o;
  }
  return Ye.exports = s, Ye.exports.insertCss = s, Ye.exports;
}
var vs;
function Mi() {
  return vs || (vs = 1, function(e, r) {
    r.__esModule = !0, r.default = void 0;
    var a = qi(), s = Ca(), n = t, o = (0, s.getClassNamePrefix)(), i = "." + o + `icon {
  display: -webkit-inline-box;
  display: -ms-inline-flexbox;
  display: inline-flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  vertical-align: middle;
}
.` + o + `icon[tabindex] {
  cursor: pointer;
}
.` + o + `icon-spin {
  -webkit-animation: icon-spin 2s infinite linear;
          animation: icon-spin 2s infinite linear;
}
.` + o + `icon-pulse {
  -webkit-animation: icon-spin 1s infinite steps(8);
          animation: icon-spin 1s infinite steps(8);
}
.` + o + `icon-flip-horizontal {
  -webkit-transform: scaleX(-1);
      -ms-transform: scaleX(-1);
          transform: scaleX(-1);
}
.` + o + `icon-flip-vertical {
  -webkit-transform: scaleY(-1);
      -ms-transform: scaleY(-1);
          transform: scaleY(-1);
}
@-webkit-keyframes icon-spin {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(359deg);
            transform: rotate(359deg);
  }
}
@keyframes icon-spin {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(359deg);
            transform: rotate(359deg);
  }
}`, m = !1, u = function(p) {
      p === void 0 && (p = i), (0, n.useEffect)(function() {
        m || ((0, a.insertCss)(p, {
          prepend: !0
        }), m = !0);
      }, []);
    }, c = u;
    r.default = c, e.exports = r.default;
  }(Ue, Ue.exports)), Ue.exports;
}
var Es;
function Oi() {
  return Es || (Es = 1, function(e) {
    var r = Re;
    e.__esModule = !0;
    var a = {
      useClassNames: !0,
      inBrowserEnv: !0,
      useInsertStyles: !0
    };
    e.useInsertStyles = e.inBrowserEnv = e.useClassNames = void 0;
    var s = Ca();
    Object.keys(s).forEach(function(m) {
      m === "default" || m === "__esModule" || Object.prototype.hasOwnProperty.call(a, m) || m in e && e[m] === s[m] || (e[m] = s[m]);
    });
    var n = r(Li());
    e.useClassNames = n.default;
    var o = r(ki());
    e.inBrowserEnv = o.default;
    var i = r(Mi());
    e.useInsertStyles = i.default;
  }(It)), It;
}
var ys;
function zi() {
  return ys || (ys = 1, function(e, r) {
    var a = Re;
    r.__esModule = !0, r.default = void 0;
    var s = a(Hs()), n = a(Ho()), o = a(t), i = a(wa()), m = a(Zl), u = Oi(), c = {
      as: "svg",
      fill: "currentColor",
      width: "1em",
      height: "1em"
    };
    function f(d) {
      var y = {};
      return Object.entries(d).forEach(function(E) {
        var _ = E[0], w = E[1];
        typeof w < "u" && (y[_] = w);
      }), y;
    }
    var p = /* @__PURE__ */ o.default.forwardRef(function(d, y) {
      var E, _ = d.as, w = d.spin, S = d.pulse, v = d.flip, h = d.fill, N = d.className, R = d.rotate, F = d.children, W = d.viewBox, I = d.width, T = d.height, D = d.style, P = (0, n.default)(d, ["as", "spin", "pulse", "flip", "fill", "className", "rotate", "children", "viewBox", "width", "height", "style"]), M = (0, u.useClassNames)(), J = M[0], Z = M[1], q = (0, i.default)(N, J, (E = {}, E[Z("spin")] = w, E[Z("pulse")] = S, E[Z("flip-" + v)] = !!v, E)), A = {
        msTransform: "rotate(" + R + "deg)",
        transform: "rotate(" + R + "deg)"
      };
      (0, u.useInsertStyles)();
      var O = f({
        width: I,
        height: T,
        fill: h,
        viewBox: W,
        className: q,
        style: R ? (0, s.default)({}, A, D) : D
      });
      return /* @__PURE__ */ o.default.createElement(_, (0, s.default)({
        "aria-hidden": !0,
        focusable: !1,
        ref: y
      }, O, P), F);
    });
    p.displayName = "Icon", p.defaultProps = c, p.propTypes = {
      spin: m.default.bool,
      pulse: m.default.bool,
      rotate: m.default.number,
      viewBox: m.default.string,
      as: m.default.oneOfType([m.default.elementType, m.default.string]),
      flip: m.default.oneOf(["horizontal", "vertical"]),
      fill: m.default.string
    };
    var g = p;
    r.default = g, e.exports = r.default;
  }($e, $e.exports)), $e.exports;
}
var ws;
function ji() {
  return ws || (ws = 1, function(e, r) {
    var a = Re;
    r.__esModule = !0, r.default = void 0;
    var s = a(Hs()), n = a(t), o = a(zi());
    function i(u) {
      var c = u.as, f = u.ariaLabel, p = u.displayName, g = u.category, d = /* @__PURE__ */ n.default.forwardRef(function(y, E) {
        return /* @__PURE__ */ n.default.createElement(o.default, (0, s.default)({
          "aria-label": f,
          "data-category": g,
          ref: E,
          as: c
        }, y));
      });
      return d.displayName = p, d;
    }
    var m = i;
    r.default = m, e.exports = r.default;
  }(He, He.exports)), He.exports;
}
var Ur = {}, xs;
function Wi() {
  return xs || (xs = 1, function(e) {
    function r(c) {
      "@babel/helpers - typeof";
      return typeof Symbol == "function" && typeof Symbol.iterator == "symbol" ? r = function(p) {
        return typeof p;
      } : r = function(p) {
        return p && typeof Symbol == "function" && p.constructor === Symbol && p !== Symbol.prototype ? "symbol" : typeof p;
      }, r(c);
    }
    Object.defineProperty(e, "__esModule", {
      value: !0
    }), e.default = void 0;
    var a = n(t);
    function s() {
      if (typeof WeakMap != "function")
        return null;
      var c = /* @__PURE__ */ new WeakMap();
      return s = function() {
        return c;
      }, c;
    }
    function n(c) {
      if (c && c.__esModule)
        return c;
      if (c === null || r(c) !== "object" && typeof c != "function")
        return { default: c };
      var f = s();
      if (f && f.has(c))
        return f.get(c);
      var p = {}, g = Object.defineProperty && Object.getOwnPropertyDescriptor;
      for (var d in c)
        if (Object.prototype.hasOwnProperty.call(c, d)) {
          var y = g ? Object.getOwnPropertyDescriptor(c, d) : null;
          y && (y.get || y.set) ? Object.defineProperty(p, d, y) : p[d] = c[d];
        }
      return p.default = c, f && f.set(c, p), p;
    }
    function o() {
      return o = Object.assign || function(c) {
        for (var f = 1; f < arguments.length; f++) {
          var p = arguments[f];
          for (var g in p)
            Object.prototype.hasOwnProperty.call(p, g) && (c[g] = p[g]);
        }
        return c;
      }, o.apply(this, arguments);
    }
    function i(c, f) {
      return /* @__PURE__ */ a.createElement("svg", o({
        width: "1em",
        height: "1em",
        viewBox: "0 0 16 16",
        fill: "currentColor",
        ref: f
      }, c), /* @__PURE__ */ a.createElement("path", {
        d: "M8 15A7 7 0 108 1a7 7 0 000 14zm0 1A8 8 0 118 0a8 8 0 010 16z"
      }), /* @__PURE__ */ a.createElement("path", {
        d: "M9 5a1 1 0 11-2 0 1 1 0 012 0zM8 7a1 1 0 011 1v3a1 1 0 01-2 0V8a1 1 0 011-1z"
      }));
    }
    var m = /* @__PURE__ */ a.forwardRef(i), u = m;
    e.default = u;
  }(Ur)), Ur;
}
(function(e, r) {
  var a = Re;
  r.__esModule = !0, r.default = void 0;
  var s = a(ji()), n = a(Wi()), o = (0, s.default)({
    as: n.default,
    ariaLabel: "info outline",
    category: "status",
    displayName: "InfoOutline"
  }), i = o;
  r.default = i, e.exports = r.default;
})(Kr, Kr.exports);
var Hi = Kr.exports;
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  }), Object.defineProperty(e, "default", {
    enumerable: !0,
    get: function() {
      return r.default;
    }
  });
  var r = a(Hi);
  function a(s) {
    return s && s.__esModule ? s : { default: s };
  }
})(js);
const $i = /* @__PURE__ */ Wo(js), il = ({ className: e, info: r }) => /* @__PURE__ */ t.createElement(Oo, null, /* @__PURE__ */ t.createElement(zo, null, /* @__PURE__ */ t.createElement(jo, { asChild: !0 }, /* @__PURE__ */ t.createElement("span", { className: b("icon", e) }, /* @__PURE__ */ t.createElement($i, { style: { fontSize: "0.9rem", marginLeft: "8px", cursor: "pointer" } }))), /* @__PURE__ */ t.createElement(zs, null, /* @__PURE__ */ t.createElement("p", null, r))));
il.displayName = "TooltipViwer";
const Bi = il, Sa = Bl, cl = l.createContext(
  {}
), ot = ({
  ...e
}) => /* @__PURE__ */ l.createElement(cl.Provider, { value: { name: e.name } }, /* @__PURE__ */ l.createElement(Gl, { ...e })), it = () => {
  const e = l.useContext(cl), r = l.useContext(ml), { getFieldState: a, formState: s } = ca(), n = a(e.name, s);
  if (!e)
    throw new Error("useFormField should be used within <FormField>");
  const { id: o } = r;
  return {
    id: o,
    name: e.name,
    formItemId: `${o}-form-item`,
    formDescriptionId: `${o}-form-item-description`,
    formMessageId: `${o}-form-item-message`,
    ...n
  };
}, ml = l.createContext(
  {}
), Me = l.forwardRef(({ className: e, ...r }, a) => {
  const s = l.useId();
  return /* @__PURE__ */ l.createElement(ml.Provider, { value: { id: s } }, /* @__PURE__ */ l.createElement("div", { ref: a, className: b("space-y-2", e), ...r }));
});
Me.displayName = "FormItem";
const Oe = l.forwardRef(({ className: e, info: r, required: a, ...s }, n) => {
  const { error: o, formItemId: i } = it();
  return /* @__PURE__ */ l.createElement("div", { className: "flex items-center" }, /* @__PURE__ */ l.createElement(
    Os,
    {
      ref: n,
      className: b(o && "text-destructive", e),
      htmlFor: i,
      ...s
    }
  ), a && /* @__PURE__ */ l.createElement("p", { className: "text-red-500 ml-1" }, "*"), r && /* @__PURE__ */ l.createElement(Bi, { info: r }));
});
Oe.displayName = "FormLabel";
const Ra = l.forwardRef(({ ...e }, r) => {
  const { error: a, formItemId: s, formDescriptionId: n, formMessageId: o } = it();
  return /* @__PURE__ */ l.createElement(
    Is,
    {
      ref: r,
      id: s,
      "aria-describedby": a ? `${n} ${o}` : `${n}`,
      "aria-invalid": !!a,
      ...e
    }
  );
});
Ra.displayName = "FormControl";
const dl = l.forwardRef(({ className: e, ...r }, a) => {
  const { formDescriptionId: s } = it();
  return /* @__PURE__ */ l.createElement(
    "p",
    {
      ref: a,
      id: s,
      className: b("text-sm text-muted-foreground", e),
      ...r
    }
  );
});
dl.displayName = "FormDescription";
const ze = l.forwardRef(({ className: e, children: r, ...a }, s) => {
  const { error: n, formMessageId: o } = it(), i = n ? String(n == null ? void 0 : n.message) : r;
  return i ? /* @__PURE__ */ l.createElement(
    "p",
    {
      ref: s,
      id: o,
      className: b("text-sm font-medium text-destructive", e),
      ...a
    },
    i
  ) : null;
});
ze.displayName = "FormMessage";
function Ia({ children: e, className: r, onSubmit: a }) {
  return /* @__PURE__ */ t.createElement("form", { onSubmit: a, className: r }, e);
}
const je = t.forwardRef(
  ({ className: e, type: r = "text", pattern: a, minLength: s, maxLength: n, info: o, ...i }, m) => {
    const [u, c] = C(!1), f = (p) => {
      const g = p.target.value;
      let d = g;
      switch (a) {
        case "Text":
          d = g.replace(/^\s+|[^A-Za-z]+/g, "");
          break;
        case "Email":
          d = g.replace(/[^A-Za-z0-9@._-]/g, "").toLowerCase();
          break;
        case "Number":
          d = g.replace(/[^\d]/g, "");
          break;
        case "GST":
          d = g.replace(/[^A-Za-z0-9]/g, "").toUpperCase();
          break;
        case "URL":
          d = g.replace(/[^A-Za-z0-9!@#$%^&*_+\-=;:'",./?]/g, "");
          break;
        case "Decimal": {
          d = g.replace(/[^\d.]/g, "");
          const y = d.split(".");
          if (y.length > 2) {
            const E = y.shift(), _ = y.join("");
            d = E + "." + _;
          } else
            y[0] = y[0].slice(0, 9), y[1] && (y[1] = y[1].slice(0, 2)), d = y.join(".");
          break;
        }
        case "Text With Space":
          d = g.replace(/^\s+|[^A-Za-z\s]+/g, "");
          break;
        case "Text Number":
          d = g.replace(/[^A-Za-z0-9]/g, "");
          break;
        case "Upper Case":
          d = g.replace(/^\s+|[^A-Za-z\s]+/g, "").toUpperCase();
          break;
        case "Lower Case":
          d = g.replace(/^\s+|[^A-Za-z\s]+/g, "").toLowerCase();
          break;
        case "Init Caps":
          d = g.replace(/^\s+|[^A-Za-z\s]+/g, "").charAt(0).toUpperCase() + g.replace(/^\s+|[^A-Za-z\s]+/g, "").slice(1).toLowerCase();
          break;
        default:
          d = g;
          break;
      }
      p.target.value = d;
    };
    return /* @__PURE__ */ t.createElement("div", { className: "flex items-center space-x-2 relative" }, /* @__PURE__ */ t.createElement(
      "input",
      {
        type: r === "password" ? u ? "text" : "password" : r,
        minLength: s,
        maxLength: n,
        className: b(
          "flex-1 h-10 w-full rounded-md border border-input bg-background px-3 py-2 text-sm ring-offset-background file:border-0 file:bg-transparent file:text-sm file:font-medium placeholder:text-muted-foreground focus-visible:outline-none focus-visible:ring-2 focus-visible:ring-ring focus-visible:ring-offset-2 disabled:cursor-not-allowed disabled:opacity-50",
          e
        ),
        ref: m,
        onInput: f,
        ...i
      }
    ), r === "password" && /* @__PURE__ */ t.createElement(
      "span",
      {
        onClick: () => c((p) => !p),
        className: "absolute top-1/2 transform -translate-y-1/2 right-14 cursor-pointer",
        style: { marginRight: "-35px" }
      },
      u ? /* @__PURE__ */ t.createElement($a, { icon: Kl }) : /* @__PURE__ */ t.createElement($a, { icon: Vl })
    ));
  }
);
je.displayName = "Input";
function ie({
  label: e,
  name: r,
  description: a,
  form: s,
  pattern: n,
  maxLength: o,
  minLength: i,
  type: m,
  info: u,
  placeholder: c,
  required: f
}) {
  return /* @__PURE__ */ t.createElement(
    ot,
    {
      control: s.control,
      name: r,
      rules: {
        required: `${a} is required`,
        minLength: i ? {
          value: i,
          message: `${a} must be at least ${i} characters`
        } : void 0,
        maxLength: o ? {
          value: o,
          message: `${a} must not exceed ${o} characters`
        } : void 0
      },
      render: ({ field: p }) => /* @__PURE__ */ t.createElement(Me, null, /* @__PURE__ */ t.createElement(Oe, { info: u, required: f }, e), /* @__PURE__ */ t.createElement(Ra, null, /* @__PURE__ */ t.createElement(
        je,
        {
          info: u,
          type: m,
          placeholder: c,
          minLength: i,
          maxLength: o,
          pattern: n,
          ...p
        }
      )), /* @__PURE__ */ t.createElement(ze, null))
    }
  );
}
function Gi({ placeholder: e, info: r, label: a, required: s, name: n, description: o, options: i, returnLabel: m, displayLabel: u }) {
  const { control: c } = ca(), f = i.map((g) => ({
    ...g,
    value: g && m ? g[m] : g,
    label: g && u ? g[u] : g
  })), p = (g) => f.find((d) => d.value === g);
  return /* @__PURE__ */ t.createElement(
    ot,
    {
      control: c,
      name: n,
      render: ({ field: g }) => /* @__PURE__ */ t.createElement(Me, null, /* @__PURE__ */ t.createElement(Oe, { info: r, required: s }, a), /* @__PURE__ */ t.createElement(
        Ps,
        {
          options: f,
          onChange: (d) => g.onChange(d ? d.value : ""),
          value: p(g.value),
          placeholder: e,
          className: "react-select-container",
          classNamePrefix: "react-select"
        }
      ), /* @__PURE__ */ t.createElement(dl, null, o), /* @__PURE__ */ t.createElement(ze, null))
    }
  );
}
function Ui({ displayLabel: e, name: r, options: a, form: s, info: n, required: o, label: i }) {
  const m = a.map((c) => !c.hasOwnProperty("label") || !c.hasOwnProperty("value") ? {
    ...c,
    label: e && c.hasOwnProperty(e) ? c[e] : "Select",
    value: e && c.hasOwnProperty(e) ? c[e] : "Select"
  } : c), u = (c) => !c || typeof c != "object" || !c.hasOwnProperty("label") || !c.hasOwnProperty("value") ? {
    ...c,
    label: e && (c != null && c.hasOwnProperty(e)) ? c[e] : "Select",
    value: e && (c != null && c.hasOwnProperty(e)) ? c[e] : "Select"
  } : c;
  return /* @__PURE__ */ t.createElement(
    ot,
    {
      control: s.control,
      name: r,
      render: ({ field: c }) => /* @__PURE__ */ t.createElement(Me, null, /* @__PURE__ */ t.createElement(Oe, { info: n, required: o }, i), /* @__PURE__ */ t.createElement(
        Ps,
        {
          value: u(c.value),
          onChange: c.onChange,
          options: m
        }
      ), /* @__PURE__ */ t.createElement(ze, null))
    }
  );
}
function Ta({ returnLabel: e, displayLabel: r, name: a, options: s, form: n, info: o, required: i, label: m, placeholder: u }) {
  return !!(r && !e) ? /* @__PURE__ */ t.createElement(
    Ui,
    {
      name: a,
      options: s,
      form: n,
      displayLabel: r,
      returnLabel: e,
      info: o,
      label: m,
      placeholder: u,
      required: i
    }
  ) : /* @__PURE__ */ t.createElement(
    Gi,
    {
      name: a,
      options: s,
      form: n,
      displayLabel: r,
      returnLabel: e,
      info: o,
      label: m,
      placeholder: u,
      required: i
    }
  );
}
const ul = kl((e) => {
  const { inputProps: r, name: a, initialCountry: s = "in", defaultValues: n } = e, {
    setValue: o,
    clearErrors: i,
    formState: { isSubmitted: m }
  } = ca(), [u, c] = C(""), [f, p] = C(!1), g = (d, y) => {
    const E = (y.format.match(/\./g) || []).length, _ = E <= 15 ? E : 15, w = y.dialCode.replace(/[^0-9]/g, "");
    c(d), _ === (d == null ? void 0 : d.length) ? (o(a, d), i(a)) : o(a, w);
  };
  return H(() => {
    m && p(!0), !m && f && (p(!1), c("91"));
  }, [m]), /* @__PURE__ */ t.createElement(
    Xl,
    {
      country: s,
      value: n || u,
      countryCodeEditable: !1,
      inputProps: {
        ...r,
        className: "phone-input",
        // required: true,
        // onInvalid: (e: { target: { setCustomValidity: (arg0: string) => any; }; }) => e.target.setCustomValidity('Please enter your phone number.'),
        // onInput: (e: { target: { setCustomValidity: (arg0: string) => any; }; }) => e.target.setCustomValidity(''),
        placeholder: "Enter phone number",
        style: {
          width: "100%",
          fontSize: "15px",
          padding: "0.5rem 2.75rem 0.5rem 2.75rem",
          borderRadius: "5px",
          border: "1px solid #e5e7eb"
        }
      },
      onChange: g
    }
  );
});
ul.displayName = "MyPhonePicker";
function Yi({ label: e, name: r, form: a, info: s, required: n }) {
  return /* @__PURE__ */ t.createElement(
    ot,
    {
      control: a.control,
      name: r,
      render: ({ field: o }) => /* @__PURE__ */ t.createElement(Me, null, /* @__PURE__ */ t.createElement(Oe, { info: s, required: n }, e), /* @__PURE__ */ t.createElement(Ra, null, /* @__PURE__ */ t.createElement(
        ul,
        {
          initialCountry: "in",
          defaultValues: a.getValues("phone"),
          ...o
        }
      )), /* @__PURE__ */ t.createElement(ze, null))
    }
  );
}
const Zi = ({
  submitType: e,
  // submitVariant,
  // clearVariant,
  submitlabel: r,
  clearlabel: a,
  loader: s,
  clearAction: n
}) => /* @__PURE__ */ t.createElement(t.Fragment, null, /* @__PURE__ */ t.createElement("div", { style: { display: "flex", flexDirection: "row", gap: "10px", justifyContent: "end" } }, a && /* @__PURE__ */ t.createElement(L, { type: "button", onClick: n }, a), r && /* @__PURE__ */ t.createElement(L, { type: e }, s ? /* @__PURE__ */ t.createElement(Ol, { className: "h-6 w-6 animate-spin" }) : r))), Pa = Zi, Ki = 1, Vi = 1e6;
let Yr = 0;
function Xi() {
  return Yr = (Yr + 1) % Number.MAX_SAFE_INTEGER, Yr.toString();
}
const Zr = /* @__PURE__ */ new Map(), _s = (e) => {
  if (Zr.has(e))
    return;
  const r = setTimeout(() => {
    Zr.delete(e), De({
      type: "REMOVE_TOAST",
      toastId: e
    });
  }, Vi);
  Zr.set(e, r);
}, Ji = (e, r) => {
  switch (r.type) {
    case "ADD_TOAST":
      return {
        ...e,
        toasts: [r.toast, ...e.toasts].slice(0, Ki)
      };
    case "UPDATE_TOAST":
      return {
        ...e,
        toasts: e.toasts.map(
          (a) => a.id === r.toast.id ? { ...a, ...r.toast } : a
        )
      };
    case "DISMISS_TOAST": {
      const { toastId: a } = r;
      return a ? _s(a) : e.toasts.forEach((s) => {
        _s(s.id);
      }), {
        ...e,
        toasts: e.toasts.map(
          (s) => s.id === a || a === void 0 ? {
            ...s,
            open: !1
          } : s
        )
      };
    }
    case "REMOVE_TOAST":
      return r.toastId === void 0 ? {
        ...e,
        toasts: []
      } : {
        ...e,
        toasts: e.toasts.filter((a) => a.id !== r.toastId)
      };
  }
}, Ke = [];
let Ve = { toasts: [] };
function De(e) {
  Ve = Ji(Ve, e), Ke.forEach((r) => {
    r(Ve);
  });
}
function k({ ...e }) {
  const r = Xi(), a = (n) => De({
    type: "UPDATE_TOAST",
    toast: { ...n, id: r }
  }), s = () => De({ type: "DISMISS_TOAST", toastId: r });
  return De({
    type: "ADD_TOAST",
    toast: {
      ...e,
      id: r,
      open: !0,
      onOpenChange: (n) => {
        n || s();
      }
    }
  }), {
    id: r,
    dismiss: s,
    update: a
  };
}
function Qi() {
  const [e, r] = l.useState(Ve);
  return l.useEffect(() => (Ke.push(r), () => {
    const a = Ke.indexOf(r);
    a > -1 && Ke.splice(a, 1);
  }), [e]), {
    ...e,
    toast: k,
    dismiss: (a) => De({ type: "DISMISS_TOAST", toastId: a })
  };
}
const ec = /^[^\s@]+@[^\s@]+\.[^\s@]+$/, tc = x.object({
  name: x.string().min(1, "Name is required."),
  // other fields...
  subscription_details: x.object({
    plan_id: x.string(),
    plan_name: x.string(),
    plan_validity: x.string()
  }).refine((e) => Object.values(e).every((r) => r !== ""), { message: "Subscription details are required" }),
  // status: z.string().min(1, 'required'),
  email: x.string().min(1, { message: "Email is required" }).refine((e) => ec.test(e), { message: "Invalid email format" }),
  phone: x.string().min(1, { message: "Phone number is required" }).min(8, { message: "Phone number must be at least 8 digits long" })
});
function bs({ defaultValue: e, isEdit: r, onRefresh: a, setShowSideNav: s, supabase: n }) {
  var g, d;
  const [o, i] = C(!1), [m, u] = C([{
    plan_id: "1",
    plan_name: "Standard",
    plan_validity: "2024-06-02"
  }, {
    plan_id: "2",
    plan_name: "Enterprice",
    plan_validity: "2024-06-02"
  }]), c = {
    id: (e == null ? void 0 : e.id) || "",
    name: (e == null ? void 0 : e.name) || "",
    email: (e == null ? void 0 : e.email) || "",
    phone: (e == null ? void 0 : e.phone) || "",
    country_code: "+91",
    plan_id: ((g = e == null ? void 0 : e.subscription_details) == null ? void 0 : g.plan_id) || "",
    plan_name: ((d = e == null ? void 0 : e.subscription_details) == null ? void 0 : d.plan_name) || "",
    subscription_details: (e == null ? void 0 : e.subscription_details) || {
      plan_id: "",
      plan_name: "",
      plan_validity: ""
    },
    status: (e == null ? void 0 : e.status) || "",
    default_user_id: (e == null ? void 0 : e.default_user_id) || "00000000-0000-0000-0000-000000000000",
    default_user_name: (e == null ? void 0 : e.default_user_name) || "",
    created_by: (e == null ? void 0 : e.created_by) || "00000000-0000-0000-0000-000000000000",
    modified_by: (e == null ? void 0 : e.modified_by) || "00000000-0000-0000-0000-000000000000",
    created_at: (e == null ? void 0 : e.created_at) || /* @__PURE__ */ new Date(),
    updated_at: (e == null ? void 0 : e.updated_at) || /* @__PURE__ */ new Date()
  };
  console.log("defaultValues");
  const f = ma({
    resolver: Xe(tc),
    defaultValues: c
  });
  H(() => {
    console.log(e, "phonephonephonephone");
    async function y(E, _) {
      try {
        const { data: w, error: S } = await n.from("tenant").select("*");
        S ? console.error(`Error fetching data from ${E}:`, S.message) : _(w || []);
      } catch (w) {
        console.error(`Error fetching data from ${E}:`, w);
      }
    }
    y("roles", u);
  }, []);
  async function p(y) {
    console.log("ff", y);
    const E = {
      ...f.getValues(),
      plan_id: y.subscription_details.plan_id,
      plan_name: y.subscription_details.plan_name,
      plan_validity: y.subscription_details.plan_validity
    };
    try {
      if (r) {
        i(!0);
        const { error: _ } = await n.auth.updateTenant(E);
        _ ? setTimeout(() => {
          k({
            title: "Error",
            variant: "destructive",
            description: /* @__PURE__ */ t.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ t.createElement("code", { className: "text-white" }, _.message))
          }), i(!1);
        }, 2e3) : (setTimeout(() => {
          i(!1), f.reset(), k({
            title: "You submitted the following values:",
            description: /* @__PURE__ */ t.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ t.createElement("code", { className: "text-white" }, "Successfully Updated"))
          });
        }, 2e3), a(), s(!1));
      } else {
        i(!0), console.log("Create Request Data :", f.getValues);
        const _ = {
          ...f.getValues(),
          plan_id: y.subscription_details.plan_id,
          plan_name: y.subscription_details.plan_name,
          plan_validity: y.subscription_details.plan_validity
        }, { error: w } = await n.auth.createTenant(_);
        w ? setTimeout(() => {
          k({
            title: "Error",
            variant: "destructive",
            description: /* @__PURE__ */ t.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ t.createElement("code", { className: "text-white" }, w.message))
          }), i(!1);
        }, 2e3) : (setTimeout(() => {
          i(!1), f.reset(), k({
            title: "You submitted the following values:",
            description: /* @__PURE__ */ t.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ t.createElement("code", { className: "text-white" }, "Successfully Created"))
          });
        }, 2e3), a(), s(!1));
      }
    } catch (_) {
      console.error("Error fetching customers:", _);
    }
  }
  return /* @__PURE__ */ t.createElement("div", { style: { height: "80vh", overflowY: "auto" } }, " ", /* @__PURE__ */ t.createElement("div", { style: { marginLeft: "4px", marginRight: "4px" } }, /* @__PURE__ */ t.createElement(Sa, { ...f }, /* @__PURE__ */ t.createElement(Ia, { onSubmit: f.handleSubmit(p), className: "space-y-8" }, /* @__PURE__ */ t.createElement("div", { style: { fontWeight: "700", fontSize: "20px" } }), /* @__PURE__ */ t.createElement("div", { style: { display: "grid", gridTemplateColumns: "repeat(2, 1fr)", gap: "20px" } }, /* @__PURE__ */ t.createElement(
    ie,
    {
      label: "Name",
      name: "name",
      required: !0,
      type: "character varying",
      placeholder: "Name",
      form: f,
      maxLength: 15
    }
  ), /* @__PURE__ */ t.createElement(
    Ta,
    {
      label: "Subscription Details",
      placeholder: "Subscription Details",
      required: !0,
      name: "subscription_details",
      options: m,
      form: f,
      displayLabel: "plan_name"
    }
  ), /* @__PURE__ */ t.createElement(
    Yi,
    {
      required: !0,
      label: "Phone Number",
      name: "phone",
      form: f
    }
  ), r ? "" : /* @__PURE__ */ t.createElement(
    ie,
    {
      label: "Email",
      name: "email",
      type: "character varying",
      placeholder: "Email",
      required: !0,
      form: f,
      pattern: "Email"
    }
  )), /* @__PURE__ */ t.createElement(
    Pa,
    {
      submitVariant: "default",
      clearVariant: "outline",
      submitlabel: "Submit",
      clearlabel: r === !1 ? "Clear" : void 0,
      submitType: "submit",
      clearAction: () => f.reset({ ...c, phone: "" }),
      loader: o
    }
  )))));
}
function fl({ showSideNav: e, onRefresh: r, data: a, onClose: s, isEdit: n = !1, setShowSideNav: o, supabase: i }) {
  const [m, u] = l.useState([]);
  async function c(p) {
    const { data: g, error: d } = await i.auth.getTenantById({ id: p });
    return d ? (console.error("Error fetching tenant details:", d.message), []) : x.array(Ms).parse([g.role.Tenant]);
  }
  l.useEffect(() => {
    e && (a != null && a.id) && (async () => {
      const p = await c(a.id);
      u(p);
    })();
  }, [e, a == null ? void 0 : a.id]), l.useEffect(() => {
    console.log("tenantDetail", m);
  }, [m]);
  const f = () => {
    s();
  };
  return /* @__PURE__ */ l.createElement(ya, { open: e, onOpenChange: f }, /* @__PURE__ */ l.createElement(rt, { className: "w-[800px]", style: {
    maxWidth: "100%"
  } }, /* @__PURE__ */ l.createElement(at, { className: "px-2" }, /* @__PURE__ */ l.createElement(nt, null, "TANENT"), /* @__PURE__ */ l.createElement(st, null, `${n ? "Update a tanent" : "Create a tanent"}`)), n && (m == null ? void 0 : m.length) > 0 ? /* @__PURE__ */ l.createElement(bs, { supabase: i, onRefresh: r, setShowSideNav: o, isEdit: n, defaultValue: m[0] }) : n ? "Loading" : /* @__PURE__ */ l.createElement(bs, { setShowSideNav: o, onRefresh: r, isEdit: n, defaultValue: void 0, supabase: i })));
}
const rc = ({
  onRefresh: e,
  onCallDelete: r,
  oncallStatus: a,
  supabase: s
}) => [
  {
    id: "select",
    header: ({ table: n }) => /* @__PURE__ */ t.createElement(
      de,
      {
        checked: n.getIsAllPageRowsSelected() ? !0 : n.getIsSomePageRowsSelected() ? "indeterminate" : !1,
        onCheckedChange: (o) => n.toggleAllPageRowsSelected(!!o),
        "aria-label": "Select all",
        className: "translate-y-[2px]"
      }
    ),
    cell: ({ row: n }) => /* @__PURE__ */ t.createElement(
      de,
      {
        checked: n.getIsSelected(),
        onCheckedChange: (o) => n.toggleSelected(!!o),
        "aria-label": "Select row",
        className: "translate-y-[2px]"
      }
    ),
    enableSorting: !1,
    enableHiding: !1
  },
  {
    accessorKey: "name",
    header: ({ column: n }) => /* @__PURE__ */ t.createElement(Pe, { column: n, title: "Name" }),
    cell: ({ row: n }) => /* @__PURE__ */ t.createElement("div", { className: "w-[80px]" }, n.getValue("name")),
    enableSorting: !1,
    enableHiding: !1
  },
  {
    accessorKey: "email",
    header: ({ column: n }) => /* @__PURE__ */ t.createElement(Pe, { column: n, title: "Email" }),
    cell: ({ row: n }) => /* @__PURE__ */ t.createElement("div", { className: "w-[80px]" }, n.getValue("email")),
    enableSorting: !1,
    enableHiding: !1
  },
  {
    accessorKey: "country_code",
    header: ({ column: n }) => /* @__PURE__ */ t.createElement(Pe, { column: n, title: "" }),
    cell: ({ row: n }) => {
      console.log("Country Code:", n.getValue("country_code"));
    },
    enableSorting: !1,
    enableHiding: !1
  },
  {
    accessorKey: "phone",
    header: ({ column: n }) => /* @__PURE__ */ t.createElement(Pe, { column: n, title: "Phone" }),
    cell: ({ row: n }) => (
      // <div className="w-[125px]" style={{ width: '' }}>
      //   {(row.getValue("country_code") as string) +"-"+ (row.getValue("phone") as string)}
      // </div>
      /* @__PURE__ */ t.createElement("div", { className: "w-[125px]", style: { width: "" } }, (() => {
        let o = n.getValue("country_code"), i = n.getValue("phone");
        return o = o.replace(/[+-]/g, ""), i = i.replace(/[+-]/g, ""), i.includes(o) && (i = i.replace(o, `${o}-`)), `+${i}`;
      })())
    ),
    enableSorting: !1,
    enableHiding: !1
  },
  // {
  //   accessorKey: "default_user_name",
  //   header: ({ column }) => (
  //     <DataTableColumnHeader column={column} title="Default UserName" />
  //   ),
  //   cell: ({ row }) => {
  //     const label = labels.find((label) => label.value === row.original.default_user_name)
  //     return (
  //       <div className="flex space-x-2">
  //         {label && <Badge variant="outline">{label.label}</Badge>}
  //         <span className="max-w-[500px] truncate font-medium">
  //           {row.getValue("default_user_name")}
  //         </span>
  //       </div>
  //     )
  //   },
  // },
  {
    accessorKey: "status",
    header: ({ column: n }) => /* @__PURE__ */ t.createElement(Pe, { column: n, title: "Status" }),
    cell: ({ row: n }) => {
      const o = Io.find(
        (i) => i.value === n.getValue("status")
      );
      return o ? /* @__PURE__ */ t.createElement("div", { className: "flex w-[100px] items-center" }, o.icon && /* @__PURE__ */ t.createElement(o.icon, null), /* @__PURE__ */ t.createElement("span", null, o.label)) : null;
    }
  },
  // {
  //   accessorKey: "plan_name",
  //   header: ({ column }) => (
  //     <DataTableColumnHeader column={column} title="Plan" />
  //   ),
  //   cell: ({ row }) => {
  //     const priority = planNames.find(
  //       (priority) => priority.value === row.getValue("plan_name")
  //     )
  //     if (!priority) {
  //       return null
  //     }
  //     return (
  //       <div className="flex items-center">
  //         {/* {priority.icon && (
  //           <priority.icon className="mr-2 h-4 w-4 text-muted-foreground" />
  //         )} */}
  //         <span>{priority.label}</span>
  //       </div>
  //     )
  //   },
  //   filterFn: (row, id, value) => {
  //     return value.includes(row.getValue(id))
  //   },
  // },
  {
    id: "actions",
    cell: ({ row: n }) => {
      const [o, i] = C(!1), [m, u] = C(null), c = (d) => {
        console.log("Edit clicked for:", d == null ? void 0 : d.id), u(d), i(!0);
      }, f = () => {
        i(!1);
      }, p = (d) => {
        console.log("Tenant", d), a(d);
      }, g = (d) => {
        console.log("Delete clicked for:", d == null ? void 0 : d.id), r(d);
      };
      return /* @__PURE__ */ t.createElement(t.Fragment, null, /* @__PURE__ */ t.createElement(Do, { row: n, onEdit: c, onDelete: g, onStatus: p }), m && /* @__PURE__ */ t.createElement(fl, { setShowSideNav: i, onRefresh: e, isEdit: !0, showSideNav: o, data: m, onClose: f, supabase: s }));
    }
  }
], ct = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement("div", { className: "relative w-full overflow-auto" }, /* @__PURE__ */ l.createElement(
  "table",
  {
    ref: a,
    className: b("w-full caption-bottom text-sm", e),
    ...r
  }
)));
ct.displayName = "Table";
const mt = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement("thead", { ref: a, className: b("[&_tr]:border-b", e), ...r }));
mt.displayName = "TableHeader";
const ge = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  "tbody",
  {
    ref: a,
    className: b("[&_tr:last-child]:border-0", e),
    ...r
  }
));
ge.displayName = "TableBody";
const ac = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  "tfoot",
  {
    ref: a,
    className: b(
      "border-t bg-muted/50 font-medium [&>tr]:last:border-b-0",
      e
    ),
    ...r
  }
));
ac.displayName = "TableFooter";
const G = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  "tr",
  {
    ref: a,
    className: b(
      "border-b transition-colors hover:bg-muted/50 data-[state=selected]:bg-muted",
      e
    ),
    ...r
  }
));
G.displayName = "TableRow";
const dt = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  "th",
  {
    ref: a,
    className: b(
      "h-12 px-4 text-left align-middle font-medium text-muted-foreground [&:has([role=checkbox])]:pr-0",
      e
    ),
    ...r
  }
));
dt.displayName = "TableHead";
const V = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  "td",
  {
    ref: a,
    className: b("p-4 align-middle [&:has([role=checkbox])]:pr-0", e),
    ...r
  }
));
V.displayName = "TableCell";
const nc = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  "caption",
  {
    ref: a,
    className: b("mt-4 text-sm text-muted-foreground", e),
    ...r
  }
));
nc.displayName = "TableCaption";
const Fa = z.Root, Da = z.Value, ut = l.forwardRef(({ className: e, children: r, ...a }, s) => /* @__PURE__ */ l.createElement(
  z.Trigger,
  {
    ref: s,
    className: b(
      "flex h-10 w-full items-center justify-between rounded-md border border-input bg-background px-3 py-2 text-sm ring-offset-background placeholder:text-muted-foreground focus:outline-none focus:ring-2 focus:ring-ring focus:ring-offset-2 disabled:cursor-not-allowed disabled:opacity-50 [&>span]:line-clamp-1",
      e
    ),
    ...a
  },
  r,
  /* @__PURE__ */ l.createElement(z.Icon, { asChild: !0 }, /* @__PURE__ */ l.createElement(Rs, { className: "h-4 w-4 opacity-50" }))
));
ut.displayName = z.Trigger.displayName;
const gl = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  z.ScrollUpButton,
  {
    ref: a,
    className: b(
      "flex cursor-default items-center justify-center py-1",
      e
    ),
    ...r
  },
  /* @__PURE__ */ l.createElement(zl, { className: "h-4 w-4" })
));
gl.displayName = z.ScrollUpButton.displayName;
const pl = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  z.ScrollDownButton,
  {
    ref: a,
    className: b(
      "flex cursor-default items-center justify-center py-1",
      e
    ),
    ...r
  },
  /* @__PURE__ */ l.createElement(Rs, { className: "h-4 w-4" })
));
pl.displayName = z.ScrollDownButton.displayName;
const ft = l.forwardRef(({ className: e, children: r, position: a = "popper", ...s }, n) => /* @__PURE__ */ l.createElement(z.Portal, null, /* @__PURE__ */ l.createElement(
  z.Content,
  {
    ref: n,
    className: b(
      "relative z-50 max-h-96 min-w-[8rem] overflow-hidden rounded-md border bg-popover text-popover-foreground shadow-md data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0 data-[state=closed]:zoom-out-95 data-[state=open]:zoom-in-95 data-[side=bottom]:slide-in-from-top-2 data-[side=left]:slide-in-from-right-2 data-[side=right]:slide-in-from-left-2 data-[side=top]:slide-in-from-bottom-2",
      a === "popper" && "data-[side=bottom]:translate-y-1 data-[side=left]:-translate-x-1 data-[side=right]:translate-x-1 data-[side=top]:-translate-y-1",
      e
    ),
    position: a,
    ...s
  },
  /* @__PURE__ */ l.createElement(gl, null),
  /* @__PURE__ */ l.createElement(
    z.Viewport,
    {
      className: b(
        "p-1",
        a === "popper" && "h-[var(--radix-select-trigger-height)] w-full min-w-[var(--radix-select-trigger-width)]"
      )
    },
    r
  ),
  /* @__PURE__ */ l.createElement(pl, null)
)));
ft.displayName = z.Content.displayName;
const sc = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  z.Label,
  {
    ref: a,
    className: b("py-1.5 pl-8 pr-2 text-sm font-semibold", e),
    ...r
  }
));
sc.displayName = z.Label.displayName;
const gt = l.forwardRef(({ className: e, children: r, ...a }, s) => /* @__PURE__ */ l.createElement(
  z.Item,
  {
    ref: s,
    className: b(
      "relative flex w-full cursor-default select-none items-center rounded-sm py-1.5 pl-8 pr-2 text-sm outline-none focus:bg-accent focus:text-accent-foreground data-[disabled]:pointer-events-none data-[disabled]:opacity-50",
      e
    ),
    ...a
  },
  /* @__PURE__ */ l.createElement("span", { className: "absolute left-2 flex h-3.5 w-3.5 items-center justify-center" }, /* @__PURE__ */ l.createElement(z.ItemIndicator, null, /* @__PURE__ */ l.createElement(Vr, { className: "h-4 w-4" }))),
  /* @__PURE__ */ l.createElement(z.ItemText, null, r)
));
gt.displayName = z.Item.displayName;
const lc = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  z.Separator,
  {
    ref: a,
    className: b("-mx-1 my-1 h-px bg-muted", e),
    ...r
  }
));
lc.displayName = z.Separator.displayName;
function oc({
  table: e,
  pageSizeArray: r
}) {
  return /* @__PURE__ */ t.createElement("div", { className: "flex items-center justify-between px-2" }, /* @__PURE__ */ t.createElement("div", { className: "flex items-center space-x-6 lg:space-x-8" }, /* @__PURE__ */ t.createElement("div", { className: "flex items-center space-x-2" }, /* @__PURE__ */ t.createElement("p", { className: "text-sm font-medium" }, "Rows per page"), /* @__PURE__ */ t.createElement(
    Fa,
    {
      value: `${e.getState().pagination.pageSize}`,
      onValueChange: (a) => {
        e.setPageSize(Number(a));
      }
    },
    /* @__PURE__ */ t.createElement(ut, { className: "h-8 w-[70px]" }, /* @__PURE__ */ t.createElement(Da, { placeholder: e.getState().pagination.pageSize })),
    /* @__PURE__ */ t.createElement(ft, { side: "top" }, r.map((a) => /* @__PURE__ */ t.createElement(gt, { key: a, value: `${a}` }, a)))
  )), /* @__PURE__ */ t.createElement("div", { className: "flex w-[100px] items-center justify-center text-sm font-medium" }, "Page ", e.getState().pagination.pageIndex + 1, " of", " ", e.getPageCount()), /* @__PURE__ */ t.createElement("div", { className: "flex items-center space-x-2" }, /* @__PURE__ */ t.createElement(
    L,
    {
      variant: "outline",
      className: "hidden h-8 w-8 p-0 lg:flex",
      onClick: () => e.setPageIndex(0),
      disabled: !e.getCanPreviousPage()
    },
    /* @__PURE__ */ t.createElement("span", { className: "sr-only" }, "Go to first page"),
    /* @__PURE__ */ t.createElement(Qr, { className: "h-4 w-4" })
  ), /* @__PURE__ */ t.createElement(
    L,
    {
      variant: "outline",
      className: "h-8 w-8 p-0",
      onClick: () => e.previousPage(),
      disabled: !e.getCanPreviousPage()
    },
    /* @__PURE__ */ t.createElement("span", { className: "sr-only" }, "Go to previous page"),
    /* @__PURE__ */ t.createElement(ea, { className: "h-4 w-4" })
  ), /* @__PURE__ */ t.createElement(
    L,
    {
      variant: "outline",
      className: "h-8 w-8 p-0",
      onClick: () => e.nextPage(),
      disabled: !e.getCanNextPage()
    },
    /* @__PURE__ */ t.createElement("span", { className: "sr-only" }, "Go to next page"),
    /* @__PURE__ */ t.createElement(ta, { className: "h-4 w-4" })
  ), /* @__PURE__ */ t.createElement(
    L,
    {
      variant: "outline",
      className: "hidden h-8 w-8 p-0 lg:flex",
      onClick: () => e.setPageIndex(e.getPageCount() - 1),
      disabled: !e.getCanNextPage()
    },
    /* @__PURE__ */ t.createElement("span", { className: "sr-only" }, "Go to last page"),
    /* @__PURE__ */ t.createElement(ra, { className: "h-4 w-4" })
  ))));
}
function ic({
  table: e
}) {
  return /* @__PURE__ */ t.createElement(oe, null, /* @__PURE__ */ t.createElement(ia, { asChild: !0 }, /* @__PURE__ */ t.createElement(
    L,
    {
      variant: "outline",
      size: "sm",
      className: "ml-auto hidden h-8 lg:flex"
    },
    /* @__PURE__ */ t.createElement(aa, { className: "mr-2 h-4 w-4" }),
    "View"
  )), /* @__PURE__ */ t.createElement(ne, { align: "end", className: "w-[150px]" }, /* @__PURE__ */ t.createElement(tt, null, "Toggle columns"), /* @__PURE__ */ t.createElement(ae, null), e.getAllColumns().filter(
    (r) => typeof r.accessorFn < "u" && r.getCanHide()
  ).map((r) => /* @__PURE__ */ t.createElement(
    et,
    {
      key: r.id,
      className: "capitalize",
      checked: r.getIsVisible(),
      onCheckedChange: (a) => r.toggleVisibility(!!a)
    },
    r.id
  ))));
}
const cc = Qe(
  "inline-flex items-center rounded-full border px-2.5 py-0.5 text-xs font-semibold transition-colors focus:outline-none focus:ring-2 focus:ring-ring focus:ring-offset-2",
  {
    variants: {
      variant: {
        default: "border-transparent bg-primary text-primary-foreground hover:bg-primary/80",
        secondary: "border-transparent bg-secondary text-secondary-foreground hover:bg-secondary/80",
        destructive: "border-transparent bg-destructive text-destructive-foreground hover:bg-destructive/80",
        outline: "text-foreground"
      }
    },
    defaultVariants: {
      variant: "default"
    }
  }
);
function se({ className: e, variant: r, ...a }) {
  return /* @__PURE__ */ l.createElement("div", { className: b(cc({ variant: r }), e), ...a });
}
const pt = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  K,
  {
    ref: a,
    className: b(
      "flex h-full w-full flex-col overflow-hidden rounded-md bg-popover text-popover-foreground",
      e
    ),
    ...r
  }
));
pt.displayName = K.displayName;
const ht = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement("div", { className: "flex items-center border-b px-3", "cmdk-input-wrapper": "" }, /* @__PURE__ */ l.createElement(jl, { className: "mr-2 h-4 w-4 shrink-0 opacity-50" }), /* @__PURE__ */ l.createElement(
  K.Input,
  {
    ref: a,
    className: b(
      "flex h-11 w-full rounded-md bg-transparent py-3 text-sm outline-none placeholder:text-muted-foreground disabled:cursor-not-allowed disabled:opacity-50",
      e
    ),
    ...r
  }
)));
ht.displayName = K.Input.displayName;
const vt = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  K.List,
  {
    ref: a,
    className: b("max-h-[300px] overflow-y-auto overflow-x-hidden", e),
    ...r
  }
));
vt.displayName = K.List.displayName;
const Et = l.forwardRef((e, r) => /* @__PURE__ */ l.createElement(
  K.Empty,
  {
    ref: r,
    className: "py-6 text-center text-sm",
    ...e
  }
));
Et.displayName = K.Empty.displayName;
const pe = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  K.Group,
  {
    ref: a,
    className: b(
      "overflow-hidden p-1 text-foreground [&_[cmdk-group-heading]]:px-2 [&_[cmdk-group-heading]]:py-1.5 [&_[cmdk-group-heading]]:text-xs [&_[cmdk-group-heading]]:font-medium [&_[cmdk-group-heading]]:text-muted-foreground",
      e
    ),
    ...r
  }
));
pe.displayName = K.Group.displayName;
const yt = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  K.Separator,
  {
    ref: a,
    className: b("-mx-1 h-px bg-border", e),
    ...r
  }
));
yt.displayName = K.Separator.displayName;
const he = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  K.Item,
  {
    ref: a,
    className: b(
      "relative flex cursor-default select-none items-center rounded-sm px-2 py-1.5 text-sm outline-none aria-selected:bg-accent aria-selected:text-accent-foreground data-[disabled='true']:pointer-events-none data-[disabled='true']:opacity-50",
      e
    ),
    ...r
  }
));
he.displayName = K.Item.displayName;
const Aa = Ae.Root, La = Ae.Trigger, wt = l.forwardRef(({ className: e, align: r = "center", sideOffset: a = 4, ...s }, n) => /* @__PURE__ */ l.createElement(Ae.Portal, null, /* @__PURE__ */ l.createElement(
  Ae.Content,
  {
    ref: n,
    align: r,
    sideOffset: a,
    className: b(
      "z-50 w-72 rounded-md border bg-popover p-4 text-popover-foreground shadow-md outline-none data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0 data-[state=closed]:zoom-out-95 data-[state=open]:zoom-in-95 data-[side=bottom]:slide-in-from-top-2 data-[side=left]:slide-in-from-right-2 data-[side=right]:slide-in-from-left-2 data-[side=top]:slide-in-from-bottom-2",
      e
    ),
    ...s
  }
)));
wt.displayName = Ae.Content.displayName;
const Ne = l.forwardRef(
  ({ className: e, orientation: r = "horizontal", decorative: a = !0, ...s }, n) => /* @__PURE__ */ l.createElement(
    Fs.Root,
    {
      ref: n,
      decorative: a,
      orientation: r,
      className: b(
        "shrink-0 bg-border",
        r === "horizontal" ? "h-[1px] w-full" : "h-full w-[1px]",
        e
      ),
      ...s
    }
  )
);
Ne.displayName = Fs.Root.displayName;
function mc({
  column: e,
  title: r,
  options: a
}) {
  const s = e == null ? void 0 : e.getFacetedUniqueValues(), n = new Set(e == null ? void 0 : e.getFilterValue());
  return /* @__PURE__ */ l.createElement(Aa, null, /* @__PURE__ */ l.createElement(La, { asChild: !0 }, /* @__PURE__ */ l.createElement(L, { variant: "outline", size: "sm", className: "h-8 border-dashed" }, /* @__PURE__ */ l.createElement(na, { className: "mr-2 h-4 w-4" }), r, (n == null ? void 0 : n.size) > 0 && /* @__PURE__ */ l.createElement(l.Fragment, null, /* @__PURE__ */ l.createElement(Ne, { orientation: "vertical", className: "mx-2 h-4" }), /* @__PURE__ */ l.createElement(
    se,
    {
      variant: "secondary",
      className: "rounded-sm px-1 font-normal lg:hidden"
    },
    n.size
  ), /* @__PURE__ */ l.createElement("div", { className: "hidden space-x-1 lg:flex" }, n.size > 2 ? /* @__PURE__ */ l.createElement(
    se,
    {
      variant: "secondary",
      className: "rounded-sm px-1 font-normal"
    },
    n.size,
    " selected"
  ) : a.filter((o) => n.has(o.value)).map((o) => /* @__PURE__ */ l.createElement(
    se,
    {
      variant: "secondary",
      key: o.value,
      className: "rounded-sm px-1 font-normal"
    },
    o.label
  )))))), /* @__PURE__ */ l.createElement(wt, { className: "w-[200px] p-0", align: "start" }, /* @__PURE__ */ l.createElement(pt, null, /* @__PURE__ */ l.createElement(ht, { placeholder: r }), /* @__PURE__ */ l.createElement(vt, null, /* @__PURE__ */ l.createElement(Et, null, "No results found."), /* @__PURE__ */ l.createElement(pe, null, a.map((o) => {
    const i = n.has(o.value);
    return /* @__PURE__ */ l.createElement(
      he,
      {
        key: o.value,
        onSelect: () => {
          i ? n.delete(o.value) : n.add(o.value);
          const m = Array.from(n);
          e == null || e.setFilterValue(
            m.length ? m : void 0
          );
        }
      },
      /* @__PURE__ */ l.createElement(
        "div",
        {
          className: b(
            "mr-2 flex h-4 w-4 items-center justify-center rounded-sm border border-primary",
            i ? "bg-primary text-primary-foreground" : "opacity-50 [&_svg]:invisible"
          )
        },
        /* @__PURE__ */ l.createElement(sa, { className: b("h-4 w-4") })
      ),
      o.icon && /* @__PURE__ */ l.createElement(o.icon, { className: "mr-2 h-4 w-4 text-muted-foreground" }),
      /* @__PURE__ */ l.createElement("span", null, o.label),
      (s == null ? void 0 : s.get(o.value)) && /* @__PURE__ */ l.createElement("span", { className: "ml-auto flex h-4 w-4 items-center justify-center font-mono text-xs" }, s.get(o.value))
    );
  })), n.size > 0 && /* @__PURE__ */ l.createElement(l.Fragment, null, /* @__PURE__ */ l.createElement(yt, null), /* @__PURE__ */ l.createElement(pe, null, /* @__PURE__ */ l.createElement(
    he,
    {
      onSelect: () => e == null ? void 0 : e.setFilterValue(void 0),
      className: "justify-center text-center"
    },
    "Clear filters"
  )))))));
}
function dc({
  table: e,
  onRefresh: r,
  supabase: a
}) {
  const [s, n] = C(""), [o, i] = C(!1), m = () => {
    i(!1);
  }, u = e.getState().globalFilter != null || e.getState().columnFilters.length > 0, c = (g) => {
    g.target.value.trim() != "" ? (n(g.target.value), e.setGlobalFilter(g.target.value)) : (n(""), e.resetGlobalFilter());
  }, f = [
    {
      value: "Active",
      label: "Active"
    },
    {
      value: "Inactive",
      label: "Inactive"
    }
    // {
    //               value: "Blocked",
    //               label: "Blocked",
    //             },
    // {
    //               value: "Deactivated",
    //               label: "Deactivated",
    //             },
  ], p = () => {
    n(""), e.resetGlobalFilter(), e.resetColumnFilters();
  };
  return console.log("tt", e.getColumn("status")), /* @__PURE__ */ t.createElement("div", { className: "flex items-center justify-between" }, /* @__PURE__ */ t.createElement("div", { className: "flex flex-1 items-center space-x-2" }, /* @__PURE__ */ t.createElement(
    je,
    {
      placeholder: "Search...",
      value: s,
      onChange: c,
      className: "h-8 w-[150px] lg:w-[250px]"
    }
  ), e.getColumn("status") && /* @__PURE__ */ t.createElement(
    mc,
    {
      column: e.getColumn("status"),
      title: "status",
      options: f
    }
  ), u && /* @__PURE__ */ t.createElement(
    L,
    {
      variant: "ghost",
      onClick: p,
      className: "h-8 px-2 lg:px-3"
    },
    "Reset",
    /* @__PURE__ */ t.createElement(la, { className: "ml-2 h-4 w-4" })
  )), /* @__PURE__ */ t.createElement(ic, { table: e }), /* @__PURE__ */ t.createElement(
    L,
    {
      variant: "default",
      size: "sm",
      onClick: () => i(!0),
      className: "h-8 px-2 lg:px-3 ml-4"
    },
    "Add",
    /* @__PURE__ */ t.createElement(oa, { className: "ml-2 h-4 w-4" })
  ), /* @__PURE__ */ t.createElement(fl, { onRefresh: r, setShowSideNav: i, isEdit: !1, showSideNav: o, data: [], onClose: m, supabase: a }));
}
function le({
  className: e,
  ...r
}) {
  return /* @__PURE__ */ t.createElement(
    "div",
    {
      className: b("animate-pulse rounded-md bg-muted", e),
      ...r
    }
  );
}
function uc({
  columns: e,
  data: r,
  isLoading: a,
  onRefresh: s,
  errorMessage: n,
  message: o,
  supabase: i,
  dataLoader: m
}) {
  var S;
  const [u, c] = l.useState({}), [f, p] = l.useState({}), [g, d] = l.useState(
    []
  ), [y, E] = l.useState([]), _ = [10, 20, 30, 50, 100], w = da({
    data: r,
    columns: e,
    state: {
      sorting: y,
      columnVisibility: f,
      rowSelection: u,
      columnFilters: g
    },
    initialState: { pagination: { pageSize: 10 } },
    enableRowSelection: !0,
    onRowSelectionChange: c,
    onSortingChange: E,
    onColumnFiltersChange: d,
    onColumnVisibilityChange: p,
    getCoreRowModel: ua(),
    getFilteredRowModel: fa(),
    getPaginationRowModel: ga(),
    getSortedRowModel: pa(),
    getFacetedRowModel: ha(),
    getFacetedUniqueValues: va(),
    autoResetPageIndex: !0
  });
  return /* @__PURE__ */ l.createElement("div", { className: "space-y-4" }, /* @__PURE__ */ l.createElement(dc, { table: w, onRefresh: s, supabase: i }), /* @__PURE__ */ l.createElement("div", { className: "rounded-md border" }, /* @__PURE__ */ l.createElement(ct, null, /* @__PURE__ */ l.createElement(mt, null, w.getHeaderGroups().map((v) => /* @__PURE__ */ l.createElement(G, { key: v.id }, v.headers.map((h) => /* @__PURE__ */ l.createElement(dt, { key: h.id, colSpan: h.colSpan }, h.isPlaceholder ? null : be(
    h.column.columnDef.header,
    h.getContext()
  )))))), n || m && r.length === 0 ? /* @__PURE__ */ l.createElement(ge, { style: { height: "100px" } }, /* @__PURE__ */ l.createElement(
    "p",
    {
      style: { textAlign: "center", marginLeft: "350px", fontWeight: "bold" },
      className: "h-8 px-2 lg:px-3 ml-4 mt-4"
    },
    o || "Data Not Found"
  )) : /* @__PURE__ */ l.createElement(ge, null, a ? /* @__PURE__ */ l.createElement(l.Fragment, null, w.getHeaderGroups().map((v) => /* @__PURE__ */ l.createElement(G, { key: v.id }, v.headers.map((h) => /* @__PURE__ */ l.createElement(
    V,
    {
      key: h.id,
      colSpan: h.colSpan,
      className: "h-6"
    },
    /* @__PURE__ */ l.createElement(le, { className: "w-[100px] h-[20px] rounded-full" })
  )))), w.getHeaderGroups().map((v) => /* @__PURE__ */ l.createElement(G, { key: v.id + "-2" }, v.headers.map((h) => /* @__PURE__ */ l.createElement(
    V,
    {
      key: h.id + "-2",
      colSpan: h.colSpan,
      className: "h-6"
    },
    /* @__PURE__ */ l.createElement(le, { className: "w-[100px] h-[20px] rounded-full" })
  ))))) : (S = w.getRowModel().rows) != null && S.length ? w.getRowModel().rows.map((v) => /* @__PURE__ */ l.createElement(
    G,
    {
      key: v.id,
      "data-state": v.getIsSelected() && "selected"
    },
    v.getVisibleCells().map((h) => /* @__PURE__ */ l.createElement(V, { key: h.id }, be(
      h.column.columnDef.cell,
      h.getContext()
    )))
  )) : /* @__PURE__ */ l.createElement(G, null, /* @__PURE__ */ l.createElement(
    V,
    {
      colSpan: e.length,
      className: "h-24 text-center"
    },
    /* @__PURE__ */ l.createElement(le, { className: "w-[100px] h-[20px] rounded-full" })
  ))))), /* @__PURE__ */ l.createElement("div", { className: "flex items-center justify-between px-2" }, /* @__PURE__ */ l.createElement("div", { className: "flex-1 text-sm text-muted-foreground" }, w.getFilteredSelectedRowModel().rows.length, " of", " ", w.getFilteredRowModel().rows.length, " row(s) selected."), /* @__PURE__ */ l.createElement(oc, { table: w, pageSizeArray: n ? [0] : _ })));
}
function tm({ supabase: e }) {
  const [r, a] = C([]), [s, n] = C(!1), [o, i] = C(!1), [m, u] = C(null), c = (h) => {
    console.log("done", h);
  }, f = (h) => {
    v(h.id, h.status);
  }, p = (h) => {
    console.log("done", h), S(h.id ?? "");
  }, g = async () => {
    n(!0);
    try {
      const h = await w();
      a(h);
    } catch (h) {
      console.error("Error refreshing data:", h);
    } finally {
      n(!1);
    }
  }, [d, y] = C(!1);
  H(() => {
    g(), y(!1);
  }, [d]);
  const [E, _] = C(!1), w = async () => {
    let { data: h, error: N } = await e.auth.tenantsList();
    return console.log(h, "datadatadata"), N ? (console.error("Error fetching tenants:", N.message), _(!1), i(!0), u(N.message), []) : (i(!1), u(null), _(!0), x.array(Ms).parse(h.tenant.tenants));
  }, S = async (h) => {
    let { data: N, error: R } = await e.auth.deleteTenant({
      id: h
    });
    R ? (console.error("Error fetching tenants:", R.message), k({
      title: "You submitted the following values:",
      description: /* @__PURE__ */ t.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ t.createElement("code", { className: "text-white" }, R.message))
    })) : (g(), k({
      title: "You submitted the following values:",
      description: /* @__PURE__ */ t.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ t.createElement("code", { className: "text-white" }, N.message))
    }));
  }, v = async (h, N) => {
    N === "Active" ? N = "Inactive" : N = "Active";
    let { data: R, error: F } = await e.auth.changeRoleStatus({ status: N, id: [h] });
    console.log(R, "datadatadata"), F ? (console.error("Error fetching tenants:", F.message), k({
      title: "You submitted the following values:",
      description: /* @__PURE__ */ t.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ t.createElement("code", { className: "text-white" }, F.message))
    })) : (k({
      title: "You submitted the following values:",
      description: /* @__PURE__ */ t.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ t.createElement("code", { className: "text-white" }, "Successfully Updated"))
    }), y(!0));
  };
  return /* @__PURE__ */ t.createElement(t.Fragment, null, /* @__PURE__ */ t.createElement(
    uc,
    {
      columns: rc({ onEdit: c, onRefresh: g, onCallDelete: p, oncallStatus: f, supabase: e }),
      data: r,
      supabase: e,
      isLoading: s,
      errorMessage: o,
      onRefresh: g,
      message: m,
      dataLoader: E
    }
  ));
}
const fc = [
  {
    value: "Active",
    label: "Active",
    icon: () => /* @__PURE__ */ t.createElement(we, { style: {
      color: "green",
      backgroundColor: "green",
      marginRight: "3px",
      width: "6px",
      // Adjust size as needed
      height: "6px",
      // Adjust size as needed
      borderRadius: "50%"
      // Makes the icon circular
    } })
    // Apply the red color
  },
  {
    value: "Inactive",
    label: "Inactive",
    icon: () => /* @__PURE__ */ t.createElement(we, { style: {
      color: "red",
      backgroundColor: "red",
      marginRight: "3px",
      width: "6px",
      // Adjust size as needed
      height: "6px",
      // Adjust size as needed
      borderRadius: "50%"
      // Makes the icon circular
    } })
    // Apply the blue color
  }
];
function Ze({
  column: e,
  title: r,
  className: a
}) {
  return e.getCanSort() ? /* @__PURE__ */ t.createElement("div", { className: b("flex items-center space-x-2", a) }, /* @__PURE__ */ t.createElement(oe, null, /* @__PURE__ */ t.createElement(Se, { asChild: !0 }, /* @__PURE__ */ t.createElement(
    L,
    {
      variant: "ghost",
      size: "sm",
      className: "-ml-3 h-8 data-[state=open]:bg-accent"
    },
    /* @__PURE__ */ t.createElement("span", null, r),
    e.getIsSorted() === "desc" ? /* @__PURE__ */ t.createElement(xe, { className: "ml-2 h-4 w-4" }) : e.getIsSorted() === "asc" ? /* @__PURE__ */ t.createElement(_e, { className: "ml-2 h-4 w-4" }) : /* @__PURE__ */ t.createElement(Xr, { className: "ml-2 h-4 w-4" })
  )), /* @__PURE__ */ t.createElement(ne, { align: "start" }, /* @__PURE__ */ t.createElement(U, { onClick: () => e.toggleSorting(!1) }, /* @__PURE__ */ t.createElement(_e, { className: "mr-2 h-3.5 w-3.5 text-muted-foreground/70" }), "Asc"), /* @__PURE__ */ t.createElement(U, { onClick: () => e.toggleSorting(!0) }, /* @__PURE__ */ t.createElement(xe, { className: "mr-2 h-3.5 w-3.5 text-muted-foreground/70" }), "Desc")))) : /* @__PURE__ */ t.createElement("div", { className: b(a) }, r);
}
const hl = Y.Root, vl = Y.Trigger, gc = Y.Portal, El = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  Y.Overlay,
  {
    className: b(
      "fixed inset-0 z-50 bg-black/80  data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0",
      e
    ),
    ...r,
    ref: a
  }
));
El.displayName = Y.Overlay.displayName;
const ka = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(gc, null, /* @__PURE__ */ l.createElement(El, null), /* @__PURE__ */ l.createElement(
  Y.Content,
  {
    ref: a,
    className: b(
      "fixed left-[50%] top-[50%] z-50 grid w-full max-w-lg translate-x-[-50%] translate-y-[-50%] gap-4 border bg-background p-6 shadow-lg duration-200 data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0 data-[state=closed]:zoom-out-95 data-[state=open]:zoom-in-95 data-[state=closed]:slide-out-to-left-1/2 data-[state=closed]:slide-out-to-top-[48%] data-[state=open]:slide-in-from-left-1/2 data-[state=open]:slide-in-from-top-[48%] sm:rounded-lg",
      e
    ),
    ...r
  }
)));
ka.displayName = Y.Content.displayName;
const qa = ({
  className: e,
  ...r
}) => /* @__PURE__ */ l.createElement(
  "div",
  {
    className: b(
      "flex flex-col space-y-2 text-center sm:text-left",
      e
    ),
    ...r
  }
);
qa.displayName = "AlertDialogHeader";
const Ma = ({
  className: e,
  ...r
}) => /* @__PURE__ */ l.createElement(
  "div",
  {
    className: b(
      "flex flex-col-reverse sm:flex-row sm:justify-end sm:space-x-2",
      e
    ),
    ...r
  }
);
Ma.displayName = "AlertDialogFooter";
const Oa = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  Y.Title,
  {
    ref: a,
    className: b("text-lg font-semibold", e),
    ...r
  }
));
Oa.displayName = Y.Title.displayName;
const za = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  Y.Description,
  {
    ref: a,
    className: b("text-sm text-muted-foreground", e),
    ...r
  }
));
za.displayName = Y.Description.displayName;
const ja = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  Y.Action,
  {
    ref: a,
    className: b(Ea(), e),
    ...r
  }
));
ja.displayName = Y.Action.displayName;
const Wa = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  Y.Cancel,
  {
    ref: a,
    className: b(
      Ea({ variant: "outline" }),
      "mt-2 sm:mt-0",
      e
    ),
    ...r
  }
));
Wa.displayName = Y.Cancel.displayName;
function pc({
  row: e,
  onEdit: r,
  onDelete: a,
  onStatus: s
}) {
  return console.log("row", e.original.status), /* @__PURE__ */ t.createElement(t.Fragment, null, /* @__PURE__ */ t.createElement(hl, null, /* @__PURE__ */ t.createElement(ka, null, /* @__PURE__ */ t.createElement(qa, null, /* @__PURE__ */ t.createElement(Oa, null, "Are you absolutely sure?"), /* @__PURE__ */ t.createElement(za, null)), /* @__PURE__ */ t.createElement(Ma, null, /* @__PURE__ */ t.createElement(Wa, null, "Cancel"), /* @__PURE__ */ t.createElement(ja, { onClick: () => a(e.original) }, "Delete"))), /* @__PURE__ */ t.createElement(oe, null, /* @__PURE__ */ t.createElement(Se, { asChild: !0 }, /* @__PURE__ */ t.createElement(
    L,
    {
      variant: "ghost",
      className: "flex h-8 w-8 p-0 data-[state=open]:bg-muted"
    },
    /* @__PURE__ */ t.createElement(Jr, { className: "h-4 w-4" }),
    /* @__PURE__ */ t.createElement("span", { className: "sr-only" }, "Open menu")
  )), /* @__PURE__ */ t.createElement(ne, { align: "end", className: "w-[160px]" }, /* @__PURE__ */ t.createElement(U, { onClick: () => r(e.original) }, "Edit"), /* @__PURE__ */ t.createElement(ae, null), /* @__PURE__ */ t.createElement(vl, { asChild: !0 }, /* @__PURE__ */ t.createElement(U, null, "Delete")), /* @__PURE__ */ t.createElement(ae, null), /* @__PURE__ */ t.createElement(U, { onClick: () => s(e.original) }, e.original.status === "Active" ? "Inactive" : "Active")))));
}
const Je = x.object({
  id: x.string().default(""),
  name: x.string().default(""),
  type: x.string().default(""),
  description: x.string().default(""),
  status: x.string().default(""),
  access_level: x.record(x.string()).default({}),
  // Dynamic access_level
  is_default: x.boolean().default(!1),
  created_by: x.string().default(""),
  modified_by: x.string().default(""),
  tenant_id: x.string().default(""),
  created_at: x.string().default(""),
  updated_at: x.string().default(""),
  privilege_type: x.string().default("")
});
function Ns({ defaultValue: e, isEdit: r, setShowSideNav: a, onRefresh: s, supabase: n }) {
  const [o, i] = C(!1), [, m] = C(["SA", "A", "S"]), [u, c] = C({}), [f, p] = C([]), [g, d] = C({}), y = {
    id: (e == null ? void 0 : e.id) || "",
    name: (e == null ? void 0 : e.name) || "",
    type: (e == null ? void 0 : e.type) || "",
    description: (e == null ? void 0 : e.description) || "",
    access_level: (e == null ? void 0 : e.access_level) || {},
    status: (e == null ? void 0 : e.status) || "",
    is_default: (e == null ? void 0 : e.is_default) || !1,
    created_by: (e == null ? void 0 : e.created_by) || "00000000-0000-0000-0000-000000000000",
    modified_by: (e == null ? void 0 : e.modified_by) || "00000000-0000-0000-0000-000000000000",
    tenant_id: (e == null ? void 0 : e.tenant_id) || "00000000-0000-0000-0000-000000000000",
    created_at: (e == null ? void 0 : e.created_at) || /* @__PURE__ */ new Date(),
    updated_at: (e == null ? void 0 : e.updated_at) || /* @__PURE__ */ new Date(),
    permissionType: void 0
  }, E = x.object({
    name: x.string().min(1, "Name is required"),
    permissionType: x.object({}),
    access_level: x.record(x.string())
  }), _ = x.object({
    name: x.string().min(5, "Name must be at least 5 characters long").min(1, "Name is required"),
    access_level: x.record(x.string())
  }), S = ma({
    resolver: Xe(r === !0 ? _ : E),
    defaultValues: y
  }), { setValue: v, watch: h, getValues: N } = S, R = N(), F = h();
  console.log("values", R), H(() => {
    if (console.log("permissionType", R.permissionType, F == null ? void 0 : F.permissionType), R != null && R.permissionType) {
      let I = F == null ? void 0 : F.permissionType;
      c(I);
    }
  }, [F.permissionType]), H(() => {
    const I = F.permissionType;
    if (console.log("mytype", F.permissionType), console.log("mytype", f), I && f.length > 0) {
      const T = f.filter((D) => typeof D == "object" && D !== null && "access_level" in D ? D.access_level === I : !1);
      console.log("mytype", T), T.length > 0 ? v("type", T[0].type || "") : v("type", "");
    } else
      v("type", "");
  }, [F.permissionType, f]), H(() => {
    v("access_level", u);
  }, [u]), console.log("permission", u), H(() => {
    async function I(T, D) {
      try {
        const { data: P, error: M } = await n.from("tenant").select("*");
        M ? console.error(`Error fetching data from ${T}:`, M.message) : D(P || []);
      } catch (P) {
        console.error(`Error fetching data from ${T}:`, P);
      }
    }
    I("roles", m);
  }, []), H(() => {
    async function I() {
      let { data: T, error: D } = await n.auth.rolesList();
      D ? (console.error("Error fetching tenants:", D.message), p([])) : (console.log("rolesList", x.array(Je).parse(T.role.roles)), p(x.array(Je).parse(T.role.roles)));
    }
    I();
  }, []), console.log("rolesList", f), H(() => {
    var I, T;
    if (r) {
      let D = e == null ? void 0 : e.access_level;
      c(D);
    } else {
      console.log("test", (I = f[0]) == null ? void 0 : I.access_level);
      let D = f && ((T = f[0]) == null ? void 0 : T.access_level);
      console.log("tempAcc", D);
    }
  }, [e, f]);
  async function W(I) {
    try {
      if (r) {
        i(!0), console.log("datas", R);
        const T = {
          ...I,
          type: R.type,
          id: R.id,
          description: R.description
        }, { error: D } = await n.auth.updateRole(T);
        D ? setTimeout(() => {
          k({
            title: "Error",
            variant: "destructive",
            description: /* @__PURE__ */ t.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ t.createElement("code", { className: "text-white" }, " ", /* @__PURE__ */ t.createElement("div", null, JSON.stringify(D, null, 2))))
          }), i(!1);
        }, 2e3) : (setTimeout(() => {
          i(!1), S.reset(), k({
            title: "You submitted the following values:",
            description: /* @__PURE__ */ t.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ t.createElement("code", { className: "text-white" }, "Successfully Updated"))
          });
        }, 2e3), s(), a(!1));
      } else {
        i(!0), console.log("datas", g);
        const T = {
          ...I,
          type: R.type,
          description: R.description,
          is_default: !0
        }, { error: D } = await n.auth.createRole(T);
        D ? setTimeout(() => {
          k({
            title: "Error",
            variant: "destructive",
            description: /* @__PURE__ */ t.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ t.createElement("code", { className: "text-white" }, "Unable to create role"))
          }), i(!1);
        }, 2e3) : (setTimeout(() => {
          i(!1), S.reset(), k({
            title: "You submitted the following values:",
            description: /* @__PURE__ */ t.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ t.createElement("code", { className: "text-white" }, "Successfully Created"))
          });
        }, 2e3), s(), a(!1));
      }
    } catch (T) {
      console.error("Error fetching customers:", T);
    }
  }
  return /* @__PURE__ */ t.createElement("div", { style: { height: "80vh", overflowY: "auto" }, className: "px-2" }, " ", /* @__PURE__ */ t.createElement(Sa, { ...S }, /* @__PURE__ */ t.createElement(Ia, { onSubmit: S.handleSubmit(W), className: "space-y-8" }, /* @__PURE__ */ t.createElement("div", { style: { fontWeight: "700", fontSize: "20px" } }), /* @__PURE__ */ t.createElement("div", { style: { display: "grid", gap: "20px" } }, /* @__PURE__ */ t.createElement(
    ie,
    {
      label: "Name",
      name: "name",
      required: !0,
      type: "character varying",
      placeholder: "Enter Role name",
      form: S,
      maxLength: 15
    }
  ), /* @__PURE__ */ t.createElement(
    ie,
    {
      label: "Description",
      name: "description",
      type: "character varying",
      placeholder: "Enter Description",
      form: S,
      maxLength: 50
    }
  )), /* @__PURE__ */ t.createElement(Ne, null), r === !1 ? /* @__PURE__ */ t.createElement(
    Ta,
    {
      label: "Role Type",
      placeholder: "Select Role",
      required: !0,
      name: "permissionType",
      options: f,
      form: S,
      displayLabel: "name",
      returnLabel: "access_level"
    }
  ) : null, /* @__PURE__ */ t.createElement("div", null, u && Object.entries(u).map(([I, T], D) => /* @__PURE__ */ t.createElement(t.Fragment, null, console.log("index", D, "Key:", I, "Value:", typeof T), D === 0 && /* @__PURE__ */ t.createElement("div", { className: "grid grid-cols-6 items-center" }, " ", /* @__PURE__ */ t.createElement("div", { className: "col-span-1" }), /* @__PURE__ */ t.createElement("div", { className: "col-span-5" }, /* @__PURE__ */ t.createElement("div", { className: "grid grid-cols-5 gap-4" }, ["Read", "Write", "Delete", "Import", "Export"].map((P, M) => /* @__PURE__ */ t.createElement("div", { key: M, className: "px-3 py-2" }, /* @__PURE__ */ t.createElement("div", { className: "px-3 py-3 flex items-center gap-x-2 capitalize" }, P)))))), /* @__PURE__ */ t.createElement("div", { className: "grid grid-cols-6 items-center", key: I }, /* @__PURE__ */ t.createElement("div", { className: "col-span-1" }, /* @__PURE__ */ t.createElement("div", { className: "grid grid-cols-1 gap-1" }, /* @__PURE__ */ t.createElement("div", { className: "text-md cursor-pointer capitalize" }, I))), /* @__PURE__ */ t.createElement("div", { className: "col-span-5" }, /* @__PURE__ */ t.createElement("div", { className: "grid grid-cols-5 gap-4" }, [...T].map((P, M) => /* @__PURE__ */ t.createElement("div", { key: M, className: "px-3 py-2" }, /* @__PURE__ */ t.createElement("div", { className: "px-5 py-3 flex items-center gap-x-2" }, /* @__PURE__ */ t.createElement(
    de,
    {
      id: `${I}-${M}`,
      name: `${I}-${M}`,
      checked: P === "1",
      onCheckedChange: (J) => {
        console.log("inside", J);
        const Z = J ? "1" : "0", q = T.substring(0, M) + Z + T.substring(M + 1);
        console.log("click", q);
        const A = { ...u, [I]: q };
        console.log("inside", J), c(A);
      }
    }
  )))))))))), /* @__PURE__ */ t.createElement(Ne, null), /* @__PURE__ */ t.createElement(
    Pa,
    {
      submitVariant: "default",
      clearVariant: "outline",
      submitlabel: "Submit",
      clearlabel: r === !1 ? "Clear" : void 0,
      submitType: "submit",
      clearAction: () => {
        const I = S.getValues("type");
        console.log("currentType", I), d({ ...y, type: I, name: "", description: "", permissionType: R.permissionType }), S.reset({ ...y, type: I, name: "", description: "", permissionType: R.permissionType });
      },
      loader: o
    }
  ))));
}
function yl({ showSideNav: e, onRefresh: r, data: a, onClose: s, isEdit: n = !1, setShowSideNav: o, supabase: i }) {
  const [m, u] = l.useState([]);
  async function c(p) {
    const { data: g, error: d } = await i.auth.getRoleById({ id: p });
    return d ? (console.error("Error fetching tenant details:", d.message), []) : x.array(Je).parse([g.role]);
  }
  l.useEffect(() => {
    e && (a != null && a.id) && (async () => {
      const p = await c(a.id);
      u(p);
    })();
  }, [e, a == null ? void 0 : a.id]), l.useEffect(() => {
    console.log("tenantDetail", m);
  }, [m]);
  const f = () => {
    s();
  };
  return /* @__PURE__ */ l.createElement(ya, { open: e, onOpenChange: f }, /* @__PURE__ */ l.createElement(rt, { className: "w-[800px]", style: {
    maxWidth: "100%"
  } }, /* @__PURE__ */ l.createElement(at, { className: "px-2" }, /* @__PURE__ */ l.createElement(nt, null, "ROLE"), /* @__PURE__ */ l.createElement(st, null, `${n ? "Update a role" : "Create a new role"} `)), n && (m == null ? void 0 : m.length) > 0 ? /* @__PURE__ */ l.createElement(Ns, { supabase: i, onRefresh: r, setShowSideNav: o, isEdit: n, defaultValue: m[0] }) : n ? "Loading" : /* @__PURE__ */ l.createElement(Ns, { onRefresh: r, setShowSideNav: o, isEdit: n, defaultValue: void 0, supabase: i })));
}
const hc = ({
  onRefresh: e,
  onCallDelete: r,
  onCallStatus: a,
  supabase: s
}) => [
  {
    id: "select",
    header: ({ table: n }) => /* @__PURE__ */ t.createElement(
      de,
      {
        checked: n.getIsAllPageRowsSelected() ? !0 : n.getIsSomePageRowsSelected() ? "indeterminate" : !1,
        onCheckedChange: (o) => n.toggleAllPageRowsSelected(!!o),
        "aria-label": "Select all",
        className: "translate-y-[2px]"
      }
    ),
    cell: ({ row: n }) => /* @__PURE__ */ t.createElement(
      de,
      {
        checked: n.getIsSelected(),
        onCheckedChange: (o) => n.toggleSelected(!!o),
        "aria-label": "Select row",
        className: "translate-y-[2px]"
      }
    ),
    enableSorting: !1,
    enableHiding: !1
  },
  {
    accessorKey: "name",
    header: ({ column: n }) => /* @__PURE__ */ t.createElement(Ze, { column: n, title: "Name" }),
    cell: ({ row: n }) => /* @__PURE__ */ t.createElement("div", { className: "" }, n.getValue("name")),
    enableSorting: !1,
    enableHiding: !1
  },
  {
    accessorKey: "type",
    header: ({ column: n }) => /* @__PURE__ */ t.createElement(Ze, { column: n, title: "Type" }),
    cell: ({ row: n }) => /* @__PURE__ */ t.createElement("div", { className: "w-[80px]" }, n.getValue("type")),
    enableSorting: !1,
    enableHiding: !1
  },
  {
    accessorKey: "privilege_type",
    header: ({ column: n }) => /* @__PURE__ */ t.createElement(Ze, { column: n, title: "Privilege" }),
    cell: ({ row: n }) => /* @__PURE__ */ t.createElement("div", { className: "w-[80px]" }, n.getValue("privilege_type")),
    enableSorting: !1,
    enableHiding: !1
  },
  // {
  //   accessorKey: "type",
  //   header: ({ column }) => (
  //     <DataTableColumnHeader column={column} title="Type" />
  //   ),
  //   cell: ({ row }) => {
  //     const label = roleType.find((label) => label.value === row.original.type)
  //     return (
  //       <div className="flex space-x-2">
  //         {label && <Badge variant="outline">{label.label}</Badge>}
  //         <span className="max-w-[500px] truncate font-medium">
  //           {row.getValue("type")}
  //         </span>
  //       </div>
  //     )
  //   },
  // },
  {
    accessorKey: "status",
    header: ({ column: n }) => /* @__PURE__ */ t.createElement(Ze, { column: n, title: "Status" }),
    cell: ({ row: n }) => {
      const o = fc.find(
        (i) => i.value === n.getValue("status")
      );
      return o ? /* @__PURE__ */ t.createElement("div", { className: "flex w-[100px] items-center" }, o.icon && /* @__PURE__ */ t.createElement(o.icon, null), /* @__PURE__ */ t.createElement("span", null, o.label)) : null;
    },
    filterFn: (n, o, i) => i.includes(n.getValue(o))
  },
  // {
  //   accessorKey: "plan_name",
  //   header: ({ column }) => (
  //     <DataTableColumnHeader column={column} title="Plan" />
  //   ),
  //   cell: ({ row }) => {
  //     const priority = planNames.find(
  //       (priority) => priority.value === row.getValue("plan_name")
  //     )
  //     if (!priority) {
  //       return null
  //     }
  //     return (
  //       <div className="flex items-center">
  //         {/* {priority.icon && (
  //           <priority.icon className="mr-2 h-4 w-4 text-muted-foreground" />
  //         )} */}
  //         <span>{priority.label}</span>
  //       </div>
  //     )
  //   },
  //   filterFn: (row, id, value) => {
  //     return value.includes(row.getValue(id))
  //   },
  // },
  {
    id: "actions",
    cell: ({ row: n }) => {
      const [o, i] = C(!1), [m, u] = C(null), c = (d) => {
        a(d);
      }, f = (d) => {
        console.log("Edit clicked for:", d == null ? void 0 : d.id), u(d), i(!0);
      }, p = (d) => {
        console.log("Delete clicked for:", d == null ? void 0 : d.id), r(d);
      }, g = () => {
        i(!1);
      };
      return /* @__PURE__ */ t.createElement(t.Fragment, null, /* @__PURE__ */ t.createElement(pc, { row: n, onEdit: f, onDelete: p, onStatus: c }), m && o && /* @__PURE__ */ t.createElement(yl, { setShowSideNav: i, onRefresh: e, isEdit: !0, showSideNav: o, data: m, onClose: g, supabase: s }));
    }
  }
];
function vc({
  table: e,
  pageSizeArray: r
}) {
  return /* @__PURE__ */ t.createElement("div", { className: "flex items-center justify-between px-2" }, /* @__PURE__ */ t.createElement("div", { className: "flex items-center space-x-6 lg:space-x-8" }, /* @__PURE__ */ t.createElement("div", { className: "flex items-center space-x-2" }, /* @__PURE__ */ t.createElement("p", { className: "text-sm font-medium" }, "Rows per page"), /* @__PURE__ */ t.createElement(
    Fa,
    {
      value: `${e.getState().pagination.pageSize}`,
      onValueChange: (a) => {
        e.setPageSize(Number(a));
      }
    },
    /* @__PURE__ */ t.createElement(ut, { className: "h-8 w-[70px]" }, /* @__PURE__ */ t.createElement(Da, { placeholder: e.getState().pagination.pageSize })),
    /* @__PURE__ */ t.createElement(ft, { side: "top" }, r.map((a) => /* @__PURE__ */ t.createElement(gt, { key: a, value: `${a}` }, a)))
  )), /* @__PURE__ */ t.createElement("div", { className: "flex w-[100px] items-center justify-center text-sm font-medium" }, "Page ", e.getState().pagination.pageIndex + 1, " of", " ", e.getPageCount()), /* @__PURE__ */ t.createElement("div", { className: "flex items-center space-x-2" }, /* @__PURE__ */ t.createElement(
    L,
    {
      variant: "outline",
      className: "hidden h-8 w-8 p-0 lg:flex",
      onClick: () => e.setPageIndex(0),
      disabled: !e.getCanPreviousPage()
    },
    /* @__PURE__ */ t.createElement("span", { className: "sr-only" }, "Go to first page"),
    /* @__PURE__ */ t.createElement(Qr, { className: "h-4 w-4" })
  ), /* @__PURE__ */ t.createElement(
    L,
    {
      variant: "outline",
      className: "h-8 w-8 p-0",
      onClick: () => e.previousPage(),
      disabled: !e.getCanPreviousPage()
    },
    /* @__PURE__ */ t.createElement("span", { className: "sr-only" }, "Go to previous page"),
    /* @__PURE__ */ t.createElement(ea, { className: "h-4 w-4" })
  ), /* @__PURE__ */ t.createElement(
    L,
    {
      variant: "outline",
      className: "h-8 w-8 p-0",
      onClick: () => e.nextPage(),
      disabled: !e.getCanNextPage()
    },
    /* @__PURE__ */ t.createElement("span", { className: "sr-only" }, "Go to next page"),
    /* @__PURE__ */ t.createElement(ta, { className: "h-4 w-4" })
  ), /* @__PURE__ */ t.createElement(
    L,
    {
      variant: "outline",
      className: "hidden h-8 w-8 p-0 lg:flex",
      onClick: () => e.setPageIndex(e.getPageCount() - 1),
      disabled: !e.getCanNextPage()
    },
    /* @__PURE__ */ t.createElement("span", { className: "sr-only" }, "Go to last page"),
    /* @__PURE__ */ t.createElement(ra, { className: "h-4 w-4" })
  ))));
}
function Ec({
  table: e
}) {
  return /* @__PURE__ */ t.createElement(oe, null, /* @__PURE__ */ t.createElement(ia, { asChild: !0 }, /* @__PURE__ */ t.createElement(
    L,
    {
      variant: "outline",
      size: "sm",
      className: "ml-auto hidden h-8 lg:flex"
    },
    /* @__PURE__ */ t.createElement(aa, { className: "mr-2 h-4 w-4" }),
    "View"
  )), /* @__PURE__ */ t.createElement(ne, { align: "end", className: "w-[150px]" }, /* @__PURE__ */ t.createElement(tt, null, "Toggle columns"), /* @__PURE__ */ t.createElement(ae, null), e.getAllColumns().filter(
    (r) => typeof r.accessorFn < "u" && r.getCanHide()
  ).map((r) => /* @__PURE__ */ t.createElement(
    et,
    {
      key: r.id,
      className: "capitalize",
      checked: r.getIsVisible(),
      onCheckedChange: (a) => r.toggleVisibility(!!a)
    },
    r.id
  ))));
}
function yc({
  column: e,
  title: r,
  options: a
}) {
  const s = e == null ? void 0 : e.getFacetedUniqueValues(), n = new Set(e == null ? void 0 : e.getFilterValue());
  return /* @__PURE__ */ l.createElement(Aa, null, /* @__PURE__ */ l.createElement(La, { asChild: !0 }, /* @__PURE__ */ l.createElement(L, { variant: "outline", size: "sm", className: "h-8 border-dashed" }, /* @__PURE__ */ l.createElement(na, { className: "mr-2 h-4 w-4" }), r, (n == null ? void 0 : n.size) > 0 && /* @__PURE__ */ l.createElement(l.Fragment, null, /* @__PURE__ */ l.createElement(Ne, { orientation: "vertical", className: "mx-2 h-4" }), /* @__PURE__ */ l.createElement(
    se,
    {
      variant: "secondary",
      className: "rounded-sm px-1 font-normal lg:hidden"
    },
    n.size
  ), /* @__PURE__ */ l.createElement("div", { className: "hidden space-x-1 lg:flex" }, n.size > 2 ? /* @__PURE__ */ l.createElement(
    se,
    {
      variant: "secondary",
      className: "rounded-sm px-1 font-normal"
    },
    n.size,
    " selected"
  ) : a.filter((o) => n.has(o.value)).map((o) => /* @__PURE__ */ l.createElement(
    se,
    {
      variant: "secondary",
      key: o.value,
      className: "rounded-sm px-1 font-normal"
    },
    o.label
  )))))), /* @__PURE__ */ l.createElement(wt, { className: "w-[200px] p-0", align: "start" }, /* @__PURE__ */ l.createElement(pt, null, /* @__PURE__ */ l.createElement(ht, { placeholder: r }), /* @__PURE__ */ l.createElement(vt, null, /* @__PURE__ */ l.createElement(Et, null, "No results found."), /* @__PURE__ */ l.createElement(pe, null, a.map((o) => {
    const i = n.has(o.value);
    return /* @__PURE__ */ l.createElement(
      he,
      {
        key: o.value,
        onSelect: () => {
          i ? n.delete(o.value) : n.add(o.value);
          const m = Array.from(n);
          e == null || e.setFilterValue(
            m.length ? m : void 0
          );
        }
      },
      /* @__PURE__ */ l.createElement(
        "div",
        {
          className: b(
            "mr-2 flex h-4 w-4 items-center justify-center rounded-sm border border-primary",
            i ? "bg-primary text-primary-foreground" : "opacity-50 [&_svg]:invisible"
          )
        },
        /* @__PURE__ */ l.createElement(sa, { className: b("h-4 w-4") })
      ),
      o.icon && /* @__PURE__ */ l.createElement(o.icon, { className: "mr-2 h-4 w-4 text-muted-foreground" }),
      /* @__PURE__ */ l.createElement("span", null, o.label),
      (s == null ? void 0 : s.get(o.value)) && /* @__PURE__ */ l.createElement("span", { className: "ml-auto flex h-4 w-4 items-center justify-center font-mono text-xs" }, s.get(o.value))
    );
  })), n.size > 0 && /* @__PURE__ */ l.createElement(l.Fragment, null, /* @__PURE__ */ l.createElement(yt, null), /* @__PURE__ */ l.createElement(pe, null, /* @__PURE__ */ l.createElement(
    he,
    {
      onSelect: () => e == null ? void 0 : e.setFilterValue(void 0),
      className: "justify-center text-center"
    },
    "Clear filters"
  )))))));
}
function wc({
  table: e,
  onRefresh: r,
  supabase: a
}) {
  const [s, n] = C(""), [o, i] = C(!1), m = () => {
    i(!1);
  }, u = e.getState().globalFilter != null || e.getState().columnFilters.length > 0, c = (g) => {
    g.target.value.trim() != "" ? (n(g.target.value), e.setGlobalFilter(g.target.value)) : (n(""), e.resetGlobalFilter());
  }, f = [
    {
      value: "Active",
      label: "Active"
    },
    {
      value: "Inactive",
      label: "Inactive"
    }
    // {
    //               value: "Blocked",
    //               label: "Blocked",
    //             },
    // {
    //               value: "Deactivated",
    //               label: "Deactivated",
    //             },
  ];
  console.log("table", e.getColumn("status"));
  const p = () => {
    n(""), e.resetGlobalFilter(), e.resetColumnFilters();
  };
  return /* @__PURE__ */ t.createElement("div", { className: "flex items-center justify-between" }, /* @__PURE__ */ t.createElement("div", { className: "flex flex-1 items-center space-x-2" }, /* @__PURE__ */ t.createElement(
    je,
    {
      placeholder: "Search...",
      value: s,
      onChange: c,
      className: "h-8 w-[150px] lg:w-[250px]"
    }
  ), e.getColumn("status") && /* @__PURE__ */ t.createElement(
    yc,
    {
      column: e.getColumn("status"),
      title: "status",
      options: f
    }
  ), u && /* @__PURE__ */ t.createElement(
    L,
    {
      variant: "ghost",
      onClick: p,
      className: "h-8 px-2 lg:px-3"
    },
    "Reset",
    /* @__PURE__ */ t.createElement(la, { className: "ml-2 h-4 w-4" })
  )), /* @__PURE__ */ t.createElement(Ec, { table: e }), /* @__PURE__ */ t.createElement(
    L,
    {
      variant: "default",
      size: "sm",
      onClick: () => i(!0),
      className: "h-8 px-2 lg:px-3 ml-4"
    },
    "Add",
    /* @__PURE__ */ t.createElement(oa, { className: "ml-2 h-4 w-4" })
  ), /* @__PURE__ */ t.createElement(yl, { onRefresh: r, setShowSideNav: i, isEdit: !1, showSideNav: o, data: [], onClose: m, supabase: a }));
}
function xc({
  columns: e,
  data: r,
  isLoading: a,
  onRefresh: s,
  errorMessage: n,
  message: o,
  supabase: i,
  dataLoader: m
}) {
  var S;
  const [u, c] = l.useState({}), [f, p] = l.useState({}), [g, d] = l.useState(
    []
  ), [y, E] = l.useState([]), _ = [10, 20, 30, 50, 100], w = da({
    data: r,
    columns: e,
    state: {
      sorting: y,
      columnVisibility: f,
      rowSelection: u,
      columnFilters: g
    },
    initialState: { pagination: { pageSize: 10 } },
    enableRowSelection: !0,
    onRowSelectionChange: c,
    onSortingChange: E,
    onColumnFiltersChange: d,
    onColumnVisibilityChange: p,
    getCoreRowModel: ua(),
    getFilteredRowModel: fa(),
    getPaginationRowModel: ga(),
    getSortedRowModel: pa(),
    getFacetedRowModel: ha(),
    getFacetedUniqueValues: va(),
    autoResetPageIndex: !0
  });
  return /* @__PURE__ */ l.createElement("div", { className: "space-y-4" }, /* @__PURE__ */ l.createElement(wc, { table: w, onRefresh: s, supabase: i }), /* @__PURE__ */ l.createElement("div", { className: "rounded-md border" }, /* @__PURE__ */ l.createElement(ct, null, /* @__PURE__ */ l.createElement(mt, null, w.getHeaderGroups().map((v) => /* @__PURE__ */ l.createElement(G, { key: v.id }, v.headers.map((h) => /* @__PURE__ */ l.createElement(dt, { key: h.id, colSpan: h.colSpan }, h.isPlaceholder ? null : be(
    h.column.columnDef.header,
    h.getContext()
  )))))), n || m && r.length === 0 ? /* @__PURE__ */ l.createElement(ge, { style: { height: "100px" } }, /* @__PURE__ */ l.createElement(
    "p",
    {
      style: { position: "absolute", zIndex: "4", width: "90%", textAlign: "center", fontWeight: "bold" },
      className: "h-8 px-2 lg:px-3 ml-4 mt-4"
    },
    o || "Data Not Found"
  )) : /* @__PURE__ */ l.createElement(ge, null, a ? /* @__PURE__ */ l.createElement(l.Fragment, null, w.getHeaderGroups().map((v) => /* @__PURE__ */ l.createElement(G, { key: v.id }, v.headers.map((h) => /* @__PURE__ */ l.createElement(
    V,
    {
      key: h.id,
      colSpan: h.colSpan,
      className: "h-6"
    },
    /* @__PURE__ */ l.createElement(le, { className: "w-[100px] h-[20px] rounded-full" })
  )))), w.getHeaderGroups().map((v) => /* @__PURE__ */ l.createElement(G, { key: v.id + "-2" }, v.headers.map((h) => /* @__PURE__ */ l.createElement(
    V,
    {
      key: h.id + "-2",
      colSpan: h.colSpan,
      className: "h-6"
    },
    /* @__PURE__ */ l.createElement(le, { className: "w-[100px] h-[20px] rounded-full" })
  ))))) : (S = w.getRowModel().rows) != null && S.length ? w.getRowModel().rows.map((v) => /* @__PURE__ */ l.createElement(
    G,
    {
      key: v.id,
      "data-state": v.getIsSelected() && "selected"
    },
    v.getVisibleCells().map((h) => /* @__PURE__ */ l.createElement(V, { key: h.id }, be(
      h.column.columnDef.cell,
      h.getContext()
    )))
  )) : /* @__PURE__ */ l.createElement(G, null, /* @__PURE__ */ l.createElement(
    V,
    {
      colSpan: e.length,
      className: "h-24 text-center"
    },
    /* @__PURE__ */ l.createElement(le, { className: "w-[100px] h-[20px] rounded-full" })
  ))))), /* @__PURE__ */ l.createElement("div", { className: "flex items-center justify-between px-2" }, /* @__PURE__ */ l.createElement("div", { className: "flex-1 text-sm text-muted-foreground" }, w.getFilteredSelectedRowModel().rows.length, " of", " ", w.getFilteredRowModel().rows.length, " row(s) selected."), /* @__PURE__ */ l.createElement(
    vc,
    {
      table: w,
      pageSizeArray: n ? [0] : _
    }
  )));
}
function rm({ supabase: e }) {
  const [r, a] = C([]), [s, n] = C(!1), [o, i] = C(!1), [m, u] = C(null), c = (h) => {
    S(h.id, h.status);
  }, f = (h) => {
    console.log("done", h);
  }, p = (h) => {
    console.log("done", h), v(h.id);
  }, g = async () => {
    i(!0);
    try {
      const h = await w();
      a(h);
    } catch (h) {
      console.error("Error refreshing data:", h);
    } finally {
      i(!1);
    }
  }, [d, y] = C(!1);
  H(() => {
    g(), y(!1);
  }, [d]);
  const [E, _] = C(!1), w = async () => {
    let { data: h, error: N } = await e.auth.rolesList();
    return console.log("hiii2"), N ? (console.error("Error fetching tenants:", N.message), _(!1), n(!0), u(N.message), []) : (n(!1), u(null), _(!0), x.array(Je).parse(h.role.roles));
  }, S = async (h, N) => {
    N === "Active" ? N = "Inactive" : N = "Active";
    let { error: R } = await e.auth.changeRoleStatus({
      status: N,
      id: [h]
    });
    R ? (console.error("Error fetching tenants:", R.message), k({
      title: "You submitted the following values:",
      description: /* @__PURE__ */ t.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ t.createElement("code", { className: "text-white" }, R.message))
    })) : (k({
      title: "You submitted the following values:",
      description: /* @__PURE__ */ t.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ t.createElement("code", { className: "text-white" }, "Successfully Updated"))
    }), y(!0));
  }, v = async (h) => {
    let { error: N } = await e.auth.deleteRole({
      id: h,
      tenant_id: ""
    });
    N ? (console.error("Error fetching tenants:", N.message), k({
      title: "You submitted the following values:",
      description: /* @__PURE__ */ t.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ t.createElement("code", { className: "text-white" }, N.message))
    })) : (k({
      title: "You submitted the following values:",
      description: /* @__PURE__ */ t.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ t.createElement("code", { className: "text-white" }, "Successfully Deleted"))
    }), y(!0));
  };
  return /* @__PURE__ */ t.createElement(t.Fragment, null, /* @__PURE__ */ t.createElement(
    xc,
    {
      columns: hc({ onEdit: f, onRefresh: g, onCallDelete: p, onCallStatus: c, supabase: e }),
      data: r,
      supabase: e,
      errorMessage: s,
      isLoading: o,
      onRefresh: g,
      message: m,
      dataLoader: E
    }
  ));
}
const _c = [
  {
    value: "Active",
    label: "Active",
    icon: () => /* @__PURE__ */ t.createElement(we, { style: {
      color: "green",
      backgroundColor: "green",
      marginRight: "3px",
      width: "6px",
      // Adjust size as needed
      height: "6px",
      // Adjust size as needed
      borderRadius: "50%"
      // Makes the icon circular
    } })
    // Apply the red color
  },
  {
    value: "Inactive",
    label: "Inactive",
    icon: () => /* @__PURE__ */ t.createElement(we, { style: {
      color: "red",
      backgroundColor: "red",
      marginRight: "3px",
      width: "6px",
      // Adjust size as needed
      height: "6px",
      // Adjust size as needed
      borderRadius: "50%"
      // Makes the icon circular
    } })
    // Apply the blue color
  }
];
function Fe({
  column: e,
  title: r,
  className: a
}) {
  return e.getCanSort() ? /* @__PURE__ */ t.createElement("div", { className: b("flex items-center space-x-2", a) }, /* @__PURE__ */ t.createElement(oe, null, /* @__PURE__ */ t.createElement(Se, { asChild: !0 }, /* @__PURE__ */ t.createElement(
    L,
    {
      variant: "ghost",
      size: "sm",
      className: "-ml-3 h-8 data-[state=open]:bg-accent"
    },
    /* @__PURE__ */ t.createElement("span", null, r),
    e.getIsSorted() === "desc" ? /* @__PURE__ */ t.createElement(xe, { className: "ml-2 h-4 w-4" }) : e.getIsSorted() === "asc" ? /* @__PURE__ */ t.createElement(_e, { className: "ml-2 h-4 w-4" }) : /* @__PURE__ */ t.createElement(Xr, { className: "ml-2 h-4 w-4" })
  )), /* @__PURE__ */ t.createElement(ne, { align: "start" }, /* @__PURE__ */ t.createElement(U, { onClick: () => e.toggleSorting(!1) }, /* @__PURE__ */ t.createElement(_e, { className: "mr-2 h-3.5 w-3.5 text-muted-foreground/70" }), "Asc"), /* @__PURE__ */ t.createElement(U, { onClick: () => e.toggleSorting(!0) }, /* @__PURE__ */ t.createElement(xe, { className: "mr-2 h-3.5 w-3.5 text-muted-foreground/70" }), "Desc")))) : /* @__PURE__ */ t.createElement("div", { className: "w-[165px]", style: {} }, r);
}
function bc({
  row: e,
  onEdit: r,
  onDelete: a,
  onStatus: s
}) {
  return /* @__PURE__ */ t.createElement(hl, null, /* @__PURE__ */ t.createElement(ka, null, /* @__PURE__ */ t.createElement(qa, null, /* @__PURE__ */ t.createElement(Oa, null, "Are you want to delete?"), /* @__PURE__ */ t.createElement(za, null)), /* @__PURE__ */ t.createElement(Ma, null, /* @__PURE__ */ t.createElement(Wa, null, "Cancel"), /* @__PURE__ */ t.createElement(ja, { onClick: () => a(e.original) }, "Delete"))), /* @__PURE__ */ t.createElement(oe, null, /* @__PURE__ */ t.createElement(Se, { asChild: !0 }, /* @__PURE__ */ t.createElement(
    L,
    {
      variant: "ghost",
      className: "flex h-8 w-8 p-0 data-[state=open]:bg-muted"
    },
    /* @__PURE__ */ t.createElement(Jr, { className: "h-4 w-4" }),
    /* @__PURE__ */ t.createElement("span", { className: "sr-only" }, "Open menu")
  )), /* @__PURE__ */ t.createElement(ne, { align: "end", className: "w-[160px]" }, /* @__PURE__ */ t.createElement(U, { onClick: () => r(e.original) }, "Edit"), /* @__PURE__ */ t.createElement(ae, null), /* @__PURE__ */ t.createElement(vl, { asChild: !0 }, /* @__PURE__ */ t.createElement(U, null, "Delete")), /* @__PURE__ */ t.createElement(ae, null), /* @__PURE__ */ t.createElement(U, { onClick: () => s(e.original) }, e.original.status === "Active" ? "Inactive" : "Active"))));
}
const wl = x.object({
  id: x.any(),
  name: x.any(),
  aud: x.any(),
  phone: x.any(),
  role: x.any(),
  email: x.any(),
  password: x.any(),
  email_confirmed_at: x.any(),
  confirmed_at: x.any(),
  last_sign_in_at: x.any(),
  app_metadata: x.any(),
  user_metadata: x.any(),
  identities: x.any(),
  created_at: x.any(),
  updated_at: x.any(),
  is_anonymous: x.any(),
  tenant_id: x.any(),
  role_id: x.any(),
  role_type: x.any(),
  privilege_type: x.any(),
  role_name: x.any(),
  status: x.any()
}), xl = /^[^\s@]+@[^\s@]+\.[^\s@]+$/, Nc = x.object({
  name: x.string().min(1, "Name is required"),
  email: x.string().min(1, { message: "Email is required" }).refine((e) => xl.test(e), { message: "Invalid email format" }),
  password: x.string().min(0, "Password is required").min(6, "Password must be at least 6 characters long"),
  role_id: x.string().min(1, "Role ID is required"),
  phone: x.string().min(1, "Phone number is required").min(10, "Invalid phone number")
  // user_metadata: 
}), Cc = x.object({
  name: x.string().min(1, "Name is required"),
  email: x.string().min(1, { message: "Email is required" }).refine((e) => xl.test(e), { message: "Invalid email format" }),
  role_id: x.string().min(1, "Role ID is required"),
  phone: x.string().min(1, "Phone number is required").min(10, "Invalid phone number")
  // user_metadata: 
});
function Cs({ defaultValue: e, isEdit: r, onReferesh: a, setShowSideNav: s, supabaseAuthAdmin: n }) {
  const [o, i] = C(!1), [m, u] = C([]), c = {
    id: (e == null ? void 0 : e.id) || "",
    email: (e == null ? void 0 : e.email) || "",
    password: (e == null ? void 0 : e.password) || "",
    phone: (e == null ? void 0 : e.phone) || "",
    role_id: (e == null ? void 0 : e.role_id) || "",
    name: (e == null ? void 0 : e.user_metadata.name) || ""
  }, f = ma({
    resolver: Xe(r ? Cc : Nc),
    defaultValues: c
  });
  console.log("defaultValues", c), H(() => {
    async function g(d, y) {
      try {
        const { data: E, error: _ } = await n.auth.rolesList();
        _ ? (console.error(`Error fetching data from ${d}:`, _.message), y([])) : y(E.role.roles);
      } catch (E) {
        console.error(`Error fetching data from ${d}:`, E);
      }
    }
    g("roles", u);
  }, []);
  async function p(g) {
    try {
      if (r) {
        i(!0);
        const d = f.getValues(), { password: y, name: E, ..._ } = d, w = {
          ..._,
          user_metadata: {
            name: d.name
          }
        };
        let { error: S } = await n.auth.admin.updateUserById(w.id, w);
        S ? setTimeout(() => {
          k({
            title: "Error",
            variant: "destructive",
            description: /* @__PURE__ */ t.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ t.createElement("code", { className: "text-white" }, "Something Went Wrong"))
          }), i(!1);
        }, 2e3) : (a(), s(!1), setTimeout(() => {
          i(!1), f.reset(), k({
            title: "You submitted the following values:",
            description: /* @__PURE__ */ t.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ t.createElement("code", { className: "text-white" }, "Successfully Updated"))
          });
        }, 2e3));
      } else {
        i(!0);
        const d = f.getValues(), { name: y, ...E } = d, _ = {
          ...E,
          user_metadata: {
            name: d.name
          }
        };
        let { error: w } = await n.auth.admin.createUser(_);
        setTimeout(w ? () => {
          k({
            title: "Error",
            variant: "destructive",
            description: /* @__PURE__ */ t.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ t.createElement("code", { className: "text-white" }, "Something Went Wrong"))
          }), i(!1);
        } : () => {
          a(), i(!1), s(!1), f.reset(), k({
            title: "You submitted the following values:",
            description: /* @__PURE__ */ t.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ t.createElement("code", { className: "text-white" }, "Successfully Created"))
          });
        }, 2e3);
      }
    } catch (d) {
      console.error("Error fetching customers:", d);
    }
  }
  return H(() => {
    m && m.length > 0 && console.log(m, "role_idData");
  }, [m]), /* @__PURE__ */ t.createElement(Sa, { ...f }, /* @__PURE__ */ t.createElement(Ia, { onSubmit: f.handleSubmit(p), className: "space-y-8" }, /* @__PURE__ */ t.createElement("div", { style: { fontWeight: "700", fontSize: "20px" } }), /* @__PURE__ */ t.createElement("div", { style: { display: "grid", gridTemplateColumns: "repeat(2, 1fr)", gap: "20px" } }, /* @__PURE__ */ t.createElement(
    ie,
    {
      label: "Name",
      name: "name",
      type: "text",
      placeholder: "Name",
      form: f,
      required: !0,
      maxLength: 15
    }
  ), /* @__PURE__ */ t.createElement(
    ie,
    {
      label: "Email",
      name: "email",
      type: "character varying",
      placeholder: "Email",
      form: f,
      required: !0,
      maxLength: 25
    }
  ), /* @__PURE__ */ t.createElement(
    ie,
    {
      label: "Phone Number",
      name: "phone",
      type: "character varying",
      placeholder: "Phone Number",
      form: f,
      required: !0,
      maxLength: 10
    }
  ), r ? "" : /* @__PURE__ */ t.createElement(
    ie,
    {
      label: "Password",
      name: "password",
      type: "password",
      required: !0,
      placeholder: "Password",
      maxLength: 10,
      form: f,
      pattern: "Password"
    }
  ), /* @__PURE__ */ t.createElement(
    Ta,
    {
      label: "Role",
      placeholder: "Select Role",
      required: !0,
      name: "role_id",
      options: m,
      form: f,
      displayLabel: "name",
      returnLabel: "id"
    }
  )), /* @__PURE__ */ t.createElement(
    Pa,
    {
      submitVariant: "default",
      clearVariant: "outline",
      submitlabel: "Submit",
      clearlabel: r === !1 ? "Clear" : void 0,
      submitType: "submit",
      clearAction: () => {
        console.log("form", f), f.reset({ ...c, email: "", phone: "" });
      },
      loader: o
    }
  )));
}
function _l({ showSideNav: e, onRefresh: r, data: a, onClose: s, isEdit: n = !1, setShowSideNav: o, supabaseAuthAdmin: i }) {
  const [m, u] = l.useState([]);
  async function c(p) {
    let { data: { user: g }, error: d } = await i.auth.admin.getUserById(p);
    return d ? (console.error("Error fetching tenant details:", d.message), []) : x.array(wl).parse([g]);
  }
  l.useEffect(() => {
    e && (a != null && a.id) && (async () => {
      const p = await c(a.id);
      u(p);
    })();
  }, [e, a == null ? void 0 : a.id]), l.useEffect(() => {
    console.log("tenantDetail", m);
  }, [m]);
  const f = () => {
    s();
  };
  return /* @__PURE__ */ l.createElement(ya, { open: e, onOpenChange: f }, /* @__PURE__ */ l.createElement(rt, { className: "w-[800px]", style: {
    maxWidth: "100%"
  } }, /* @__PURE__ */ l.createElement(at, null, /* @__PURE__ */ l.createElement(nt, null, "USER"), /* @__PURE__ */ l.createElement(st, null, `${n ? "Update a user" : "Create a new user"} `, n && (m == null ? void 0 : m.length) > 0 ? /* @__PURE__ */ l.createElement(Cs, { supabaseAuthAdmin: i, onReferesh: r, setShowSideNav: o, isEdit: n, defaultValue: m[0] }) : n ? "Loading" : /* @__PURE__ */ l.createElement(Cs, { supabaseAuthAdmin: i, onReferesh: r, setShowSideNav: o, isEdit: n, defaultValue: void 0 })))));
}
const Sc = ({
  onRefresh: e,
  onCallDelete: r,
  oncallStatus: a,
  supabaseAuthAdmin: s
}) => [
  {
    id: "select",
    header: ({ table: n }) => /* @__PURE__ */ t.createElement(
      de,
      {
        checked: n.getIsAllPageRowsSelected() ? !0 : n.getIsSomePageRowsSelected() ? "indeterminate" : !1,
        onCheckedChange: (o) => n.toggleAllPageRowsSelected(!!o),
        "aria-label": "Select all",
        className: "translate-y-[2px]"
      }
    ),
    cell: ({ row: n }) => /* @__PURE__ */ t.createElement(
      de,
      {
        checked: n.getIsSelected(),
        onCheckedChange: (o) => n.toggleSelected(!!o),
        "aria-label": "Select row",
        className: "translate-y-[2px]"
      }
    ),
    enableSorting: !1,
    enableHiding: !1
  },
  {
    accessorKey: "user_metadata",
    header: ({ column: n }) => /* @__PURE__ */ t.createElement(Fe, { column: n, title: "Name" }),
    cell: ({ row: n }) => {
      const o = n.getValue("user_metadata");
      return console.log("user_metadata:", n.getValue("user_metadata")), /* @__PURE__ */ t.createElement("div", { className: "w-[85px]" }, o.name);
    },
    enableSorting: !1,
    enableHiding: !1
  },
  {
    accessorKey: "email",
    header: ({ column: n }) => /* @__PURE__ */ t.createElement(Fe, { column: n, title: "Email" }),
    cell: ({ row: n }) => /* @__PURE__ */ t.createElement("div", { className: "w-[80px]" }, n.getValue("email")),
    enableSorting: !1,
    enableHiding: !1
  },
  {
    accessorKey: "role_name",
    header: ({ column: n }) => /* @__PURE__ */ t.createElement(Fe, { column: n, title: "Role" }),
    cell: ({ row: n }) => /* @__PURE__ */ t.createElement("div", { className: "w-[85px]", style: {} }, n.getValue("role_name")),
    enableSorting: !1,
    enableHiding: !1
  },
  {
    accessorKey: "privilege_type",
    header: ({ column: n }) => /* @__PURE__ */ t.createElement(Fe, { column: n, title: "Privilage" }),
    cell: ({ row: n }) => /* @__PURE__ */ t.createElement("div", { className: "w-[80px]" }, n.getValue("privilege_type")),
    enableSorting: !1,
    enableHiding: !1
  },
  {
    accessorKey: "status",
    header: ({ column: n }) => /* @__PURE__ */ t.createElement(Fe, { column: n, title: "Status" }),
    cell: ({ row: n }) => {
      const o = _c.find(
        (i) => i.value === n.getValue("status")
      );
      return o ? /* @__PURE__ */ t.createElement("div", { className: "flex w-[100px] items-center" }, o.icon && /* @__PURE__ */ t.createElement(o.icon, null), /* @__PURE__ */ t.createElement("span", null, o.label)) : null;
    }
  },
  // {
  //   accessorKey: "type",
  //   header: ({ column }) => (
  //     <DataTableColumnHeader column={column} title="Type" />
  //   ),
  //   cell: ({ row }) => {
  //     const label = roleType.find((label) => label.value === row.original.role_type)
  //     return (
  //       <div className="flex space-x-2">
  //         {label && <Badge variant="outline">{label.label}</Badge>}
  //         <span className="max-w-[500px] truncate font-medium">
  //           {row.getValue("type")}
  //         </span>
  //       </div>
  //     )
  //   },
  // },
  // {
  //   accessorKey: "status",
  //   header: ({ column }) => (
  //     <DataTableColumnHeader column={column} title="Status" />
  //   ),
  //   cell: ({ row }) => {
  //     const status = statusNew.find(
  //       (status) => status.value === row.getValue("status")
  //     )
  //     if (!status) {
  //       return null
  //     }
  //     return (
  //       <div className="flex w-[100px] items-center">
  //         {status.icon && (
  //           <status.icon className="mr-2 h-4 w-4 text-muted-foreground" />
  //         )}
  //         <span>{status.label}</span>
  //       </div>
  //     )
  //   },
  //   filterFn: (row, id, value) => {
  //     return value.includes(row.getValue(id))
  //   },
  // },
  // {
  //   accessorKey: "plan_name",
  //   header: ({ column }) => (
  //     <DataTableColumnHeader column={column} title="Plan" />
  //   ),
  //   cell: ({ row }) => {
  //     const priority = planNames.find(
  //       (priority) => priority.value === row.getValue("plan_name")
  //     )
  //     if (!priority) {
  //       return null
  //     }
  //     return (
  //       <div className="flex items-center">
  //         {/* {priority.icon && (
  //           <priority.icon className="mr-2 h-4 w-4 text-muted-foreground" />
  //         )} */}
  //         <span>{priority.label}</span>
  //       </div>
  //     )
  //   },
  //   filterFn: (row, id, value) => {
  //     return value.includes(row.getValue(id))
  //   },
  // },
  {
    id: "actions",
    cell: ({ row: n }) => {
      const [o, i] = C(!1), [m, u] = C(null), c = (d) => {
        console.log("Tenant", d), a(d);
      }, f = (d) => {
        console.log("Edit clicked for:", d == null ? void 0 : d.id), u(d), i(!0);
      }, p = (d) => {
        console.log("Delete clicked for:", d == null ? void 0 : d.id), r(d);
      }, g = () => {
        i(!1);
      };
      return /* @__PURE__ */ t.createElement(t.Fragment, null, /* @__PURE__ */ t.createElement(bc, { row: n, onEdit: f, onDelete: p, onStatus: c }), m && o && /* @__PURE__ */ t.createElement(_l, { setShowSideNav: i, onRefresh: e, isEdit: !0, showSideNav: o, data: m, onClose: g, supabaseAuthAdmin: s }));
    }
  }
];
function Rc({
  table: e,
  pageSizeArray: r
}) {
  return /* @__PURE__ */ t.createElement("div", { className: "flex items-center justify-between px-2" }, /* @__PURE__ */ t.createElement("div", { className: "flex items-center space-x-6 lg:space-x-8" }, /* @__PURE__ */ t.createElement("div", { className: "flex items-center space-x-2" }, /* @__PURE__ */ t.createElement("p", { className: "text-sm font-medium" }, "Rows per page"), /* @__PURE__ */ t.createElement(
    Fa,
    {
      value: `${e.getState().pagination.pageSize}`,
      onValueChange: (a) => {
        e.setPageSize(Number(a));
      }
    },
    /* @__PURE__ */ t.createElement(ut, { className: "h-8 w-[70px]" }, /* @__PURE__ */ t.createElement(Da, { placeholder: e.getState().pagination.pageSize })),
    /* @__PURE__ */ t.createElement(ft, { side: "top" }, r.map((a) => /* @__PURE__ */ t.createElement(gt, { key: a, value: `${a}` }, a)))
  )), /* @__PURE__ */ t.createElement("div", { className: "flex w-[100px] items-center justify-center text-sm font-medium" }, "Page ", e.getState().pagination.pageIndex + 1, " of", " ", e.getPageCount()), /* @__PURE__ */ t.createElement("div", { className: "flex items-center space-x-2" }, /* @__PURE__ */ t.createElement(
    L,
    {
      variant: "outline",
      className: "hidden h-8 w-8 p-0 lg:flex",
      onClick: () => e.setPageIndex(0),
      disabled: !e.getCanPreviousPage()
    },
    /* @__PURE__ */ t.createElement("span", { className: "sr-only" }, "Go to first page"),
    /* @__PURE__ */ t.createElement(Qr, { className: "h-4 w-4" })
  ), /* @__PURE__ */ t.createElement(
    L,
    {
      variant: "outline",
      className: "h-8 w-8 p-0",
      onClick: () => e.previousPage(),
      disabled: !e.getCanPreviousPage()
    },
    /* @__PURE__ */ t.createElement("span", { className: "sr-only" }, "Go to previous page"),
    /* @__PURE__ */ t.createElement(ea, { className: "h-4 w-4" })
  ), /* @__PURE__ */ t.createElement(
    L,
    {
      variant: "outline",
      className: "h-8 w-8 p-0",
      onClick: () => e.nextPage(),
      disabled: !e.getCanNextPage()
    },
    /* @__PURE__ */ t.createElement("span", { className: "sr-only" }, "Go to next page"),
    /* @__PURE__ */ t.createElement(ta, { className: "h-4 w-4" })
  ), /* @__PURE__ */ t.createElement(
    L,
    {
      variant: "outline",
      className: "hidden h-8 w-8 p-0 lg:flex",
      onClick: () => e.setPageIndex(e.getPageCount() - 1),
      disabled: !e.getCanNextPage()
    },
    /* @__PURE__ */ t.createElement("span", { className: "sr-only" }, "Go to last page"),
    /* @__PURE__ */ t.createElement(ra, { className: "h-4 w-4" })
  ))));
}
function Ic({
  table: e
}) {
  return /* @__PURE__ */ t.createElement(oe, null, /* @__PURE__ */ t.createElement(ia, { asChild: !0 }, /* @__PURE__ */ t.createElement(
    L,
    {
      variant: "outline",
      size: "sm",
      className: "ml-auto hidden h-8 lg:flex"
    },
    /* @__PURE__ */ t.createElement(aa, { className: "mr-2 h-4 w-4" }),
    "View"
  )), /* @__PURE__ */ t.createElement(ne, { align: "end", className: "w-[150px]" }, /* @__PURE__ */ t.createElement(tt, null, "Toggle columns"), /* @__PURE__ */ t.createElement(ae, null), e.getAllColumns().filter(
    (r) => typeof r.accessorFn < "u" && r.getCanHide()
  ).map((r) => /* @__PURE__ */ t.createElement(
    et,
    {
      key: r.id,
      className: "capitalize",
      checked: r.getIsVisible(),
      onCheckedChange: (a) => r.toggleVisibility(!!a)
    },
    r.id
  ))));
}
function Tc({
  column: e,
  title: r,
  options: a
}) {
  const s = e == null ? void 0 : e.getFacetedUniqueValues(), n = new Set(e == null ? void 0 : e.getFilterValue());
  return /* @__PURE__ */ l.createElement(Aa, null, /* @__PURE__ */ l.createElement(La, { asChild: !0 }, /* @__PURE__ */ l.createElement(L, { variant: "outline", size: "sm", className: "h-8 border-dashed" }, /* @__PURE__ */ l.createElement(na, { className: "mr-2 h-4 w-4" }), r, (n == null ? void 0 : n.size) > 0 && /* @__PURE__ */ l.createElement(l.Fragment, null, /* @__PURE__ */ l.createElement(Ne, { orientation: "vertical", className: "mx-2 h-4" }), /* @__PURE__ */ l.createElement(
    se,
    {
      variant: "secondary",
      className: "rounded-sm px-1 font-normal lg:hidden"
    },
    n.size
  ), /* @__PURE__ */ l.createElement("div", { className: "hidden space-x-1 lg:flex" }, n.size > 2 ? /* @__PURE__ */ l.createElement(
    se,
    {
      variant: "secondary",
      className: "rounded-sm px-1 font-normal"
    },
    n.size,
    " selected"
  ) : a.filter((o) => n.has(o.value)).map((o) => /* @__PURE__ */ l.createElement(
    se,
    {
      variant: "secondary",
      key: o.value,
      className: "rounded-sm px-1 font-normal"
    },
    o.label
  )))))), /* @__PURE__ */ l.createElement(wt, { className: "w-[200px] p-0", align: "start" }, /* @__PURE__ */ l.createElement(pt, null, /* @__PURE__ */ l.createElement(ht, { placeholder: r }), /* @__PURE__ */ l.createElement(vt, null, /* @__PURE__ */ l.createElement(Et, null, "No results found."), /* @__PURE__ */ l.createElement(pe, null, a.map((o) => {
    const i = n.has(o.value);
    return /* @__PURE__ */ l.createElement(
      he,
      {
        key: o.value,
        onSelect: () => {
          i ? n.delete(o.value) : n.add(o.value);
          const m = Array.from(n);
          e == null || e.setFilterValue(
            m.length ? m : void 0
          );
        }
      },
      /* @__PURE__ */ l.createElement(
        "div",
        {
          className: b(
            "mr-2 flex h-4 w-4 items-center justify-center rounded-sm border border-primary",
            i ? "bg-primary text-primary-foreground" : "opacity-50 [&_svg]:invisible"
          )
        },
        /* @__PURE__ */ l.createElement(sa, { className: b("h-4 w-4") })
      ),
      o.icon && /* @__PURE__ */ l.createElement(o.icon, { className: "mr-2 h-4 w-4 text-muted-foreground" }),
      /* @__PURE__ */ l.createElement("span", null, o.label),
      (s == null ? void 0 : s.get(o.value)) && /* @__PURE__ */ l.createElement("span", { className: "ml-auto flex h-4 w-4 items-center justify-center font-mono text-xs" }, s.get(o.value))
    );
  })), n.size > 0 && /* @__PURE__ */ l.createElement(l.Fragment, null, /* @__PURE__ */ l.createElement(yt, null), /* @__PURE__ */ l.createElement(pe, null, /* @__PURE__ */ l.createElement(
    he,
    {
      onSelect: () => e == null ? void 0 : e.setFilterValue(void 0),
      className: "justify-center text-center"
    },
    "Clear filters"
  )))))));
}
function Pc({
  table: e,
  onRefresh: r,
  supabaseAuthAdmin: a
}) {
  const [s, n] = C(""), [o, i] = C(!1), m = () => {
    i(!1);
  }, u = e.getState().globalFilter != null || e.getState().columnFilters.length > 0, c = (g) => {
    g.target.value.trim() != "" ? (n(g.target.value), e.setGlobalFilter(g.target.value)) : (n(""), e.resetGlobalFilter());
  }, f = [
    {
      value: "Active",
      label: "Active"
    },
    {
      value: "Inactive",
      label: "Inactive"
    }
    // {
    //               value: "Blocked",
    //               label: "Blocked",
    //             },
    // {
    //               value: "Deactivated",
    //               label: "Deactivated",
    //             },
  ], p = () => {
    n(""), e.resetGlobalFilter(), e.resetColumnFilters();
  };
  return console.log("table", e.getColumn("status")), /* @__PURE__ */ t.createElement("div", { className: "flex items-center justify-between" }, /* @__PURE__ */ t.createElement("div", { className: "flex flex-1 items-center space-x-2" }, /* @__PURE__ */ t.createElement(
    je,
    {
      placeholder: "Search...",
      value: s,
      onChange: c,
      className: "h-8 w-[150px] lg:w-[250px]"
    }
  ), /* @__PURE__ */ t.createElement(
    Tc,
    {
      column: e.getColumn("status"),
      title: "status",
      options: f
    }
  ), u && /* @__PURE__ */ t.createElement(
    L,
    {
      variant: "ghost",
      onClick: p,
      className: "h-8 px-2 lg:px-3"
    },
    "Reset",
    /* @__PURE__ */ t.createElement(la, { className: "ml-2 h-4 w-4" })
  )), /* @__PURE__ */ t.createElement(Ic, { table: e }), /* @__PURE__ */ t.createElement(
    L,
    {
      variant: "default",
      size: "sm",
      onClick: () => i(!0),
      className: "h-8 px-2 lg:px-3 ml-4"
    },
    "Add",
    /* @__PURE__ */ t.createElement(oa, { className: "ml-2 h-4 w-4" })
  ), /* @__PURE__ */ t.createElement(_l, { onRefresh: r, setShowSideNav: i, isEdit: !1, showSideNav: o, data: [], onClose: m, supabaseAuthAdmin: a }));
}
function Fc({
  columns: e,
  data: r,
  isLoading: a,
  onRefresh: s,
  supabaseAuthAdmin: n,
  errorMessage: o,
  message: i,
  dataLoader: m
}) {
  var S;
  const [u, c] = l.useState({}), [f, p] = l.useState({}), [g, d] = l.useState(
    []
  ), [y, E] = l.useState([]), _ = [10, 20, 30, 50, 100], w = da({
    data: r,
    columns: e,
    state: {
      sorting: y,
      columnVisibility: f,
      rowSelection: u,
      columnFilters: g
    },
    initialState: { pagination: { pageSize: 10 } },
    enableRowSelection: !0,
    onRowSelectionChange: c,
    onSortingChange: E,
    onColumnFiltersChange: d,
    onColumnVisibilityChange: p,
    getCoreRowModel: ua(),
    getFilteredRowModel: fa(),
    getPaginationRowModel: ga(),
    getSortedRowModel: pa(),
    getFacetedRowModel: ha(),
    getFacetedUniqueValues: va(),
    autoResetPageIndex: !0
  });
  return /* @__PURE__ */ l.createElement("div", { className: "space-y-4" }, /* @__PURE__ */ l.createElement(Pc, { table: w, onRefresh: s, supabaseAuthAdmin: n }), /* @__PURE__ */ l.createElement("div", { className: "rounded-md border" }, /* @__PURE__ */ l.createElement(ct, null, /* @__PURE__ */ l.createElement(mt, null, w.getHeaderGroups().map((v) => /* @__PURE__ */ l.createElement(G, { key: v.id }, v.headers.map((h) => /* @__PURE__ */ l.createElement(dt, { key: h.id, colSpan: h.colSpan }, h.isPlaceholder ? null : be(
    h.column.columnDef.header,
    h.getContext()
  )))))), o || m && r.length === 0 ? /* @__PURE__ */ l.createElement(ge, { style: { height: "100px" } }, /* @__PURE__ */ l.createElement(
    "p",
    {
      style: { position: "absolute", zIndex: "4", width: "90%", textAlign: "center", fontWeight: "bold" },
      className: "h-8 px-2 lg:px-3 ml-4 mt-4"
    },
    i || "Data Not Found"
  )) : /* @__PURE__ */ l.createElement(ge, null, a ? /* @__PURE__ */ l.createElement(l.Fragment, null, w.getHeaderGroups().map((v) => /* @__PURE__ */ l.createElement(G, { key: v.id }, v.headers.map((h) => /* @__PURE__ */ l.createElement(
    V,
    {
      key: h.id,
      colSpan: h.colSpan,
      className: "h-6"
    },
    /* @__PURE__ */ l.createElement(le, { className: "w-[100px] h-[20px] rounded-full" })
  )))), w.getHeaderGroups().map((v) => /* @__PURE__ */ l.createElement(G, { key: v.id + "-2" }, v.headers.map((h) => /* @__PURE__ */ l.createElement(
    V,
    {
      key: h.id + "-2",
      colSpan: h.colSpan,
      className: "h-6"
    },
    /* @__PURE__ */ l.createElement(le, { className: "w-[100px] h-[20px] rounded-full" })
  ))))) : (S = w.getRowModel().rows) != null && S.length ? w.getRowModel().rows.map((v) => /* @__PURE__ */ l.createElement(
    G,
    {
      key: v.id,
      "data-state": v.getIsSelected() && "selected"
    },
    v.getVisibleCells().map((h) => /* @__PURE__ */ l.createElement(V, { key: h.id }, be(
      h.column.columnDef.cell,
      h.getContext()
    )))
  )) : /* @__PURE__ */ l.createElement(G, null, /* @__PURE__ */ l.createElement(
    V,
    {
      colSpan: e.length,
      className: "h-24 text-center"
    },
    /* @__PURE__ */ l.createElement(le, { className: "w-[100px] h-[20px] rounded-full" })
  ))))), /* @__PURE__ */ l.createElement("div", { className: "flex items-center justify-between px-2" }, /* @__PURE__ */ l.createElement("div", { className: "flex-1 text-sm text-muted-foreground" }, w.getFilteredSelectedRowModel().rows.length, " of", " ", w.getFilteredRowModel().rows.length, " row(s) selected."), /* @__PURE__ */ l.createElement(Rc, { table: w, pageSizeArray: o ? [0] : _ })));
}
function am({ supabase: e, supabaseAuthAdmin: r }) {
  const [a, s] = C([]), [n, o] = C(!1), [i, m] = C(!1), [u, c] = C(null), f = (N) => {
    console.log("done", N);
  }, p = async () => {
    o(!0);
    try {
      const N = await _();
      s(N);
    } catch (N) {
      console.error("Error refreshing data:", N);
    } finally {
      o(!1);
    }
  }, [g, d] = C(!1);
  H(() => {
    p(), d(!1);
  }, [g]);
  const [y, E] = C(!1), _ = async () => {
    let { data: { users: N }, error: R } = await r.auth.admin.listUsers();
    return console.log("tenants", N), R ? (console.error("Error fetching tenants:", R.message), m(!0), c(R.message), E(!1), []) : (m(!1), c(null), E(!0), x.array(wl).parse(N));
  }, w = (N) => {
    console.log("done", N), S(N.id);
  }, S = async (N) => {
    let { error: R } = await e.auth.admin.deleteUser(N);
    R ? (console.error("Error fetching tenants:", R.message), k({
      title: "You submitted the following values:",
      description: /* @__PURE__ */ t.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ t.createElement("code", { className: "text-white" }, R.message))
    })) : (p(), k({
      title: "You submitted the following values:",
      description: /* @__PURE__ */ t.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ t.createElement("code", { className: "text-white" }, "Successfully Deleted"))
    }), d(!0));
  }, v = (N) => {
    h(N.id, N.status);
  }, h = async (N, R) => {
    R === "Active" ? R = "Inactive" : R = "Active";
    let { data: F, error: W } = await e.auth.admin.changeUserStatus({ status: R, id: [N] });
    console.log(F, "datadatadata"), W ? (console.error("Error fetching tenants:", W.message), k({
      title: "You submitted the following values:",
      description: /* @__PURE__ */ t.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ t.createElement("code", { className: "text-white" }, W.message))
    })) : (p(), k({
      title: "You submitted the following values:",
      description: /* @__PURE__ */ t.createElement("pre", { className: "mt-2 w-[340px] rounded-md bg-slate-950 p-4" }, /* @__PURE__ */ t.createElement("code", { className: "text-white" }, F.message))
    }));
  };
  return /* @__PURE__ */ t.createElement(t.Fragment, null, /* @__PURE__ */ t.createElement(
    Fc,
    {
      columns: Sc({ onEdit: f, onRefresh: p, onCallDelete: w, oncallStatus: v, supabaseAuthAdmin: r }),
      data: a,
      supabaseAuthAdmin: r,
      isLoading: n,
      onRefresh: p,
      errorMessage: i,
      message: u,
      dataLoader: y
    }
  ));
}
const Dc = X.Provider, bl = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  X.Viewport,
  {
    ref: a,
    className: b(
      "fixed top-0 z-[100] flex max-h-screen w-full flex-col-reverse p-4 sm:bottom-0 sm:right-0 sm:top-auto sm:flex-col md:max-w-[420px]",
      e
    ),
    ...r
  }
));
bl.displayName = X.Viewport.displayName;
const Ac = Qe(
  "group pointer-events-auto relative flex w-full items-center justify-between space-x-4 overflow-hidden rounded-md border p-6 pr-8 shadow-lg transition-all data-[swipe=cancel]:translate-x-0 data-[swipe=end]:translate-x-[var(--radix-toast-swipe-end-x)] data-[swipe=move]:translate-x-[var(--radix-toast-swipe-move-x)] data-[swipe=move]:transition-none data-[state=open]:animate-in data-[state=closed]:animate-out data-[swipe=end]:animate-out data-[state=closed]:fade-out-80 data-[state=closed]:slide-out-to-right-full data-[state=open]:slide-in-from-top-full data-[state=open]:sm:slide-in-from-bottom-full",
  {
    variants: {
      variant: {
        default: "border bg-background text-foreground",
        destructive: "destructive group border-destructive bg-destructive text-destructive-foreground"
      }
    },
    defaultVariants: {
      variant: "default"
    }
  }
), Nl = l.forwardRef(({ className: e, variant: r, ...a }, s) => /* @__PURE__ */ l.createElement(
  X.Root,
  {
    ref: s,
    className: b(Ac({ variant: r }), e),
    ...a
  }
));
Nl.displayName = X.Root.displayName;
const Lc = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  X.Action,
  {
    ref: a,
    className: b(
      "inline-flex h-8 shrink-0 items-center justify-center rounded-md border bg-transparent px-3 text-sm font-medium ring-offset-background transition-colors hover:bg-secondary focus:outline-none focus:ring-2 focus:ring-ring focus:ring-offset-2 disabled:pointer-events-none disabled:opacity-50 group-[.destructive]:border-muted/40 group-[.destructive]:hover:border-destructive/30 group-[.destructive]:hover:bg-destructive group-[.destructive]:hover:text-destructive-foreground group-[.destructive]:focus:ring-destructive",
      e
    ),
    ...r
  }
));
Lc.displayName = X.Action.displayName;
const Cl = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  X.Close,
  {
    ref: a,
    className: b(
      "absolute right-2 top-2 rounded-md p-1 text-foreground/50 opacity-0 transition-opacity hover:text-foreground focus:opacity-100 focus:outline-none focus:ring-2 group-hover:opacity-100 group-[.destructive]:text-red-300 group-[.destructive]:hover:text-red-50 group-[.destructive]:focus:ring-red-400 group-[.destructive]:focus:ring-offset-red-600",
      e
    ),
    "toast-close": "",
    ...r
  },
  /* @__PURE__ */ l.createElement(Ss, { className: "h-4 w-4" })
));
Cl.displayName = X.Close.displayName;
const Sl = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  X.Title,
  {
    ref: a,
    className: b("text-sm font-semibold", e),
    ...r
  }
));
Sl.displayName = X.Title.displayName;
const Rl = l.forwardRef(({ className: e, ...r }, a) => /* @__PURE__ */ l.createElement(
  X.Description,
  {
    ref: a,
    className: b("text-sm opacity-90", e),
    ...r
  }
));
Rl.displayName = X.Description.displayName;
function nm() {
  const { toasts: e } = Qi();
  return /* @__PURE__ */ t.createElement(Dc, null, e.map(function({ id: r, title: a, description: s, action: n, ...o }) {
    return /* @__PURE__ */ t.createElement(Nl, { key: r, ...o }, /* @__PURE__ */ t.createElement("div", { className: "grid gap-1" }, a && /* @__PURE__ */ t.createElement(Sl, null, a), s && /* @__PURE__ */ t.createElement(Rl, null, s)), n, /* @__PURE__ */ t.createElement(Cl, null));
  }), /* @__PURE__ */ t.createElement(bl, null));
}
export {
  fe as Anchor,
  ke as Auth,
  Ce as Button,
  te as Container,
  ro as Divider,
  ce as Input,
  me as Label,
  re as Message,
  nm as PasubotToaster,
  rm as Role,
  tm as Tenent,
  am as User
};
